<?php 
	/**
	*
	* copyright (c) 2013-2017 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	include "../costanti.php";
	include "../util.php";
	include "../template/stile.php";
	include "../gUtil/DbManager.php";
	
	session_start();
	if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
            header("Location: index.php");
	}
	else {
            //i dati del database sono definiti nel file costanti.php
            $geecomDb = new DbManager($costantiDatabase);

            if(isset($_GET["id"])) {
                $comunicazione = $geecomDb->leggiSingolaRiga("geecAd_comunicazioni", filter_input(INPUT_GET, "id",FILTER_SANITIZE_NUMBER_INT));
            }
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom admin - crea comunicazione </title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

    <!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

    <!-- stile Bootstrap Select -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.12/css/bootstrap-select.min.css"/>
</head>

<body>
<div id="wrap">

    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
        
        if(isset($comunicazione) && $comunicazione["tipo"]=="ticket") {            
            include "include/modalBox/rispostaTicket.php";
        }
    ?>

    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==5) {
                echo"<p class=\"alert alert-success\">Associazione rimossa, ora si può selezionare una nuova galleria</p>";
            }
        }
    ?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" class="col-lg-8 col-md-8 col-sm-12 col-xs-12">

      <div class="panel panel-default">
        <div class="panel-heading">Crea una nuova comunicazione</div>
        
        <!-- form -->
        <form class="form-horizontal" role="form" name="formCreaArticolo" action="comunicazioni/creaComunicazione.php" method="post" enctype="multipart/form-data">
            <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Oggetto</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="oggettoComunicazione" name="oggetto" value="<?php if(isset($comunicazione)) echo $comunicazione["oggetto"]; ?>" placeholder="Oggetto della comunicazione">
            </div>
          </div>
          <?php 
            if(!isset($comunicazione) || $comunicazione["tipo"]=="comunicazione") {
          ?>
          <div class="form-group">
            <label for="selectEsempio1"class="col-sm-3 control-label">Seleziona i gruppi </label>
             <div class="col-sm-9">
		   <select class="form-control selectpicker" name="idGruppi[]" id="idGruppo" multiple="multiple">
		   <?php 
              		$queryGruppi = "SELECT * FROM geecAd_gruppi";
                        $risGruppi = $geecomDb->eseguiQueryLettura($queryGruppi);
                        while($gruppo = $risGruppi->fetch_assoc()) {
                            echo"<option value=\"{$gruppo["id"]}\">{$gruppo["nomeGruppo"]}</option>";
                        }
              	   ?>
		   </select>
	       </div>
           </div>

	   <div class="form-group">
            <label for="notifica"class="col-sm-3 control-label">Inviare notifica via email?</label>
              <div class="col-sm-5">
                <label class="radio-inline">
                  <input type="radio" name="notifica" id="inlineRadio1" value="si" checked > si
                </label>
                <label class="radio-inline">
                  <input type="radio" name="notifica" id="inlineRadio2" value="no" > no
                </label>
	      </div>
           </div>
           <?php 
            }
           ?>
          <div class="form-group">
            <div class="col-xs-12">
                <textarea class="form-control" rows="15" id="testoComunicazione" name="testo" placeholder="Inserisci qui il testo"><?php if(isset($comunicazione)) echo $comunicazione["testo"]; ?></textarea>
            </div>
          </div>
        </form>
          <div class="form-group">
            <div class="col-xs-12">
                <hr>
                    <button type="button" class="btn btn-primary pull-right" onclick=invia()><i class="fa fa-check"></i> Invia</button>
            </div>
          </div>
        
      </div>
            
    </div>
    <!-- /prima colonna --> 
    
    <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
        <div class="panel-group" id="accordion">

        </div>    
    </div>
    <!-- /seconda colonna -->
    <?php 
        if(isset($comunicazione) && $comunicazione["tipo"]=="ticket") {
    ?>
    <div class="clearfix"></div>
    <div class="col-xs-12">
    <div class="panel panel-default">
        <div class="panel-heading">Risposte a questo ticket</div>
        <div class="panel-body">
            
            <div class="table-responsive">
                <table class="table table-hover table-condensed">
                    <thead>
                      <tr>
                        <th>Data</th>
                        <th>Autore</th>
                        <th>Testo</th>
                      </tr>
                    </thead>
                    <tbody>
                        <?php 
                            $query       = "SELECT * FROM geecAd_risposteTicket WHERE idTicket={$comunicazione["id"]} ORDER BY id DESC";
                            $risRisposte = $geecomDb->eseguiQueryLettura($query);
                            while($risposta = $risRisposte->fetch_assoc()) {
                                $dataRisposta = date("d/m/Y H:i",strtotime($risposta["dataCreazione"]));
                        ?>
                        <tr>
                            <td><?php echo $dataRisposta; ?></td>
                            <td><?php echo $risposta["autore"]; ?></td>
                            <td><?php echo $risposta["testo"]; ?></td>
                        </tr>
                        <?php
                            }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
        
        <div class="panel-footer text-center">
                <a class="btn btn-success" data-toggle="modal" data-target="#modalRispostaTicket"> Aggiungi risposta <i class="fa fa-plus"></i> </a>
        </div>
    </div>
    </div>
        <?php
            }
        ?>
    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php
        include "include/footer.php";
    ?>

<!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    <script src="../js/jquery.multiple.select.js"></script>
  
  <!-- abilita popover -->
	<script type="text/javascript">
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">	
		
		//funzione di invio dati. Titolo e testo sono campi obbligatori, se non sono stati inseriti viene visualizzato un messaggio
		function invia() {
                    if($('#oggettoComunicazione').val()=="") {
                        alert("Inserisci un oggetto");
                    }
                    else if(tinymce.activeEditor.getContent()=="") {
                        alert("Il testo della comunicazione è vuoto");
                    }
                    else {
                        document.formCreaArticolo.submit();
                    }
		}
	</script>
	
	<!-- plugin multiple select -->
	<script>
	    $(function() {
		   $('#idGruppo').change(function() {
		       console.log($(this).val());
		   }).multipleSelect({
		       width: '100%'
		   });
	    });
	</script>
	
	<!-- Editor articolo -->
	<script type="text/javascript" src="../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
	tinymce.init({
	    selector: "textarea",
            branding: false,
	    plugins: "textcolor link jbimages media code",
    	    toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor jbimages media code",
	    language : 'it'
	 });
	</script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.12/js/bootstrap-select.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.12/js/i18n/defaults-it_IT.min.js"></script>
</body>
</html>