<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../template/stile.php";
    include "../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $impostazioni = recuperaImpostazioni($geecomDb);
        
        if(isset($_GET["id"])) {
            $fattura = $geecomDb->leggiSingolaRiga("geecAd_fatture", $_GET["id"]);
        }
    }	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom Admin - crea fattura</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>
<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==200) {
                echo"<p class=\"alert alert-success\">Fattura salvata</p>";
            }
            else if($_GET["status"]==230) {
                echo"<p class=\"alert alert-success\">Fattura modificata</p>";
            }
            else if($_GET["status"]==250) {
                echo"<p class=\"alert alert-success\">Fattura eliminata</p>";
            }
        }
    ?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" >
        <div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" href="creaFattura.php">Nuova fattura</a>
                    <button class="btn btn-default" onclick="location.href='fatture.php';" ><i class="fa fa-arrow-left"></i> Torna all'elenco </button>
                </div>
            </div>
        </div>
        
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
            
            <div class="panel panel-default">
                <div class="panel-heading">Crea fattura </div>

                <!-- form -->
                <form class="form-horizontal" role="form" name="formCreaArticolo" action="../controller/controllerFatture.php" method="post">
                    <input type="text" class="hidden" name="operazione" value="<?php echo(isset($fattura) ? "modifica" : "crea"); ?>">
                    <input type="text" class="hidden" name="id" value="<?php echo(isset($fattura) ? $fattura["id"] : "0"); ?>">
                        
                    <div class="form-group">
                        <label for="selectEsempio1"class="col-sm-2 control-label">Tipo</label>
                        <div class="col-sm-3">
                            <select class="form-control" name="tipo" id="tipoFattura" onchange="modificaSelectUtenti()">
                                <?php 
                                    $tipiFattura = ["inviata","ricevuta"];
                                    foreach($tipiFattura as  $tipoFattura) {
                                        if( $tipoFattura == $fattura["tipo"]) {
                                            echo"<option value=\"$tipoFattura\" selected> $tipoFattura</option>";
                                        }
                                        else {
                                            echo"<option value=\"$tipoFattura\" > $tipoFattura</option>";
                                        }
                                    }
                                ?>
                            </select>
                        </div>

                        <label for="selectEsempio1" id="labelCliente" class="col-sm-2 control-label">Cliente</label>
                        <label for="selectEsempio1" id="labelFornitore" class="hidden">Fornitore</label>
                        <div class="col-sm-5">
                            <select class="form-control" name="idUtente" id="selectIdUtente">
                                <option value="0">Seleziona</option>
                                <?php 
                                    if(isset($fattura) && $fattura["tipo"]=="ricevuta") {
                                        $gruppoUtenti = $impostazioni["gruppoFornitori"];
                                    }
                                    else {
                                        $gruppoUtenti = $impostazioni["gruppoClienti"];
                                    }
                                    if($gruppoUtenti==0) {
                                        $queryNomiGruppi = "SELECT * FROM geecAd_utenti";
                                    }
                                    else {
                                        $queryNomiGruppi = "SELECT * FROM geecAd_utenti WHERE id IN (SELECT idUtente FROM geecAd_gruppiUtenti WHERE idGruppo={$gruppoUtenti})";
                                    }
                                    $risNomi = $geecomDb->eseguiQueryLettura($queryNomiGruppi);
                                    while($gruppo=$risNomi->fetch_assoc()) {
                                        if($fattura["idUtente"]==$gruppo["id"]) {
                                            echo"<option value=\"{$gruppo["id"]}\" selected> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                        }
                                        else {
                                            echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                        }
                                    }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="imponibile" class="col-sm-2 control-label">Imponibile €</label>
                        <div class="col-sm-3">
                            <input type="number" step="0.01" class="form-control" id="imponibile" name="imponibile" value="<?php echo(isset($fattura) ? $fattura['imponibile'] : ""); ?>" onchange="compilaIvaETotale()">
                        </div>

                        <label for="iva" class="col-sm-2 control-label">IVA (<?php echo $impostazioni["percentualeIva"] ?>%) </label>
                        <div class="col-sm-2">
                            <input type="number" step="0.01" class="form-control" id="iva" name="iva" value="<?php echo(isset($fattura) ? $fattura['iva'] : ""); ?>">
                        </div>

                        <label for="totale" class="col-sm-1 control-label">Totale €</label>
                        <div class="col-sm-2">
                            <input type="number" step="0.01" class="form-control" id="totale" name="totale" value="<?php echo(isset($fattura) ? $fattura['totale'] : ""); ?>">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="textarea1" class="col-sm-2 control-label">Testo</label>
                        <div class="col-sm-10">
                          <textarea class="form-control" rows="5" id="descrizione" name="testo" ><?php echo(isset($fattura) ? $fattura['testo'] : ""); ?></textarea>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-offset-3 col-sm-9">
                            <hr>
                            <button type="submit" class="btn btn-primary pull-right"><?php echo(isset($fattura) ? "Salva modifiche" : "Crea") ?></button>
                        </div>
                    </div>
                
            </div>

        </div>
        <!-- /prima colonna --> 
    </div>
    
   <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

<div class="panel-group" id="accordion">
  
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">

        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Prodotti associati </a></h4>
    </div>
    <div id="collapseOne" class="panel-collapse collapse in">
        <div class="panel-body">
        
        <button type="button" class="btn btn-primary" ><span class="glyphicon glyphicon-plus"></span>Aggiungi prodotto</button>
      </div>
    </div>
  </div>
 
</div>
</div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">
            $(document).ready(function(){
                $("[rel=tooltip]").tooltip({ placement: 'bottom'});
            }); 
	</script>

        <script>
            function compilaIvaETotale() {
                var imponibile = document.getElementById("imponibile").value;
                var iva = imponibile * <?php echo $impostazioni["percentualeIva"] ?> / 100;
                var totale = parseInt(imponibile) + iva;
                document.getElementById("iva").value = iva;
                document.getElementById("totale").value = totale;
            }
            
            function modificaSelectUtenti() {
                var valore = document.getElementById("tipoFattura").value;
                if(valore=="inviata") {
                    var gruppoDaCercare = <?php echo $impostazioni["gruppoClienti"] ?>;
                    document.getElementById("labelCliente").className   = "col-sm-2 control-label";
                    document.getElementById("labelFornitore").className = "hidden";
                }
                else if(valore=="ricevuta") {
                    var gruppoDaCercare = <?php echo $impostazioni["gruppoFornitori"] ?>;
                    document.getElementById("labelCliente").className   = "hidden";
                    document.getElementById("labelFornitore").className = "col-sm-2 control-label";
                }
                
                /*
                 * Se gruppoDaCercare = 0 l'utente non usa i gruppi per differenziare clienti e fornitori,
                 * quindi non è necessario eseguire il codice di questo if
                 */
                if(gruppoDaCercare!=0) {
                    
                    // svuoto le opzioni attuali della select
                    var selectIdUtente = document.getElementById("selectIdUtente");
                    selectIdUtente.innerHTML = '';

                    // metto le nuove opzioni
                    $.ajax({
                        type:"POST",
                        url:"../controller/controllerUtenti.php",
                        data:{
                            operazione:"recuperaUtentiGruppo",
                            idGruppo:gruppoDaCercare
                        },
                        success:function(result) {
                            selectIdUtente.innerHTML = result;
                        },
                        error: function() {
                            alert("Si sono verificato problemi durante la richiesta, contatta l'amministratore del sito");
                        }
                    });
                }
            }
        </script>
</body>
</html>