<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../template/stile.php";
    include "../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $impostazioni = recuperaImpostazioni($geecomDb);
        
        if(isset($_GET["id"])) {
            $preventivo = $geecomDb->leggiSingolaRiga("geecAd_preventivi", $_GET["id"]);
        }
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom Admin - crea preventivo</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>
<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
        <?php
            if(isset($_GET["status"])) {
                if($_GET["status"]==200) {
                    echo"<p class=\"alert alert-success\">Preventivo creato</p>";
                }
                
                if($_GET["status"]==230) {
                    echo"<p class=\"alert alert-success\">Preventivo modificato</p>";
                }
            }
        ?>
        <div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" href="creaPreventivo.php">Nuovo preventivo</a>
                    <button class="btn btn-default" onclick="location.href='preventivi.php';" ><i class="fa fa-arrow-left"></i> Torna all'elenco </button>
                </div>
            </div>
        </div>
        
        <!-- prima colonna -->
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">Crea preventivo </div>

                <div class="panel-body">
                    <!-- form -->
                    <form class="form-horizontal" role="form" name="formCreaArticolo" action="../controller/controllerPreventivi.php" method="post">
                        <input type="text" class="hidden" name="operazione" value="<?php echo(isset($preventivo) ? "modifica" : "crea"); ?>">
                        <input type="text" class="hidden" id="idUtente" name="id" value="<?php echo($preventivo['id']); ?>">
                            
                        <div class="form-group">
                            <label for="campoTesto1" class="col-sm-2 control-label">Oggetto</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="nomeUtente" name="oggetto" value="<?php echo(isset($preventivo) ? $preventivo['oggetto'] : ""); ?>" required >
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="selectEsempio1"class="col-sm-2 control-label">Cliente</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="idCliente" required>
                                    <option value="0">Seleziona</option>
                                    <?php 
                                        $queryNomiGruppi = "SELECT * FROM geecAd_utenti";
                                        $risNomi = $geecomDb->eseguiQueryLettura($queryNomiGruppi);
                                        while($gruppo=$risNomi->fetch_assoc()) {
                                            if(isset($preventivo) && $gruppo["id"]==$preventivo["idCliente"]) {
                                                echo"<option value=\"{$gruppo["id"]}\" selected> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                            }
                                            else {
                                                echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                            }
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="imponibile" class="col-sm-2 control-label">Imponibile €</label>
                            <div class="col-sm-3">
                                <input type="number" step="0.01" class="form-control" id="imponibile" name="imponibile" value="<?php echo(isset($preventivo) ? $preventivo['imponibile'] : ""); ?>" onchange="compilaIvaETotale()">
                            </div>

                            <label for="iva" class="col-sm-2 control-label">IVA (<?php echo $impostazioni["percentualeIva"] ?>%) </label>
                            <div class="col-sm-2">
                                <input type="number" step="0.01" class="form-control" id="iva" name="iva" value="<?php echo(isset($preventivo) ? $preventivo['iva'] : ""); ?>">
                            </div>

                            <label for="totale" class="col-sm-1 control-label">Totale €</label>
                            <div class="col-sm-2">
                                <input type="number" step="0.01" class="form-control" id="totale" name="totale" value="<?php echo(isset($preventivo) ? $preventivo['totale'] : ""); ?>">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="campoTesto1" class="col-sm-2 control-label">Giorni necessari</label>
                            <div class="col-sm-4">
                                <input type="number" min="0"  class="form-control" id="nomeUtente" name="giorniNecessari" value="<?php echo(isset($preventivo) ? $preventivo['giorniNecessari'] : ""); ?>" required>
                            </div>
                            
                            <label for="campoTesto1" class="col-sm-2 control-label">Giorni validità</label>
                            <div class="col-sm-4">
                                <input type="number" min="0"  class="form-control" id="nomeUtente" name="giorniValidita" value="<?php echo(isset($preventivo) ? $preventivo['giorniValidita'] : ""); ?>" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="textarea1" class="col-sm-2 control-label">Testo</label>
                            <div class="col-sm-10">
                              <textarea class="form-control" rows="5" id="descrizione" name="testo" ><?php echo(isset($preventivo) ? $preventivo['testo'] : ""); ?></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-offset-3 col-sm-9">
                                <hr>
                                <button type="submit" class="btn btn-primary pull-right">Salva modifiche</button>
                            </div>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        <!-- /prima colonna --> 
    
   <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

        <div class="panel-group" id="accordion">

          <div class="panel panel-default">
            <div class="panel-heading">
              <h4 class="panel-title">

                <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Prodotti associati </a></h4>
            </div>
            <div id="collapseOne" class="panel-collapse collapse in">
                <div class="panel-body">

                <button type="button" class="btn btn-primary" ><span class="glyphicon glyphicon-plus"></span>Aggiungi prodotto</button>
              </div>
            </div>
          </div>

        </div>
    </div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">
            $(document).ready(function(){
                $("[rel=tooltip]").tooltip({ placement: 'bottom'});
            }); 
                
            function compilaIvaETotale() {
                var imponibile = document.getElementById("imponibile").value;
                var iva = imponibile * <?php echo $impostazioni["percentualeIva"] ?> / 100;
                var totale = parseInt(imponibile) + iva;
                document.getElementById("iva").value = iva;
                document.getElementById("totale").value = totale;
            }
	</script>

</body>
</html>