<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../template/stile.php";
    include "../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        if(isset($_GET["id"])) {
            $ricevuta = $geecomDb->leggiSingolaRiga("geecAd_ricevute", $_GET["id"]);
        }
    }	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom Admin - crea ricevuta</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body>
<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==200) {
                echo"<p class=\"alert alert-success\">Ricevuta creata</p>";
            }
            if($_GET["status"]==230) {
                echo"<p class=\"alert alert-success\">Ricevuta modificata</p>";
            }
        }
    ?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" >
        <div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" href="creaRicevuta.php">Nuova ricevuta</a>
                    <button class="btn btn-default" onclick="location.href='ricevute.php';" ><i class="fa fa-arrow-left"></i> Torna all'elenco </button>
                </div>
            </div>
        </div>
        
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
            
            <div class="panel panel-default">
              <div class="panel-heading">Crea ricevuta </div>

                <!-- form -->
                <form class="form-horizontal" role="form" name="formCreaArticolo" action="../controller/controllerRicevute.php" method="post">
                    <input type="text" class="hidden" name="operazione" value="<?php echo(isset($ricevuta) ? "modifica" : "crea"); ?>">
                    <input type="text" class="hidden" name="id" value="<?php echo(isset($ricevuta) ? $ricevuta["id"] : "0"); ?>">
                        
                  <div class="form-group">
                      <label for="selectEsempio1"class="col-sm-3 control-label">Utente</label>
                      <div class="col-sm-5">
                          <select class="form-control" name="idUtente">
                              <option value="0">Seleziona</option>
                              <?php 
                                  $queryNomiGruppi = "SELECT * FROM geecAd_utenti";
                                  $risNomi = $geecomDb->eseguiQueryLettura($queryNomiGruppi);
                                  while($gruppo=$risNomi->fetch_assoc()) {
                                      if($ricevuta["idUtente"]==$gruppo["id"]) {
                                          echo"<option value=\"{$gruppo["id"]}\" selected> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                      }
                                      else {
                                          echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nome"]} {$gruppo["cognome"]} - {$gruppo["organizzazione"]}</option>";
                                      }
                                  }
                              ?>
                          </select>
                      </div>

                      <label for="selectEsempio1"class="col-sm-1 control-label">Tipo</label>
                      <div class="col-sm-3">
                          <select class="form-control" name="tipo">
                              <?php 
                                  $tipiFattura = ["inviata","ricevuta"];
                                  foreach($tipiFattura as  $tipoFattura) {
                                      if( $tipoFattura == $impostazioni["tipoContabilita"]) {
                                          echo"<option value=\"$tipoFattura\" selected > $tipoFattura</option>";
                                      }
                                      else {
                                          echo"<option value=\"$tipoFattura\"  > $tipoFattura</option>";
                                      }
                                  }
                              ?>
                          </select>
                      </div>
                  </div>

                  <div class="form-group">
                      <label for="campoTesto1" class="col-sm-3 control-label">Importo €</label>
                      <div class="col-sm-9">
                          <input type="number" min="1" step="0.01" class="form-control" id="nomeUtente" name="importo" value="<?php echo(isset($ricevuta) ? $ricevuta['importo'] : ""); ?>" required>
                      </div>
                  </div>

                  <div class="form-group">
                      <label for="textarea1" class="col-sm-3 control-label">Testo</label>
                      <div class="col-sm-9">
                        <textarea class="form-control" rows="5" id="descrizione" name="testo" ><?php echo(isset($ricevuta) ? $ricevuta['testo'] : ""); ?></textarea>
                      </div>
                  </div>

                  <div class="form-group">
                      <div class="col-sm-offset-3 col-sm-9">
                          <hr>
                          <button type="submit" class="btn btn-primary pull-right"><?php echo(isset($ricevuta) ? "Salva modifiche" : "Crea") ?></button>
                      </div>
                  </div>

              </div>

          </div>
          <!-- /prima colonna --> 
        </div>
    
   <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

<div class="panel-group" id="accordion">
  
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">

        <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">Prodotti associati </a></h4>
    </div>
    <div id="collapseOne" class="panel-collapse collapse in">
        <div class="panel-body">
        
        <button type="button" class="btn btn-primary" ><span class="glyphicon glyphicon-plus"></span>Aggiungi prodotto</button>
      </div>
    </div>
  </div>
 
</div>
</div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>

</body>
</html>