<?php 
	/**
	*
	* copyright (c) 2013-2015 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	
	include "../costanti.php";
	include "../util.php";
	
	session_start();
	if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore")) {
		header("Location: index.php");
	}
	else {
	
		//i dati del database sono definiti nel file costanti.php
		$host= $costantiDatabase['host'];
		$user= $costantiDatabase['utenteDb'];
		$passwordDb = $costantiDatabase['passwordDb'];
		$nomeDb = $costantiDatabase['nomeDb'];

		$adminDb = new mysqli($host, $user, $passwordDb, $nomeDb);
		if (mysqli_connect_errno()) {
		   echo "Errore durante la connessione al Database: ".mysqli_connect_error();
		   exit();
		}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom admin - crea sondaggio </title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>
<div id="wrap">
    
    <!-- barra superiore -->
	<div id="barraSuperiore" class="row">
    	<div class="nav navbar-nav navbar-right navbar-static-top navbar-inverse">
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Ciao <?echo($_SESSION["geecomAdmin_nome"]); ?> <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><a href="#"  data-toggle="modal" data-target="#cambiaPassword">Cambia password</a></li>
              <li class="divider"></li>
              <li><a href="logout.php"><span class="glyphicon glyphicon-off"></span> Logout</a></li>
            </ul>
          </li>
        </div>
    </div>
    <!-- /barra superiore -->
        
    <!-- header di pagina -->
	<div id="header" class="row">
     <div id="areaLogo" class="col-lg-1 col-md-1 col-sm-1 col-xs-12">
     	<img class="" src="../template/img/geecom.png" width="208" height="100" alt="Geecom 2" />
     </div>
     <div id="switchProdotti" class="nav navbar-nav navbar-right">
          <?php stampaProdotti($adminDb,$infoGeecom["nomeProdotto"]) ?>
     </div>
     
    </div>
    <!-- /header di pagina -->
    
    <!-- riga menu principale -->
	<div id="menuPrincipale" class="row">
    	<nav class="navbar navbar-default" role="navigation">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#collapse">
                    <span class="sr-only">Espandi il menu</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <div class="collapse navbar-collapse" id="collapse">
                <?php 
            		creaMenuAdmin($adminDb);
            	 ?>
            </div>  
        </nav>
    </div>
    <!-- /riga menu principale -->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    <?php
		if(isset($_GET["status"])) {
			if($_GET["status"]==5) {
				echo"<p class=\"alert alert-success\">Associazione rimossa, ora si può selezionare una nuova galleria</p>";
			}
		}
	?>
    <!-- prima colonna -->
    <div id="colonnaPrincipale" class="col-lg-8 col-md-8 col-sm-12 col-xs-12">

      <div class="panel panel-default">
        <div class="panel-heading">Crea un nuovo sondaggio</div>
        
        <!-- form -->
        <form class="form-horizontal" role="form" name="formCreaArticolo" action="sondaggi/creaSondaggio.php" method="post" enctype="multipart/form-data">
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Titolo</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="titoloSondaggio" name="titolo" placeholder="Titolo del sondaggio">
            </div>
          </div>
          
          <div class="form-group">
            <label for="selectEsempio1"class="col-sm-3 control-label">Gruppo </label>
            <div class="col-sm-4">
            <select class="form-control" name="gruppo">
               <option value="tutti">Tutti i gruppi</option>
 			<?php
     			$queryNomiGruppi = "SELECT * FROM geecAd_gruppi";
     			if($risNomi = $adminDb->query($queryNomiGruppi)) {
					while($gruppo=$risNomi->fetch_assoc()) {
						echo"<option value=\"{$gruppo["nome"]}\">{$gruppo["nomeGruppo"]}</option>";
					}
     			}
           		else {
	           		echo "Errore nell'esecuzione della query: ".$adminDb->error;
	           		exit();
           		}
     		?>
            </select>
            </div>
           </div>

          <div class="form-group">
            <label for="textarea1" class="col-sm-3 control-label">Area testo</label>
            <div class="col-sm-9">
              <textarea class="form-control" rows="15" id="testoComunicazione" name="testo" placeholder="Inserisci qui il testo"></textarea>
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 1</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione1" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 2</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione2" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 3</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione3" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 4</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione4" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 5</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione5" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 6</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione6" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 7</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione7" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Opzione 8</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" name="opzione8" placeholder="Testo dell'opzione, lasciare in bianco se non è necessaria">
            </div>
          </div>
          
          <div class="form-group">
            <div class="col-sm-offset-3 col-sm-9">
              <button type="button" class="btn btn-primary" onclick=invia()>Invia</button>
            </div>
          </div>
        
      </div>
            
    </div>
    <!-- /prima colonna --> 
    
    <!-- seconda colonna --> 
    <div id="colonnaSecondaria" class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
<div class="panel-group" id="accordion">
  

</div>    </div>
    <!-- /seconda colonna -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">	
		
		//funzione di invio dati. Titolo e testo sono campi obbligatori, se non sono stati inseriti viene visualizzato un messaggio
		function invia() {
			if($('#titoloSondaggio').val()=="") {
				alert("Inserisci il titolo");
			}
			else if(tinymce.activeEditor.getContent()=="") {
				alert("Il testo della comunicazione è vuoto");
			}
			else {
				document.formCreaArticolo.submit();
			}
		}
	</script>
	
	<!-- Editor articolo -->
	<script type="text/javascript" src="../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
	tinymce.init({
	    selector: "textarea",
	    plugins: "textcolor link",
    	    toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor",
	    language : 'it'
	 });
	</script>

</body>
</html>
<?php
	}
?>
