<?php 
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/StampaMsg.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore")) {
        header("Location: index.php");
        exit();
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $tipo     = filter_input(INPUT_GET,"tipo",FILTER_SANITIZE_STRING);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom admin - gestione comuncazioni</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet"/>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.12/css/bootstrap-select.min.css"/>
</head>

<body>

<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
     
	/* Modal box conferma cancellazione elemento */
    	include "include/modalBox/cancellazioneElemento.php";
    ?>
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
     
	<?php
            if(isset($_GET["status"])) {
                $status = $_GET["status"];
                if($status==1) {
                        StampaMsg::success("Comunicazione creata");
                }
                else { //status = 5 messaggio eliminato
                        StampaMsg::success("Comunicazione eliminata");
                }
            }
	?>
     
        <!-- riga menu secondario -->
	<div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" href="creaComunicazione.php">Nuova comunicazione</a>
                </div>
                <div class="pull-right">
                    <form class="navbar-form navbar-right" action="gestioneComunicazioni.php" method=get role="search">
                        <div class="form-group">
                          <input type="text" class="form-control" name="cerca" <?php if(isset($_GET["cerca"])) {
                                                    echo"value=\"{$_GET["cerca"]}\"";
                                            } ?> placeholder="Cerca">
                        </div>
                        <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span></button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /riga menu secondario -->
        
        <div class="panel panel-default">
            <div class="panel-heading">Elenco comunicazioni</div>

            <!-- tabella -->
            <div class="table-responsive">
                <table class="table table-hover table-condensed">
                    <thead>
                      <tr>
                        <th>Oggetto </th>
                        <th>Tipo </th>
                        <th>Inviata da</th>
                        <th>Destinatari</th>
                        <th>Testo della comunicazione</th>
                        <th>Approvazioni</th>
                        <th>Data invio</th>
                        <th>Azioni</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php 
                          $risultatiPerPagina = 15;// <-- cambiare questo valore per modificare il numero di risultati per pagina
                          if(isset($_GET["cerca"])) {
                              $queryNumeroGruppi = "SELECT COUNT(*) FROM geecAd_comunicazioni WHERE tipo LIKE '%$tipo%' AND oggetto LIKE '%{$_GET["cerca"]}%'";
                          }
                          else {
                              $queryNumeroGruppi = "SELECT COUNT(*) FROM geecAd_comunicazioni WHERE tipo LIKE '$$tipo'";
                          }
                          $risNumGruppi = $geecomDb->eseguiQueryLettura($queryNumeroGruppi);
                          $numGruppi = $risNumGruppi->fetch_array(MYSQLI_NUM);

                          if(isset($_GET["pag"])) {
                              $limSup = $risultatiPerPagina * $_GET["pag"];
                              $limInf = $limSup - $risultatiPerPagina;
                              if(isset($_GET["cerca"])) {
                                  $queryGruppi="SELECT * FROM geecAd_comunicazioni WHERE  tipo LIKE '%$tipo%' AND oggetto LIKE '%{$_GET["cerca"]}%' ORDER BY id DESC LIMIT $limInf, $limSup";
                              }
                              else {
                                  $queryGruppi="SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE '%$tipo%' ORDER BY id DESC LIMIT $limInf, $limSup";
                              }
                              $paginaCorrente = $_GET["pag"];
                          }
                          else {
                              if(isset($_GET["cerca"])) {
                                  $queryGruppi="SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE '%$tipo%' AND oggetto LIKE '%{$_GET["cerca"]}%' ORDER BY id DESC LIMIT $risultatiPerPagina";
                              }
                              else {
                                  $queryGruppi="SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE '%$tipo%' ORDER BY id DESC LIMIT $risultatiPerPagina";
                              }
                              $paginaCorrente = 1;
                          }

                          $result = $geecomDb->eseguiQueryLettura($queryGruppi);
                          while($comunicazione=$result->fetch_assoc()) {
                              $queryUtente = "SELECT * FROM geecAd_admin WHERE id={$comunicazione["idUtente"]}";
                              $resultUtente = $geecomDb->eseguiQueryLettura($queryUtente);
                              $autore = $resultUtente->fetch_assoc();

                              if(strlen($comunicazione["testo"])>100) {
                                  $testoTroncato = substr($comunicazione["testo"], 0, 100)."...";
                              }
                              else {
                                  $testoTroncato = $comunicazione["testo"];
                              }

                              $elencoGruppiDestinatari = "";
                              $queryGruppiDestinatari = "SELECT idGruppoDestinatario, nomeGruppo FROM geecAd_gruppiDestinatari AS gd JOIN geecAd_gruppi AS g ON gd.IdGruppoDestinatario=g.id WHERE gd.idComunicazione={$comunicazione["id"]}";
                              $resultGruppi = $geecomDb->eseguiQueryLettura($queryGruppiDestinatari);
                              while($gruppo=$resultGruppi->fetch_assoc()) {
                                  $elencoGruppiDestinatari .= "<a href=dettagliGruppo.php?id={$gruppo["idGruppoDestinatario"]}>{$gruppo["nomeGruppo"]} </a>";
                              }

                              $dataCreazione = date("d/m/Y",strtotime($comunicazione["dataCreazione"]));
                              echo"<tr>
                                  <td>{$comunicazione["oggetto"]}</td>
                                  <td>{$comunicazione["tipo"]}</td>
                                  <td>{$autore["nome"]}</td>
                                  <td>$elencoGruppiDestinatari</td>
                                  <td>$testoTroncato</td>";
                                      if($comunicazione["tipo"]=="segnalazione") {
                                          echo"<td>0</td>"; //TODO CALCOLARE LE APPROVAZIONI SOLO PER LE SEGNALAZIONI
                                      }
                                      else {
                                          echo"<td> _ </td>";
                                      }
                                  echo"<td>$dataCreazione</td>
                                  <td>
                                      <button type=\"button\" class=\"btn btn-primary\" onclick=\"location.href='creaComunicazione.php?id={$comunicazione["id"]}';\"><span class=\"glyphicon glyphicon-search\"></span> Dettagli</button>";
                                      if($comunicazione["tipo"]=="comuniczione") {
                                          echo"<button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='creaComunicazione.php?id={$comunicazione["id"]}&a=reinvia';}\"><span class=\"glyphicon glyphicon-plus\"></span>Reinvia</button>";
                                      }
                                      echo"<button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaComunicazione({$comunicazione["id"]},'{$comunicazione["oggetto"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
                                  </td>
                                </tr>";
                          }
                      ?>
                    </tbody>
                </table>
            </div><!-- /tabella -->
        </div>
    
        <!-- paginazione -->
        <?php
            if($numGruppi[0]>$risultatiPerPagina) {
                    echo"<ul class=\"pagination pagination-sm\">";
                    if(isset($_GET["cerca"])) {
                            if($paginaCorrente==1) {
                                echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
                            }
                            else {
                                $prec = $paginaCorrente-1;
                                echo"<li ><a href=\"gestioneComunicazioni.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
                            }
                            $numeroPagine = ceil($numGruppi[0]/$risultatiPerPagina);
                            for($i=1;$i<$numeroPagine+1;$i++) {
                                if($i==$paginaCorrente) {
                                    echo"<li class=\"active\"><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";				
                                }
                                else {
                                    echo"<li><a href=\"gestioneComunicazioni.php?pag=$i&cerca={$_GET["cerca"]}\">$i</a></li>";
                                }
                            }
                            if($paginaCorrente==$numGruppi[0]) {
                                    echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
                            }
                            else {
                                    $succ = $paginaCorrente+1;
                                    echo"<li ><a href=\"gestioneComunicazioni.php?pag=$succ&cerca={$_GET["cerca"]}\">&raquo;</a>";
                            }
                    }
                    else {
                            if($paginaCorrente==1) {
                                    echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
                            }
                            else {
                                    $prec = $paginaCorrente-1;
                                    echo"<li ><a href=\"gestioneComunicazioni.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
                            }
                            $numeroPagine = ceil($numGruppi[0]/$risultatiPerPagina);
                            for($i=1;$i<$numeroPagine+1;$i++) {
                                    if($i==$paginaCorrente) {
                                            echo"<li class=\"active\"><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";				
                                    }
                                    else {
                                            echo"<li><a href=\"gestioneComunicazioni.php?pag=$i\">$i</a></li>";
                                    }
                            }
                            if($paginaCorrente==$numGruppi[0]) {
                                    echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
                            }
                            else {
                                    $succ = $paginaCorrente+1;
                                    echo"<li ><a href=\"gestioneComunicazioni.php?pag=$succ\">&raquo;</a>";
                            }
                    }
                    echo"</ul>";
            }
        ?>
        <!-- /paginazione -->
    </div>
    <!-- /contenuto principale -->

</div>
    
 <?php
    include "include/footer.php";
 ?>

    <!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
 
    <script src="../js/util.js"></script>
        
    <!-- abilita popover -->
    <script type="text/javascript">  
        $(document).ready(function() {
                $("[rel=tooltip]").tooltip({ placement: 'bottom'});
        }); 
    </script>
	
    <script type="text/javascript">
        function eliminaComunicazione(idMessaggio,oggetto) {
            $('#myModalLabel3').text("Eliminare la comunicazione '"+oggetto+"'?");
            document.getElementById("messaggioDaEliminare").value = idMessaggio;
            $('#myModal3').modal('show');
        }
    </script>
</body>
</html>
<?php
    }