<?php 
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/Ricerca.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore")) {
        header("Location: index.php");
        exit();
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        if(isset($_GET["cerca"])) {
            $parametriRicerca = ["nomeGruppo"=>$_GET["cerca"]];
        }
        else {
            $parametriRicerca = array();
        }
        $ricerca  = new Ricerca($geecomDb, "geecAd_gruppi", 20, $parametriRicerca, "", "");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom admin - gestione gruppi</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body
    <?php 
        if(isset($_GET["a"]) && $_GET["a"]=="crea nuova") {
            echo "onload=apriPopupNuovoElemento()";
        }
    ?>
>

<div id="wrap">
    
    <!-- barra superiore -->
	<?php  
		include "include/barraSuperiore.php";
	?>
    <!-- /barra superiore -->
    
    <!-- header di pagina -->
	<?php 
		include "include/header.php";
	?>
    <!-- /header di pagina -->
    
    <!-- riga menu principale -->
	<?php 
		include "include/menuPrincipale.php";
	?>
    <!-- /riga menu principale -->

    <!-- Modal box crea nuovo elemento-->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea un nuovo gruppo</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm" action="gruppi/creaGruppo.php" method="post">
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Nome del gruppo</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome del gruppo">
            </div>
          </div>
          
          <div class="form-group">
            <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
            <div class="col-sm-9">
              <textarea class="form-control" rows="3" id="textarea1" name="descrizione" placeholder="Inserisci qui il testo"></textarea>
            </div>
          </div>
          
          <input type="text" class="hidden" name="idGruppo" value=0>
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="{document.modalForm.submit();}" >Crea gruppo</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    
     <!-- Modal box modifica elemento-->
    <div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel2">Modifica il gruppo</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm2" action="gruppi/creaGruppo.php" method="post">
          <div class="form-group">
            <label for="campoTesto1" class="col-sm-3 control-label">Nome del gruppo</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="campoTesto2" name="nome" placeholder="Nome del gruppo">
            </div>
          </div>
          
          <div class="form-group">
            <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
            <div class="col-sm-9">
              <textarea class="form-control" rows="3" id="textarea2" name="descrizione" placeholder="Inserisci qui il testo"></textarea>
            </div>
          </div>
          
          <input type="text" class="hidden" id="idGruppo" name="idGruppo" >
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="{document.modalForm2.submit();}" >Modifica</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box conferma cancellazione elemento-->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Sicuro di voler cancellare il gruppo</h4>
          </div>
           <div class="modal-body">
           <p>La cancellazione del gruppo non eliminerà gli utenti che vi appartengono</p>
           </div>
            <form class="form-horizontal" role="form" name="formCancellazione" action="gruppi/cancellaGruppo.php" method="post">
	       	<input type="text" class="hidden" id="gruppoDaEliminare" name="idGruppo" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazione.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
	<?php
            if(isset($_GET["status"])) {
                if($_GET["status"]==1) {
                    echo"<p class=\"alert alert-success\">Gruppo creato</p>";
                }
                else if($_GET["status"]==2) {
                    echo"<p class=\"alert alert-success\">Gruppo modificato</p>";
                }
                else if($_GET["status"]==5) {
                    echo"<p class=\"alert alert-success\">Gruppo eliminato</p>";
                }
                else { //status = 400
                    echo"<p class=\"alert alert-danger\">Errore: esiste già un gruppo con questo nome</p>";
                }
            }
	?>
     
        
        <!-- riga menu secondario -->
	<div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" data-toggle="modal" data-target="#myModal" href="#">Nuovo gruppo</a>
                </div>
                <div class="pull-right">
                    <form class="navbar-form navbar-right" action="gestioneGruppi.php" method=get role="search">
                         <div class="form-group">
                           <input type="text" class="form-control" name="cerca" <?php if(isset($_GET["cerca"])) {
                                                     echo"value=\"{$_GET["cerca"]}\"";
                                             } ?> placeholder="Cerca">
                         </div>
                         <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span></button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /riga menu secondario -->
        
     <div class="panel panel-default">
      <div class="panel-heading">Elenco gruppi</div>
    
      <!-- tabella -->
      <div class="table-responsive">
	    <table class="table table-hover table-condensed">
          <thead>
            <tr>
              <th>ID </th>
              <th>Nome </th>
              <th>Descrizione </th>
              <th>Numero utenti</th>
              <th>Data creazione</th>
              <th>Azioni</th>
            </tr>
          </thead>
          <tbody>
            <?php 
                if(isset($_GET["pag"])) {
                    $ricerca->setParametriRicerca($parametriRicerca);
                    $ricerca->eseguiRicerca($_GET["pag"]);
                }
                else {
                    $ricerca->eseguiRicerca(1);
                }
                
                $result = $ricerca->getRisultatoQueryRicerca();
                while($gruppo=$result->fetch_assoc()) {
                    $queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_gruppiUtenti WHERE idGruppo='{$gruppo["id"]}'";
                    $resultNumero = $geecomDb->eseguiQueryLettura($queryNumeroUtenti);
                    $numeroUtenti = $resultNumero->fetch_array(MYSQLI_NUM);
                    $nomeGruppoEscape = filter_var($gruppo["nomeGruppo"],FILTER_SANITIZE_MAGIC_QUOTES);
                    $dataCreazione = date("d/m/Y",strtotime($gruppo["dataCreazione"]));
                    echo"<tr>
                        <td>{$gruppo["id"]}</td>
                        <td>{$gruppo["nomeGruppo"]}</td>
                        <td>{$gruppo["descrizione"]}</td>
                        <td>{$numeroUtenti[0]}</td>
                        <td>$dataCreazione</td>
                        <td>
                            <button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='dettagliGruppo.php?id={$gruppo["id"]}';}\"><span class=\"glyphicon glyphicon-default\"></span>Dettagli</button>
                            <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaGruppo({$gruppo["id"]},'$nomeGruppoEscape','{$gruppo["descrizione"]}')\"><span class=\"glyphicon glyphicon-repeat\"></span>Modifica</button>
                            <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaGruppo({$gruppo["id"]},'$nomeGruppoEscape')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
                        </td>
                    </tr>";
                }
                
            ?>
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
   
    </div>
    
    <!-- paginazione -->
    <?php
        $ricerca->stampaPaginazione("gestioneGruppi.php?pag=");
    ?>
    <!-- /paginazione -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted"><?php echo($infoGeecom["versione"]);?></p>
      </div>
    </div>
    <!-- /footer -->

<!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
  
   <script src="../js/util.js"></script>
  
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function() {
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">
            // funzione che serve per attivare la modal box, viene usata se è settato 
            // il parametro a (ovvero se l'utente ha cliccato sul pulsante crea nuovo dalla dashboard
            function apriPopupNuovoElemento() {
                $('#myModal').modal('show');
            }

            function modificaGruppo(idGruppo,nome,descrizione) {
                $('#myModalLabel2').text("Modifica il gruppo "+nome);
                document.getElementById("idGruppo").value = idGruppo;
                document.getElementById("campoTesto2").value = nome;
                document.getElementById("textarea2").value = descrizione;
                $('#myModal2').modal('show');
            }

            function eliminaGruppo(idGruppo,nome) {
                $('#myModalLabel3').text("Eliminare il gruppo "+nome+"?");
                document.getElementById("gruppoDaEliminare").value = idGruppo;
                $('#myModal3').modal('show');
            }
	</script>
</body>
</html>
<?php
    }