<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../gUtil/DbManager.php";
    include "../costanti.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else if($_SESSION["geecomAdmin_ruolo"]=="articolista") { //soltanto gli amministratori e i super admin possono modificare il menu
        header("Location: home.php?status=444");
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom Admin - gestione menu</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

    <!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    <!-- /riga menu principale -->

    <!-- Modal box creazione voce di menu-->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea una nuova voce di menu</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCreazioneVoceMenu" action="vociMenu/creaVoceMenu.php" method="post" enctype="multipart/form-data">
            
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome">
                </div>
            </div>
             
            <div class="form-group">
                <label for="icona" class="col-sm-3 control-label">Icona</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="icona" name="icona" placeholder="Icona">
                </div>
            </div>
            
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Tipo</label>
                <div class="col-sm-9">
                    <select class="form-control" name="tipo" onchange="mostraCampi(this.value)">
                        <option value="">seleziona</option>
                        <option value="link">link</option>
                        <option value="sottomenu">sottomenu</option>
                        <option value="voce sottomenu">voce sottomenu</option>
                    </select>
                </div>
            </div>
           
            <div class="hidden" id="campoLink">
                <label for="campoTesto1" class="col-sm-3 control-label">link</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" value="http://" name="link" placeholder="Nome">
                </div>
            </div>

            <div class="hidden" id="campoTag">
                <label for="campoTesto1" class="col-sm-3 control-label">Tag</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" name="tag" placeholder="tag">
                </div>
            </div>
          
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Visibilità</label>
                <div class="col-sm-9">
                    <select class="form-control" name="gruppoSpecifico">
                        <option value="0"> Tutti gli utenti</option>
                        <?php 
                            $queryGruppi  = "SELECT * FROM geecAd_gruppi";
                            $risGruppi    = $geecomDb->eseguiQueryLettura($queryGruppi);
                            while($gruppo = $risGruppi->fetch_assoc()) {
                                echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nomeGruppo"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>
           <input type="text" class="hidden" name="idVoceMenu" value=0>
          
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.formCreazioneVoceMenu.submit();}>Crea</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box modifica voce di menu-->
    <div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel2">Modifica la voce: </h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm2" action="vociMenu/creaVoceMenu.php" method="post">
            <div class="form-group">
              <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
              <div class="col-sm-9">
                <input type="text" class="form-control" id="modificaNome" name="nome">
              </div>
            </div>
          
            <div class="form-group">
                <label for="icona" class="col-sm-3 control-label">Icona</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="modificaIcona" name="icona" placeholder="Icona">
                </div>
            </div>
                
            <div class="form-group" >
                <label for="campoTesto1" class="col-sm-3 control-label">link</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="modificaLink" name="link">
                </div>
            </div>

            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Tag</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control"  id="modificaTag" name="tag">
                </div>
            </div>
          
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Tipo</label>
                <div class="col-sm-9">
                    <select class="form-control" name="tipo" id="modificaTipo" onchange="mostraCampi(this.value)">
                        <option value="">seleziona</option>
                        <option value="link">link</option>
                        <option value="sottomenu">sottomenu</option>
                        <option value="voce sottomenu">voce sottomenu</option>
                    </select>
                </div>
            </div>
          
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Visibilità</label>
                <div class="col-sm-9">
                    <select class="form-control" id="modificaGruppoSpecifico" name="gruppoSpecifico">
                        <option value="0"> Tutti gli utenti</option>
                        <?php 
                            $queryGruppi  = "SELECT * FROM geecAd_gruppi";
                            $risGruppi    = $geecomDb->eseguiQueryLettura($queryGruppi);
                            while($gruppo = $risGruppi->fetch_assoc()) {
                                echo"<option value=\"{$gruppo["id"]}\"> {$gruppo["nomeGruppo"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>
             <input type="text" class="hidden" id="idVoceMenu" name="idVoceMenu" value=0>
          
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.modalForm2.submit();}>Modifica</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
     <!-- Modal box conferma cancellazione voce di menu -->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Eliminare la voce di menu: </h4>
          </div>
            <form class="form-horizontal" role="form" name="formCancellazioneVoceMenu" action="vociMenu/eliminaVoceMenu.php" method="post">
	       	<input type="text" class="hidden" id="voceMenuDaEliminare" name="idVoceMenu" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazioneVoceMenu.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
     
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==1) {
                echo"<p class=\"alert alert-success\">Voce di menu creata</p>";
            }
            else if($_GET["status"]==2) {
                echo"<p class=\"alert alert-success\">Voce di menu modificata</p>";
            }
            else { // status = 5
                echo"<p class=\"alert alert-success\">Voce di menu eliminata</p>";
            }
        }
    ?>
	
    <!-- riga menu secondario -->
    <div id="menuSecondario" class="row">
        <div class="col-xs-12">
            <div class="pull-left">
                <a class="btn btn-primary" data-toggle="modal" data-target="#myModal" href="#">Nuova voce di menu</a>
            </div>
        </div>
    </div>
    <!-- /riga menu secondario -->
	
     <div class="panel panel-default">
      <div class="panel-heading">Elenco voci di menu</div>
    
      <!-- tabella -->
      <div class="table-responsive">
	    <table class="table table-hover table-condensed">
          <thead>
            <tr>
                <th>Nome</th>
                <th>Tipo</th>
                <th>Tag</th>
                <th>Link</th>
                <th>Azioni</th>
            </tr>
          </thead>
          <tbody>
             	<?php 
                    $risultatiPerPagina = 15; // <-- cambiare questo valore per modificare il numero di risultati per pagina
                    $queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_vociMenu WHERE tipo NOT LIKE 'voce sottomenu' ORDER BY posizione ASC";
                    $risNumUtenti = $geecomDb->eseguiQueryLettura($queryNumeroUtenti);
                    $numUtenti = $risNumUtenti->fetch_array(MYSQLI_NUM);

                    if(isset($_GET["pag"])) {
                            $limSup = $risultatiPerPagina * $_GET["pag"];
                            $limInf = $limSup - $risultatiPerPagina;
                            $queryVociDiMenu="SELECT * FROM geecAd_vociMenu WHERE tipo NOT LIKE 'voce sottomenu' ORDER BY posizione ASC LIMIT $limInf, $limSup";
                            $paginaCorrente = $_GET["pag"];
                    }
                    else {
                            $queryVociDiMenu="SELECT * FROM geecAd_vociMenu WHERE tipo NOT LIKE 'voce sottomenu' ORDER BY posizione ASC LIMIT $risultatiPerPagina";
                            $paginaCorrente = 1;
                    }

                    $result = $geecomDb->eseguiQueryLettura($queryVociDiMenu);
                    while($voceMenu=$result->fetch_assoc()) {
                        echo"<tr>
                            <td>{$voceMenu["nome"]}</td>
                            <td>{$voceMenu["tipo"]}</td>
                            <td>{$voceMenu["tagSottoMenu"]}</td>
                            <td>{$voceMenu["link"]}</td>
                            <td>
                            <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInAlto.php?pos={$voceMenu["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-up\"></span>Sposta </button>
                            <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"vociMenu/spostaVoceMenuInBasso.php?pos={$voceMenu["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-down\"></span>Sposta </button>					    
                                 <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaVoceMenu({$voceMenu["id"]},'{$voceMenu["nome"]}','{$voceMenu["icona"]}','{$voceMenu["link"]}','{$voceMenu["tagSottoMenu"]}','{$voceMenu["tipo"]}',{$voceMenu["gruppoSpecifico"]})\"><span class=\"glyphicon glyphicon-repeat\"></span>Modifica</button>
                                 <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaVoceMenu({$voceMenu["id"]},'{$voceMenu["nome"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
                            </td>
                          </tr>";
                    }
           	?>
            
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
      
      <!-- raggruppamento dei sottomenu -->
      <?php
      	$querySottoMenu = "SELECT * FROM geecAd_vociMenu WHERE tipo LIKE 'sottomenu' ORDER BY posizione ASC";
	  	$risSottomenu = $geecomDb->eseguiQueryLettura($querySottoMenu);
	 	while($sottoMenu = $risSottomenu->fetch_assoc()) {
		     echo"<div class=\"panel panel-default\">
	    <div class=\"panel-heading\">
		 <h4 class=\"panel-title\">
		   <a data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#collapseTwo\">Voci contenute nel menu a tendina: {$sottoMenu["nome"]}</a><a data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#collapseTwo\"></a>
		 </h4>
	    </div>
	    <div id=\"collapseTwo\" class=\"panel-collapse collapse\">
		 <div class=\"panel-body\">
		   <!-- tabella -->
		 <div class=\"table-responsive\">
		    <table class=\"table table-hover table-condensed\">
		     <thead>
		       <tr>
		         <th>Componenti attivi</th>
		         <th>Tipo</th>
		         <th>Link</th>
		         <th>Azioni</th>
		       </tr>
		     </thead>
		     <tbody>";

			$queryVociDiMenu = "SELECT * FROM geecAd_vociMenu WHERE tipo LIKE 'voce sottomenu' AND tagSottoMenu='{$sottoMenu["tagSottoMenu"]}' ORDER BY posizione ASC";
		  	$risVociSottomenu = $geecomDb->eseguiQueryLettura($queryVociDiMenu);
	 		while($voceSottoMenu = $risVociSottomenu->fetch_assoc()) {
				echo"<tr>
			    <td>{$voceSottoMenu["nome"]}</td>
			    <td>{$voceSottoMenu["tipo"]}</td>
			    <td>{$voceSottoMenu["link"]}</td>
			    <td>
				 <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"componenti/gestione/spostaComponenteInAlto.php?pos={$voceSottoMenu["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-up\"></span>Sposta in alto</button>
				 <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"componenti/gestione/spostaComponenteInBasso.php?pos={$voceSottoMenu["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-down\"></span>Sposta in basso</button>
				 <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaVoceMenu({$voceSottoMenu["id"]},'{$voceSottoMenu["nome"]}','{$voceSottoMenu["icona"]}','{$voceSottoMenu["link"]}','{$voceSottoMenu["tagSottoMenu"]}','{$voceSottoMenu["tipo"]}',{$voceSottoMenu["gruppoSpecfico"]})\"><span class=\"glyphicon glyphicon-repeat\"></span>Modifica</button>
				 <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaVoceMenu({$voceSottoMenu["id"]},'{$voceSottoMenu["nome"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
			    </td>
			  </tr>";
	 		}
		  echo" </table>
		 </div>
		 <!-- /tabella -->
		 </div>
	    </div>
	  </div>
	    </div>";
	 	}
    ?>

    <!-- paginazione -->
    <?php
    		if($numUtenti[0]>$risultatiPerPagina) {
			echo"<ul class=\"pagination pagination-sm\">";
			if($paginaCorrente==1) {
				echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
			}
			else {
				$prec = $paginaCorrente-1;
				echo"<li ><a href=\"gestioneUtenti.php?pag=$prec\">&laquo;</a>";
			}
			$numeroPagine = ceil($numUtenti[0]/$risultatiPerPagina);
	    		for($i=1;$i<$numeroPagine+1;$i++) {
				if($i==$paginaCorrente) {
					echo"<li class=\"active\"><a href=\"gestioneUtenti.php?pag=$i\">$i</a></li>";		
				}
				else {
					echo"<li><a href=\"gestioneUtenti.php?pag=$i\">$i</a></li>";
				}
	    		}
	    		if($paginaCorrente==$numUtenti[0]) {
				echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
			}
			else {
				$succ = $paginaCorrente+1;
				echo"<li ><a href=\"gestioneUtenti.php?pag=$succ\">&raquo;</a>";
			}
	    		echo"</ul>";
    		}
    ?>
    <!-- /paginazione -->
    
    </div>
    <!-- /contenuto principale -->
    </div>
</div>
    
    <?php
        include "include/footer.php";
    ?>


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
   <script src="../js/util.js"></script>
   
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
	
	<script type="text/javascript">
	
		function modificaVoceMenu(idVoceMenu,nome,icona,link,tag,tipo,gruppoSpecifico) {
			$('#myModalLabel2').text("Modifica i dati dell'utente "+nome);
			document.getElementById("idVoceMenu").value    = idVoceMenu;
			document.getElementById("modificaNome").value  = nome;
                        document.getElementById("modificaIcona").value = icona;
			document.getElementById("modificaLink").value  = link;
			document.getElementById("modificaTag").value   = tag;
			document.getElementById("modificaTipo").value  = tipo;
                        document.getElementById("modificaGruppoSpecifico").value  = gruppoSpecifico;
			$('#myModal2').modal('show');
		}
		
		function eliminaVoceMenu(idVoce,nome) {
			$('#myModalLabel3').text("Eliminare la voce di menu "+nome+"?");
			document.getElementById("voceMenuDaEliminare").value = idVoce;
			$('#myModal3').modal('show');
		}
		
		//questa funzione viene usata quando si crea un menu, fa comparire i campi necessari in
		//base al tipo di menu scelto. Si attiva ogni volta che la select tipo cambia valores
		function mostraCampi(scelta) {
                    if(scelta=="") {
                        document.getElementById("campoLink").className = "hidden";
                        document.getElementById("campoTag").className = "hidden";
                    }
                    else if(scelta=="sottomenu") {
                        document.getElementById("campoLink").className = "hidden";
                        document.getElementById("campoTag").className = "form-group";
                    }
                    else if(scelta=="voce sottomenu") {
                        document.getElementById("campoTag").className = "hidden";
                        document.getElementById("campoLink").className = "form-group";
                        document.getElementById("campoTag").className = "form-group";
                    }
                    else { //scelta = link
                        document.getElementById("campoTag").className = "hidden";
                        document.getElementById("campoLink").className = "form-group";
                    }
		}
	</script>
</body>
</html>
<?php
	}
?>
