<?php 
	/**
	*
	* copyright (c) 2013-2017 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
	include "../gUtil/DbManager.php";
        include "../gUtil/Ricerca.php";
	include "../costanti.php";
	include "../util.php";
	
	session_start();
	if(!isset($_SESSION["geecomAdmin_email"])) {
            header("Location: index.php");
	}
	else {
            $geecomDb = new DbManager($costantiDatabase);
            if(isset($_GET["cerca"])) {
                $parametriRicerca = ["titolo"=>$_GET["cerca"]]; 
            }
            else {
                $parametriRicerca = array();
            }
            $ricerca  = new Ricerca($geecomDb, "geecAd_pagine", 20, $parametriRicerca, "", "");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom admin - gestione pagine</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
	<?php  
		include "include/barraSuperiore.php";
	?>
    <!-- /barra superiore -->
    
    <!-- header di pagina -->
	<?php 
		include "include/header.php";
	?>
    <!-- /header di pagina -->
    
    <!-- riga menu principale -->
	<?php 
		include "include/menuPrincipale.php";
	?>
    <!-- /riga menu principale -->
    
    <!-- Modal box conferma cancellazione elemento-->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Sicuro di voler cancellare la pagina</h4>
          </div>
           
            <form class="form-horizontal" role="form" name="formCancellazione" action="pagine/eliminaPagina.php" method="post">
	       	<input type="text" class="hidden" id="paginaDaEliminare" name="idPagina" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazione.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
     
	<?php
            if(isset($_GET["status"])) {
                if($_GET["status"]==5) {
                    echo"<p class=\"alert alert-success\">Pagina eliminata</p>";
                }
                else { //status = 400
                    echo"<p class=\"alert alert-danger\">Errore: esiste già un gruppo con questo nome</p>";
                }
            }
	?>
     
        <!-- riga menu secondario -->
        <div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">                
                    <a href="creaPagina.php" class="btn btn-primary">Nuova Pagina</a>
                </div>
                <div class="pull-right">           
                    <form class="navbar-form navbar-right" action="gestionePagine.php" method=get role="search">
                     <div class="form-group">
                       <input type="text" class="form-control" name="cerca" <?php if(isset($_GET["cerca"])) {
                                                       echo"value=\"{$_GET["cerca"]}\"";
                                               } ?> placeholder="Cerca">
                     </div>
                     <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span></button>
                   </form>
                </div>
            </div>
        </div>
        <!-- /riga menu secondario -->
    
     <div class="panel panel-default">
      <div class="panel-heading">Elenco pagine</div>
    
      <!-- tabella -->
      <div class="table-responsive">
	    <table class="table table-hover table-condensed">
          <thead>
            <tr>
              <th>ID </th>
              <th>Titolo </th>
              <th>Autore </th>
              <th>Data creazione</th>
              <th>Azioni</th>
            </tr>
          </thead>
          <tbody>
           	<?php 
                    if(isset($_GET["pag"])) {
                        $ricerca->setParametriRicerca($parametriRicerca);
                        $ricerca->eseguiRicerca($_GET["pag"]);
                    }
                    else {
                        $ricerca->eseguiRicerca(1);
                    }
                    $result = $ricerca->getRisultatoQueryRicerca();
                    while($pagina=$result->fetch_assoc()) {
                        $dataCreazione = date("d/m/Y",strtotime($pagina["dataCreazione"]));
                        echo"<tr>
			    <td>{$pagina["id"]}</td>
                            <td>{$pagina["titolo"]}</td>
			    <td></td>
			    <td>$dataCreazione</td>
			    <td>
			      <button type=\"button\" class=\"btn btn-default\" onclick=\"{location.href='../pagina.php?id={$pagina["id"]}';}\"><span class=\"glyphicon glyphicon-share\"></span> Visualizza</button>
				 <button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='creaPagina.php?id={$pagina["id"]}';}\"><span class=\"glyphicon glyphicon-repeat\"></span> Modifica</button>
				 <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaArticolo({$pagina["id"]},'{$pagina["titolo"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
			    </td>
			  </tr>";
			}
           	?>
            
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
   
    </div>
    
    <!-- paginazione -->
    <?php
        $ricerca->stampaPaginazione("gestionePagine.php");
    ?>
    <!-- /paginazione -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php  
        include "include/footer.php";
    ?>

<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
  
   <script src="../js/util.js"></script>
  
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script>
	
	<script type="text/javascript">
		
		function eliminaArticolo(idArticolo,testo) {
			$('#myModalLabel3').text("Eliminare la pagina "+testo+"?");
			document.getElementById("paginaDaEliminare").value = idArticolo;
			$('#myModal3').modal('show');
		}
	</script>
</body>
</html>
<?php
	}
?>
