<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/GestoreUpload.php";
    include "../gUtil/StampaMsg.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else {

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $impostazioni = recuperaImpostazioni($geecomDb);
        
        $gestoreUpload = new GestoreUpload("",array(),100,"../immagini",100,"");

        isset($_GET["status"]) ? $status = $_GET["status"] : $status=0;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom Admin - gestione risorse</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

    <!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body
    <?php 
        if(isset($_GET["a"]) && $_GET["a"]=="crea nuova") {
            echo "onload=apriPopupNuovoElemento()";
        }
    ?>
>

<div id="wrap">
    <?php 
    	//includo la modalbox per il cambio password 
    	include "include/modalBox/modificaPassword.php";
    ?>
    <!-- Modal box conferma cancellazione risorsa -->
    <div class="modal " id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Eliminare la risorsa: </h4>
          </div>
            <form class="form-horizontal" role="form" name="formCancellazioneRisorsa" action="risorse/eliminaRisorsa.php" method="post">
	       	<input type="text" class="hidden" id="risorsaDaEliminare" name="idRisorsa" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazioneRisorsa.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    <!-- barra superiore -->
    
    <?php 
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";

    ?>
    
    <!-- /riga menu principale -->
    <div id="contenutoPrincipale" class="row">
        <div class="impostazioni">
 <!-- riga menu secondario -->
    <div id="menuSecondario" class="row">
        <div class="nav nav-pills">
          <li class="active" data-toggle="modal" data-target="#myModal"><a href="#">Nuova risorsa</a></li>
          <li class="active" data-toggle="modal" data-target="#creazioneCategoria"><a href="#">Nuova categoria</a></li>
        </div>
    </div>
    <!-- /riga menu secondario -->
    
    <!-- Modal box creazione risorsa-->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea una nuova risorsa</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCreazioneRisorsa" action="risorse/aggiungiRisorsa.php" method="post" enctype="multipart/form-data">
            <div class="form-group">
                <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                <div class="col-sm-9">
                    <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome">
                </div>
            </div>
          
            <div class="form-group">
                <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
                <div class="col-sm-9">
                  <textarea class="form-control" rows="3" id="textarea1" name="descrizione" placeholder="Inserisci qui il testo"></textarea>
                </div>

                <input type="text" class="hidden" name="idRisorsa" value=0>
            </div>

            <div class="form-group">
                <label for="esempioInputFile"class="col-sm-3 control-label">Carica un file</label>
                <div class="col-sm-9">
                    <input type="file" name="file" id="esempioInputFile" multiple="">
                </div>
            </div>

            <div class="form-group">
                <label for="esempioInputFile"class="col-sm-3 control-label">Immagine</label>
                <div class="col-sm-9">
                    <input type="file" name="immagine" id="esempioInputFile" multiple="">
                </div>
            </div>
                
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Categoria</label>
                <div class="col-sm-4">
                    <select class="form-control" name="categoria">
                       <option value="0">nessuna categoria</option>
                        <?php 
                            $queryNomiCategorie = "SELECT * FROM geec_categorie WHERE tipo LIKE 'categoriaRisorsa'";
                            $risCategorie = $geecomDb->eseguiQueryLettura($queryNomiCategorie);
                            while($categoria=$risCategorie->fetch_assoc()) {
                                echo"<option value=\"{$categoria["id"]}\">{$categoria["nome"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>
            
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Gruppo</label>
                <div class="col-sm-4">
                    <select class="form-control" name="idGruppo">
                        <option value="0">Tutti</option>
                        <?php 
                            $queryNomiCategorie = "SELECT * FROM geecAd_gruppi";
                            $risCategorie = $geecomDb->eseguiQueryLettura($queryNomiCategorie);
                            while($categoria=$risCategorie->fetch_assoc()) {
                                echo"<option value=\"{$categoria["id"]}\">{$categoria["nomeGruppo"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>
                
            <div class="form-group">
                <label for="selectEsempio1"class="col-sm-3 control-label">Singolo utente</label>
                <div class="col-sm-4">
                    <select class="form-control" name="idUtente">
                        <option value="0">Non selezionato</option>
                        <?php 
                            $queryNomiCategorie = "SELECT * FROM geecAd_utenti";
                            $risCategorie = $geecomDb->eseguiQueryLettura($queryNomiCategorie);
                            while($categoria=$risCategorie->fetch_assoc()) {
                                echo"<option value=\"{$categoria["id"]}\">{$categoria["nome"]} {$categoria["cognome"]}</option>";
                            }
                        ?>
                    </select>
                </div>
            </div>
        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.formCreazioneRisorsa.submit();}>Crea risorsa</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box creazione categoria risorsa-->
    <div class="modal fade" id="creazioneCategoria" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea una nuova categoria per le risorse</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm" action="categorie/creaCategoria.php" method="post">
                <div class="form-group">
                    <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                    <div class="col-sm-9">
                      <input type="text" class="form-control" id="nomeCategoria" name="nome" placeholder="Nome">
                    </div>
                    <input type="text" class="hidden" id="descrizioneCategoria" value=""/>
                    <input type="text" class="hidden" id="categoriaMadre" value=""/>
                    <input type="text" class="hidden" id="numeroArticoliPerPagina" value="5">
                    <input type="text" class="hidden" id="ordinamento" value="">
                </div>
            </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="creaCategoria('../','categoriaRisorsa')">Crea categoria</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box modifica risorsa-->
    <div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel2">Modifica dei dati della risorsa: </h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm2" action="risorse/modificaRisorsa.php" method="post"  enctype="multipart/form-data">
                <input type="text" class="hidden" id="idRisorsa" name="idRisorsa" value=0>
                <div class="form-group">
                    <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" id="campoTesto2" name="nome" >
                    </div>
                </div>
                    
                <div class="form-group">
                    <label for="textarea1" class="col-sm-3 control-label">Descrizione</label>
                    <div class="col-sm-9">
                        <textarea class="form-control" rows="3" id="textarea2" name="descrizione" ></textarea>
                    </div>
                </div>
                
                <div class="form-group">
                    <label for="esempioInputFile"class="col-sm-3 control-label">Aggiorna file</label>
                    <div class="col-sm-9">
                        <input type="file" name="file" id="esempioInputFile" multiple="">
                    </div>
                </div>
                
                <div class="form-group">
                    <label for="esempioInputFile"class="col-sm-3 control-label">Aggiorna immagine</label>
                    <div class="col-sm-9">
                        <input type="file" name="immagine" id="esempioInputFile" multiple="">
                    </div>
                </div>
            
                <div class="form-group">
                    <label for="selectEsempio1"class="col-sm-3 control-label">Categoria</label>
                    <div class="col-sm-4">
                        <select class="form-control" name="categoria" id="categoriaRisorsa">
                            <option value="0">nessuna categoria</option>
                            <?php 
                                $queryNomiCategorie = "SELECT * FROM geec_categorie WHERE tipo LIKE 'categoriaRisorsa'";
                                $risCategorie = $geecomDb->eseguiQueryLettura($queryNomiCategorie);
                                while($categoria=$risCategorie->fetch_assoc()) {
                                    echo"<option value=\"{$categoria["id"]}\">{$categoria["nome"]}</option>";
                                }
                            ?>
                        </select>
                    </div>
               </div>
            </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.modalForm2.submit();}>Modifica</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
        
    <!-- Modal box conferma cancellazione categoria -->
    <div class="modal fade" id="myModal4" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel4">Eliminare la categoria: </h4>
            </div>
            <form class="form-horizontal" role="form" name="formCancellazioneCategoria" action="categorie/rihiediConfermaEliminazioneCategoria.php" method="post">
	       	<input type="text" class="hidden" id="categoriaDaEliminare" name="idCategoria" >
		<input type="text" class="hidden" name="tipo" value="categoriaRisorsa">
            </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="eliminaCategoria('../')" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==150) {
                echo"<p class=\"alert alert-success\">Risorsa creata</p>";
            }
            else if($_GET["status"]==10) {
                echo"<p class=\"alert alert-success\">Risorsa modificata</p>";
            }
            else if($_GET["status"]==2) {
                echo"<p class=\"alert alert-success\">Categoria creata</p>";
            }
            else if($_GET["status"]==30) {
                echo"<p class=\"alert alert-success\">Risorsa spostata</p>";
            }
            else if($_GET["status"]==50) {
                echo"<p class=\"alert alert-success\">Risorsa eliminata</p>";
            }
            else if($_GET["status"]==55){
                echo"<p class=\"alert alert-success\">Categoria eliminata</p>";
            }
        }
    ?>
	
  <div class="panel panel-default">
    <div class="panel-heading">
      <h4 class="panel-title">
        <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">Categorie delle risorse</a><a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo"></a>
      </h4>
    </div>
    <div id="collapseTwo" class="panel-collapse collapse">
      <div class="panel-body">
        <!-- tabella -->
      <div class="table-responsive">
	    <table class="table table-hover table-condensed">
          <thead>
            <tr>
              <th>Nome </th>
              <th>Data creazione</th>
              <th>Azioni</th>
            </tr>
          </thead>
          
          <tbody>
          <?php 
		$queryCategorie="SELECT * FROM geec_categorie WHERE tipo LIKE 'categoriaRisorsa'";
          	$resultCategorie = $geecomDb->eseguiQueryLettura($queryCategorie);
  		while($categoria = $resultCategorie->fetch_assoc()) {
                    $dataCreazione = date("d/m/Y",strtotime($categoria["dataCreazione"]));
                    echo"<tr>
			    <td>{$categoria["nome"]}</td>
			    <td>$dataCreazione</td>
			    <td>
                                <button type=\"button\" class=\"btn btn-danger\" onclick=\"rihiediConfermaEliminazioneCategoria({$categoria["id"]},'{$categoria["nome"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
			    </td>
                        </tr>";
  		}
          ?>
            
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
      </div>
    </div>
  </div>
	
     <div class="panel panel-default">
      <div class="panel-heading">Elenco risorse</div>
    
      <!-- tabella risorse-->
      <div class="table-responsive">
        <table class="table table-hover table-condensed">
            <thead>
                <tr>
                    <th>Nome</th>
                    <th>Descrizione</th>
                    <th>Categoria</th>
                    <th>Ultimo aggiornamento</th>
                    <th>Numero download</th>
                    <th>Azioni</th>
                </tr>
            </thead>
            <tbody>
            <?php 
                $risultatiPerPagina = 15; // <-- cambiare questo valore per modificare il numero di risultati per pagina
                $queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_risorse ORDER BY posizione ASC";
                $risNumUtenti = $geecomDb->eseguiQueryLettura($queryNumeroUtenti);

                $numUtenti = $risNumUtenti->fetch_array(MYSQLI_NUM);

                if(isset($_GET["pag"])) {
                    $limSup = $risultatiPerPagina * $_GET["pag"];
                    $limInf = $limSup - $risultatiPerPagina;
                    $queryUtenti="SELECT * FROM geecAd_risorse ORDER BY posizione ASC LIMIT $limInf, $limSup";
                    $paginaCorrente = $_GET["pag"];
                }
                else {
                    $queryUtenti="SELECT * FROM geecAd_risorse ORDER BY posizione ASC LIMIT $risultatiPerPagina";
                    $paginaCorrente = 1;
                }

                $result = $geecomDb->eseguiQueryLettura($queryUtenti);
                while($risorsa=$result->fetch_assoc()) {
                    if($risorsa["categoria"]==0) {
                        $categoriaRisorsa = "nessuna";
                    }
                    else {
                        $datiCategoria = $geecomDb->leggiSingolaRiga("geec_categorie",$risorsa["categoria"]);
                        $categoriaRisorsa = $datiCategoria["nome"];
                    }
                    $dataCreazione = date("d/m/Y",strtotime($risorsa["dataCreazione"]));
                    if($risorsa["idUtente"]!=0) {
                        $stringaRisorsaPrivata = "<i class=\"fa fa-lock\"></i> ";
                    }
                    else {
                        $stringaRisorsaPrivata = "";
                    }
                    echo"<tr>
                    <td><a href=# onclick=\"modificaRisorsa({$risorsa["id"]},'{$risorsa["nome"]}','{$risorsa["descrizione"]}','','{$risorsa["categoria"]}')\">
                        $stringaRisorsaPrivata <strong>{$risorsa["nome"]}</strong> 
                        </a>
                        <span class=\"text-muted clearfix\">";
                            echo"scaricaFile.php?id={$risorsa["id"]}";
                        "</span>
                    </td>";
                    echo"</td>
                    <td>{$risorsa["descrizione"]}</td>
                    <td>$categoriaRisorsa</td>
                    <td>$dataCreazione</td>
                    <td>{$risorsa["numeroDownload"]}</td>";
                    echo"<td>
                        <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"risorse/spostaRisorsaInAlto.php?pos={$risorsa["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-up\"></span></button>
                        <button type=\"button\" class=\"btn btn-default\" onclick={location.href=\"risorse/spostaRisorsaInBasso.php?pos={$risorsa["posizione"]}\";}><span class=\"glyphicon glyphicon-arrow-down\"></span></button>					    
                        <button type=\"button\" class=\"btn btn-primary\" onclick=\"modificaRisorsa({$risorsa["id"]},'{$risorsa["nome"]}','{$risorsa["descrizione"]}','','{$risorsa["categoria"]}')\"><span class=\"glyphicon glyphicon-edit\"></span></button>
                        <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaRisorsa({$risorsa["id"]},'{$risorsa["nome"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> </button>
                    </td>
                  </tr>";
                }
            ?>
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
   
    </div>
    
    <!-- paginazione -->
    <?php
        if($numUtenti[0]>$risultatiPerPagina) {
            echo"<ul class=\"pagination pagination-sm\">";
            if($paginaCorrente==1) {
                echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
            }
            else {
                $prec = $paginaCorrente-1;
                echo"<li ><a href=\"gestioneRisorse.php?pag=$prec\">&laquo;</a>";
            }
            $numeroPagine = ceil($numUtenti[0]/$risultatiPerPagina);
            for($i=1;$i<$numeroPagine+1;$i++) {
                if($i==$paginaCorrente) {
                    echo"<li class=\"active\"><a href=\"gestioneRisorse.php?pag=$i\">$i</a></li>";				
                }
                else {
                    echo"<li><a href=\"gestioneRisorse.php?pag=$i\">$i</a></li>";
                }
            }
            if($paginaCorrente==$numUtenti[0]) {
                echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
            }
            else {
                $succ = $paginaCorrente+1;
                echo"<li ><a href=\"gestioneRisorse.php?pag=$succ\">&raquo;</a>";
            }
            echo"</ul>";
        }
    ?>
    <!-- /paginazione -->
	</div>
    </div>
</div>
    
<?php 
	include "include/footer.php";
?>

    <!-- javascript -->
    <script src="../js/jquery-2.1.4.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
    <script src="../js/util.js"></script>
   
    <!-- abilita popover -->
    <script type="text/javascript">  
            $(document).ready(function(){
                    $("[rel=tooltip]").tooltip({ placement: 'bottom'});
            }); 
    </script> 

    <script type="text/javascript">

            function modificaRisorsa(idRisorsa,nome,descrizione,password,categoria) {
                    $('#myModalLabel2').text("Modifica i dati della risorsa "+nome);
                    document.getElementById("idRisorsa").value = idRisorsa;
                    document.getElementById("campoTesto2").value = nome;
                    document.getElementById("textarea2").value = descrizione;
                    document.getElementById("passwordRisorsa").value = password;
                    document.getElementById("categoriaRisorsa").value = categoria;
                    $('#myModal2').modal('show');
            }

            function eliminaRisorsa(idRisorsa,nome) {
                    $('#myModalLabel3').text("Eliminare la risorsa "+nome+"?");
                    document.getElementById("risorsaDaEliminare").value = idRisorsa;
                    $('#myModal3').modal('show');
            }

            function rihiediConfermaEliminazioneCategoria(idCategoria,nome) {
                    $('#myModalLabel4').text("Eliminare la categoria "+nome+"?");
                    document.getElementById("categoriaDaEliminare").value = idCategoria;
                    $('#myModal4').modal('show');
            }

            function apriPopupNuovoElemento()  {
                    $('#myModal').modal('show');
            }
    </script>
</body>
</html>
<?php
    }
