<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
            header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $impostazioni = recuperaImpostazioni($geecomDb);
    }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title> Amministrazione di Geecom admin - Home</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- Switchery -->   
<link rel="stylesheet" type="text/css" href="../template/css/switchery.min.css"/>

<!-- stile custom per il backend --> 
<link href="../template/css/custom_backend.css" rel="stylesheet">
    
<!-- font custom -->
<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,700" rel="stylesheet" type="text/css">

</head>

<body>
<div id="wrap">
    
       <!-- barra superiore -->
	<?php  
            include "include/barraSuperiore.php";

            include "include/header.php";

            include "include/menuPrincipale.php";
	?>
    <!-- /riga menu principale -->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
    	
        <!-- area avvisi -->
	<?php 
		//include le modalbox
		include "include/modalBox/modificaPassword.php";
		
		//se c'è uno status scrive il messaggio corrispondente
		if(isset($_GET["status"])) {
			if($_GET["status"]==1) {
				echo"<p class=\"alert alert-success\">Password cambiata</p>";
			}
			else if($_GET["status"]==30) {
				echo"<p class=\"alert alert-success\">Componente spostata</p>";
			}
			else if($_GET["status"]==50) {
				echo"<p class=\"alert alert-success\">Componente attivato</p>";
			}
			else if($_GET["status"]==55){ // status = 55
				echo"<p class=\"alert alert-success\">Componente disattivato</p>";
			}
			else if($_GET["status"]==100) { // status = 100
				echo"<p class=\"alert alert-success\">Impostazioni estetiche aggiornate</p>";
			}
			else { // status = 444 l'utente ha tentato di fare un'operazione senza avere i permessi necessari
				echo"<p class=\"alert alert-danger\">Errore: non hai i permessi necessari per fare quest'operazione</p>";
			}
		}
	?>
    	<!--/area avvisi -->
        
        <!-- Dashboard -->
        <div id="Dashboard">
            <?php  
                include "include/dashboard.php";
            ?>
            <div class="row col-xs-12">
                <?php  
                    include "include/dashboardSezioneComunicazioni.php";

                    include "include/dashboardSezioneUtenti.php";
                ?>
            </div>
        </div>
    
    </div>

</div>
    
<?php 
    include "include/footer.php";
?>

<!-- javascript -->
    <script src="../js/jquery-2.1.4.min.js"></script>
    <script src="../js/util.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
  	
    <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: "bottom"});
		}); 
	</script>
    
    <!-- ruota icona "chiudi" -->
    <script type="text/javascript">
	// visualizzatiOggi contenutiPiuLetti

	var divContenitori = new Array("#contenitore1","#contenitore2","#contenitore3","#contenitore4");
	    
	$(document).ready(function() {
		for(var elem in divContenitori) {
		var chiudiBtn = divContenitori[elem]+" .chiudiBtn";
		var iconaChiudiBtn = divContenitori[elem]+" .chiudiBtn .glyphicon.glyphicon-remove";
			assegna(chiudiBtn,iconaChiudiBtn);
		}
	});

	function assegna(chiudiBtn,iconaChiudiBtn) {
		$(chiudiBtn).click(function(){
		    $(iconaChiudiBtn).toggleClass("ruota");
		});
	}

    </script>
    
    <!-- Switchery -->
    <script type="text/javascript" src="../template/js/switchery.min.js"></script>
    <script type="text/javascript">
		var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
		
		elems.forEach(function(html) {
		  var switchery = new Switchery(html);
		});
    </script>
    
    <script type="text/javascript">  
        $(document).ready(function(){
                $("[rel=tooltip]").tooltip({ placement: "bottom"});
        }); 
        
        $(function () {
          $('[data-toggle="popover"]').popover()
        })
        
        $('body').on('click', function (e) {
            $('[data-toggle="popover"]').each(function () {
                    //the 'is' for buttons that trigger popups
                    //the 'has' for icons within a button that triggers a popup
                    if (!$(this).is(e.target) && $(this).has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
                            $(this).popover('hide');
                    }
            });
	});
    </script>
</body>
</html>
