<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../util.php";
    include "../gUtil/StampaMsg.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/Ricerca.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else {

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $footer   = $geecomDb->leggiSingolaRiga("geecAd_footer",1);

        $impostazioni = recuperaImpostazioni($geecomDb);
        $templateEmail = $geecomDb->leggiSingolaRiga("geec_templateEmail", 1);
        $configurazioneColore = $geecomDb->leggiSingolaRiga("geec_configurazioniAspetto", "si","selezionataAdmin");
        
        if(!isset($_GET["status"])) {
            $status = 0;
        }
        else {
            $status = $_GET["status"];
        }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom Admin - impostazioni</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

    <!-- Switchery -->   
    <link rel="stylesheet" type="text/css" href="../template/css/switchery.min.css"/>

    <!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

    <!--Color picker -->
    <link rel="stylesheet" type="text/css" href="../plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css"/>
</head>

<body>

<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>

    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
        <div class="impostazioni">
            <?php
                if(isset($_GET["status"])) {
                    $stampaMsg = new StampaMsg();
                    if($status==200) { // status = 200
                        $stampaMsg::success("Nuova combinazione colori caricata");
                    }
                    else if($status==250) { // status = 250
                        $stampaMsg::success("Impostazioni aspetto aggiornate");
                    }
                    else if($status==300) { // status = 300
                        $stampaMsg::success("Impostazioni sicurezza aggiornate");
                    }
                    else if($status==320) { // status = 320
                        $stampaMsg::success("Impostazioni footer aggiornate");
                    }
                    else if($status==330) { // status = 320
                        $stampaMsg::success("Impostazioni api aggiornate");
                    }
                    else if($status==335) { // status = 335
                        $stampaMsg::success("Impostazioni contabilità aggiornate");
                    }
                    else if($status==350) { // status = 350
                        $stampaMsg::success("Impostazioni smtp aggiornate");
                    }
                    else if($status==360) { // status = 360
                        $stampaMsg::success("Template email aggiornato");
                    }
                    else if($status==380) { // status = 380
                        $stampaMsg::success("Impostazioni generali aggiornate");
                    }
                    else if($status==385) { // status = 385
                        $stampaMsg::success("Etichetta utenti inserita");
                    }
                    else if($status==390) { // status = 380
                        $stampaMsg::success("Impostazioni modulo registrazione aggiornate");
                    }
                    else if($status==450) { // status = 450
                        $stampaMsg::success("Impostazioni prodotti aggiornate");
                    }
                    else if($status==395) {
                        echo"<p class=\"alert alert-success\">Importazione eseguita, sono stati importati {$_GET["numeroElementImportati"]} elementi</p>";
                    }
                    else if($status==396) {
                        echo"<p class=\"alert alert-danger\">{$_GET["messaggio"]}</p>";
                    }
                }
                else {
                    $status  = 0;
                }
            ?>
            <div class="col-xs-4 col-sm-2">
                <ul class="nav nav-tabs tabs-left">
                    <li <?php if($status==380) echo"class=\"active\""; ?>
                          ><a data-toggle="tab" href="#impostazioniGenerali">Impostazioni generali</a>
                    </li>
                    <li <?php if($status==385 || $status==390) echo"class=\"active\""; ?>
                          ><a data-toggle="tab" href="#impostazioniUtenti">Impostazioni utenti</a>
                    </li>
                    <li <?php if($status==0 || $status==250) echo"class=\"active\""; ?>
                          ><a data-toggle="tab" href="#aspettoAreaUtente">Aspetto</a>
                    </li>
                    <li <?php if($status==330) echo"class=\"active\""; ?> >
                          <a data-toggle="tab" href="#impostazioniApi">API</a>
                    </li>
                    <li <?php if($status==350) echo"class=\"active\""; ?> >
                          <a data-toggle="tab" href="#impostazioniSmtp">Server SMTP</a>
                    </li>
                    <li <?php if($status==360) echo"class=\"active\""; ?> >
                          <a data-toggle="tab" href="#templateEmail">Template email</a>
                    </li>
                    <li <?php if($status==340) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#impostazioniCookie">Legge sui cookie</a>
                    </li>
                    <li <?php if($status==320) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#impostazioniFooter">Footer</a>
                    </li>
                    <li <?php if($status==335) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#impostazioniContabilita">Contabilità</a>
                    </li>
                    <li <?php if($status==395 || $status==396) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#importaEsporta">Importa / esporta</a>
                    </li>
                    <li <?php if($status==300) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#impostazioniSicurezza">Sicurezza</a>
                    </li>
                    <li <?php if($status==450) echo"class=\"active\""; ?>>
                          <a data-toggle="tab" href="#impostazioniProdotti">Prodotti installati</a>
                    </li>
                </ul>
            </div>
            <div id="colonnaPrincipale" class="col-xs-8 col-sm-10">
                <div class="tab-content">
                    <div id="aspettoAreaUtente" class="tab-pane fade <?php if($status==0 || $status==250) echo'in active'; ?>">
                        <?php include "include/impostazioni/aspetto.php"; ?>
                    </div>

                    <div id="impostazioniGenerali" class="tab-pane fade <?php if($status==380) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniGenerali.php"; ?>
                    </div>

                    <div id="impostazioniUtenti" class="tab-pane fade <?php if($status==385 || $status==390) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniUtenti.php"; ?>
                    </div>

                    <div id="impostazioniSmtp" class="tab-pane fade <?php if($status==350) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniSmtp.php"; ?>
                    </div>

                    <div id="templateEmail" class="tab-pane fade <?php if($status==360) echo'in active'; ?>">
                        <?php include "include/impostazioni/templateEmail.php"; ?>
                    </div>
                    
                    <div id="impostazioniApi" class="tab-pane fade <?php if($status==330) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniApi.php"; ?>
                    </div>

                    <div id="impostazioniCookie" class="tab-pane fade <?php if($status==340) echo'in active'; ?>">
                        <?php include "include/impostazioni/leggeCookie.php"; ?>
                    </div>

                    <div id="impostazioniFooter" class="tab-pane fade <?php if($status==320) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniFooter.php"; ?>
                    </div>

                    <div id="impostazioniContabilita" class="tab-pane fade <?php if($status==335) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniContabilita.php"; ?>
                    </div>
                    
                    <div id="importaEsporta" class="tab-pane fade <?php if($status==395 || $status==396) echo'in active'; ?>">
                        <?php include "include/impostazioni/importaEsporta.php"; ?>
                    </div>
                    
                    <div id="impostazioniSicurezza" class="tab-pane fade <?php if($status==300) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniSicurezza.php"; ?>
                    </div>
                    
                    <div id="impostazioniProdotti" class="tab-pane fade <?php if($status==450) echo'in active'; ?>">
                        <?php include "include/impostazioni/impostazioniProdotti.php"; ?>
                    </div>
                </div>
                <!-- fine tab content -->
            </div>
            <!-- fine colonna principale-->
        </div>
    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php
        include "include/footer.php";
    ?>

<!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>

    <script src="../js/util.js"></script>

  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 

	<!-- Editor di testo -->
	<script type="text/javascript" src="../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
	tinymce.init({
	    selector: "textarea.editor",
	    plugins: "textcolor link",
    	    toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor",
	    language : 'it',
            branding : false
	 });
	</script>

            <!-- Color picker -->
    <script type="text/javascript" src="../plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <script>
      $(function () {
            $('.selettore-colore').colorpicker({
                    format: 'hex',
                    autoInputFallback: false
            });
      });
      $('.hex-input').on('click touchstart mousedown', function(){$(this).focus()})
      
        function caricaConfigurazione(){
            var idConfigurazione = $('#idConfigurazione').val();
            
            $.ajax({
                type:"POST",
                url:"impostazioni/cambiaImpostazioniColori.php",
                data:{
                    id: idConfigurazione
                },
                success:function(result) {
                    if(result=="ok") {
                        location.href = "impostazioni.php?status=200";
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
        
        function esportaConfigurazione(){
            var idConfigurazione = $('#idConfigurazione').val();
            location.href = "../controller/controllerEsportazioni.php?operazione=esportaDatabase&tabella=geec_configurazioniAspetto&singoloId="+idConfigurazione;
        }
        
        function salvaConfigurazione() {
            var nome                   = $('#nomeNuovaConfigurazione').val();
            var note                   = $('#noteConfigurazione').val();
            var sfondoBarraMenu        = $('#sfondoBarraMenu').val();
            var coloreTestoBarraMenu   = $('#coloreTestoBarraMenu').val();
            var linkFont               = $('linkFont').val()
            var fontIntestazioni       = $('#fontIntestazioni').val()
            var fontTesti              = $('#fontTesti').val()
            var colorePrimario         = $('#colorePrimario').val();
            var coloreSecondario       = $('#coloreSecondario').val();
            var coloreSuccess          = $('#coloreSuccess').val();
            var coloreLight            = $('#coloreLight').val();
            var coloreWarning          = $('#coloreWarning').val();
            var coloreDark             = $('#coloreDark').val();
            var coloreInfo             = $('#coloreInfo').val();
            var coloreDanger           = $('#coloreDanger').val();
            var colorePrimarioHover    = $('#colorePrimarioHover').val();
            var coloreSecondarioHover  = $('#coloreSecondarioHover').val();
            var coloreSuccessHover     = $('#coloreSuccessHover').val();
            var coloreLightHover       = $('#coloreLightHover').val();
            var coloreInfoHover        = $('#coloreInfoHover').val();
            var coloreWarningHover     = $('#coloreWarningHover').val();
            var coloreDarkHover        = $('#coloreDarkHover').val();
            var coloreDangerHover      = $('#coloreDangerHover').val();
            var colorePrimarioActive   = $('#colorePrimarioActive').val();
            var coloreSecondarioActive = $('#coloreSecondarioActive').val();
            var coloreSuccessActive    = $('#coloreSuccessActive').val();
            var coloreLightActive      = $('#coloreLightActive').val();
            var coloreInfoActive       = $('#coloreInfoActive').val();
            var coloreDarkActive       = $('#coloreDarkActive').val();
            var coloreWarningActive    = $('#coloreWarningActive').val();
            var coloreDangerActive     = $('#coloreDangerActive').val();
            var breakingPointsXs       = $('#breakingPointsXs').val();
            var breakingPointsMd       = $('#breakingPointsMd').val();
            var breakingPointsLg       = $('#breakingPointsLg').val();
            var breakingPointsXl       = $('#breakingPointsXl').val();
            
            $.ajax({
                type:"POST",
                url:"impostazioni/salvaImpostazioneColori.php",
                data:{
                    nome                   :nome,
                    note                   :note,
                    sfondoBarraMenu        :sfondoBarraMenu,
                    coloreTestoBarraMenu   :coloreTestoBarraMenu,
                    linkFont               :linkFont,
                    fontIntestazioni       :fontIntestazioni,
                    fontTesti              :fontTesti,
                    colorePrimario         :colorePrimario,
                    coloreSecondario       :coloreSecondario,
                    coloreSuccess          :coloreSuccess,
                    coloreLight            :coloreLight,
                    coloreDark             :coloreDark,
                    coloreInfo             :coloreInfo,
                    coloreWarning          :coloreWarning,
                    coloreDanger           :coloreDanger,
                    colorePrimarioHover    :colorePrimarioHover,
                    coloreSecondarioHover  :coloreSecondarioHover,
                    coloreSuccessHover     :coloreSuccessHover,
                    coloreLightHover       :coloreLightHover,
                    coloreDarkHover        :coloreDarkHover,
                    coloreWarningHover     :coloreWarningHover,
                    coloreDangerHover      :coloreDangerHover,
                    coloreInfoHover        :coloreInfoActive,
                    colorePrimarioActive   :colorePrimarioActive,
                    coloreSecondarioActive :coloreSecondarioActive,
                    coloreSuccessActive    :coloreSuccessActive,
                    coloreLightActive      :coloreLightActive,
                    coloreDarkActive       :coloreDarkActive,
                    coloreInfoActive       :coloreInfoActive,
                    coloreWarningActive    :coloreWarningActive,
                    coloreDangerActive     :coloreDangerActive,
                    breakingPointsXs       :breakingPointsXs,
                    breakingPointsMd       :breakingPointsMd,
                    breakingPointsLg       :breakingPointsLg,
                    breakingPointsXl       :breakingPointsXl
                },
                success:function(result) {
                    if(result=="ok") {
                        location.href = "impostazioni.php?status=250";
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
        
        function creaEtichetta(tipo) {
            if(tipo=="contabilita") {
                var nuovaEtichetta = document.getElementById("nuovaEtichettaContabilita").value;
            }
            else {   
                var nuovaEtichetta = document.getElementById("nuovaEtichetta").value;
            }
            $.ajax({
                type:"GET",
                url:"../controller/controllerImpostazioni.php",
                data:{
                    operazione:'inserisciEtichetta',
                    nome:nuovaEtichetta,
                    tipo:tipo
                },
                success:function(result) {
                    if(result=="Dati salvati") {
                        if(tipo=="contabilita") {
                            location.href = "impostazioni.php?status=335";
                        }
                        else {
                            location.href = "impostazioni.php?status=385";
                        }
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
        
        function eliminaEtichetta(id) {
            $.ajax({
                type:"GET",
                url:"../controller/controllerImpostazioni.php",
                data:{
                    operazione:'eliminaEtichetta',
                    id:id
                },
                success:function(result) {
                    if(result=="Dati salvati") {
                        document.getElementById("etichetta"+id).className = 'hidden';
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
        
        function creaMetodoPagamento() {
            var nuovoMetodoPagamento = document.getElementById("nuovoMetodoPagamento").value;
            $.ajax({
                type:"GET",
                url:"../controller/controllerImpostazioni.php",
                data:{
                    operazione:'inserisciMetodoPagamento',
                    nome:nuovoMetodoPagamento
                },
                success:function(result) {
                    if(result=="Dati salvati") {
                        location.href = "impostazioni.php?status=335";
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
        
        function eliminaMetodoPagamento(id) {
            $.ajax({
                type:"GET",
                url:"../controller/controllerImpostazioni.php",
                data:{
                    operazione:'eliminaMetodoPagamento',
                    id:id
                },
                success:function(result) {
                    if(result=="Dati salvati") {
                        document.getElementById("metodoPagamento"+id).className = 'hidden';
                    }
                    else {
                        alert(result);
                    }
                },
                error:function(){
                  alert("errore");
                }
            });
        }
    </script>
    
    <!-- Switchery -->
    <script type="text/javascript" src="../template/js/switchery.min.js"></script>
    <script type="text/javascript">
        var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

        elems.forEach(function(html) {
          var switchery = new Switchery(html);
        });
    </script>
    
</body>
</html>
<?php
    }