    <?php
	/*
	* copyright (c) 2013-2020 Heliac Technologies
	* license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
	*
	* linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
	*/
    
        $inizioAnnoCorrente  = date("Y-01-01");
        $queryFattureInviate = "SELECT SUM(totale) AS totaleIncasso, SUM(iva) AS ivaIncassata FROM geecAd_fatture WHERE tipo LIKE 'inviata' AND dataEmissione >= '$inizioAnnoCorrente'";
        $risFattureInviate   = $geecomDb->eseguiQueryLettura($queryFattureInviate);
        $datiFattureInviate  = $risFattureInviate->fetch_assoc();

        $queryFattureRicevute = "SELECT SUM(totale) AS totaleSpese, SUM(iva) AS ivaACredito FROM geecAd_fatture WHERE tipo LIKE 'ricevuta' AND dataEmissione >= '$inizioAnnoCorrente'";
        $risFattureRicevute   = $geecomDb->eseguiQueryLettura($queryFattureRicevute);
        $datiFattureRicevurte = $risFattureRicevute->fetch_assoc();
        
        $bilancio     = $datiFattureInviate["totaleIncasso"] - $datiFattureRicevurte["totaleSpese"];
        $ivaDaVersare = $datiFattureInviate["ivaIncassata"] - $datiFattureRicevurte["ivaACredito"];
        $classeBilancio = ($bilancio>0) ? "success" : "danger";
    ?>
    <!-- icone dashboard -->
    <div id="areaIconeDash">
        <div class="col-md-3">
            <div class="alert alert-<?php echo $classeBilancio; ?> text-center" role="alert">
                <p>Il tuo bilancio è <strong><?php echo $bilancio; ?> €</strong></p>
            </div>
        </div>

        <div class="col-md-9">
            <div class="jumbotron">
                <div class="row">
                    <div class="col-xs-6 col-sm-4">
                        <div class="item green center-block text-center">
                            <h2><strong><?php echo ((is_numeric($datiFattureInviate["totaleIncasso"])) ? $datiFattureInviate["totaleIncasso"] : 0); ?> €</strong></h2>
                            <h4>Entrate</h4>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-4">
                        <div class="item red center-block text-center">
                            <h2><strong><?php echo ((is_numeric($datiFattureRicevurte["totaleSpese"])) ? $datiFattureRicevurte["totaleSpese"] : 0); ?> €</strong></h2>
                            <h4>Uscite</h4>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-4">
                        <div class="item yellow center-block text-center">
                            
                            <h2><strong><?php echo $ivaDaVersare; ?> €</strong></h2>
                            <h4>IVA</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="row col-xs-12">
        <div class="col-md-6 row">
            <div class="col-xs-12">
              <div id="contenitore1">
                <div class="panel panel-default">
                    <div class="panel-heading">

                        <div class="row relative">
                        <button class="chiudiBtn btn pull-right" data-toggle="collapse" data-target="#ultimeFattureInviate"><span class="glyphicon glyphicon-remove"></span></button>
                         <div class="col-xs-6 col-sm-6 col-md-8 row">
                           <h1>Ultime fatture inviate</h1>
                         </div>
                         <div class="col-xs-6 col-sm-6 col-md-4 row">
                         </div>
                        </div>
                    </div>
                    <div id="ultimeFattureInviate" class="panel-body collapse in">
                        <div class="table-responsive table-striped">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Cliente </th>
                                            <th>Importo</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $queryFattureInviate = "SELECT * FROM geecAd_fatture WHERE tipo LIKE 'inviata' AND dataEmissione >= '$inizioAnnoCorrente' LIMIT 10";
                                            $risFattureInviate   = $geecomDb->eseguiQueryLettura($queryFattureInviate);
                                            while($fattura = $risFattureInviate->fetch_assoc()) {
                                                $utente = $geecomDb->leggiSingolaRiga("geecAd_utenti",$fattura["idUtente"]);
                                                echo"<tr>
                                                    <td><a href=\"dettagliUtente.php?id={$utente["id"]}\">{$utente["nome"]} {$utente["cognome"]}</a></td>";
                                                        $ultimoLogin = ($utente["ultimoLogin"]!="0000-00-00") ? date("d/m/Y",strtotime($utente["ultimoLogin"])) : "mai";
                                                    echo"<td> {$fattura["totale"]} €</td>
                                                </tr>";
                                            }
                                        ?>
                                   </tbody>
                                </table>
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
        <div class="col-md-6 row">
            <div class="col-xs-12">
              <div id="contenitore1">
                <div class="panel panel-default">
                    <div class="panel-heading">

                        <div class="row relative">
                        <button class="chiudiBtn btn pull-right" data-toggle="collapse" data-target="#utentiPiuAttivi"><span class="glyphicon glyphicon-remove"></span></button>
                         <div class="col-xs-6 col-sm-6 col-md-8 row">
                           <h1>Ultime fatture ricevute</h1>
                         </div>
                         <div class="col-xs-6 col-sm-6 col-md-4 row">
                         </div>
                        </div>
                    </div>
                    <div id="utentiPiuAttivi" class="panel-body collapse in">
                        <div class="table-responsive table-striped">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Fornitore </th>
                                            <th>Importo</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $queryFattureRicevute = "SELECT * FROM geecAd_fatture WHERE tipo LIKE 'ricevuta' AND dataEmissione >= '$inizioAnnoCorrente' LIMIT 10";
                                            $risFattureRicevute = $geecomDb->eseguiQueryLettura($queryFattureRicevute);
                                            while($fattura = $risFattureRicevute->fetch_assoc()) {
                                                $utente = $geecomDb->leggiSingolaRiga("geecAd_utenti",$fattura["idUtente"]);
                                                echo"<tr>
                                                    <td><a href=\"dettagliUtente.php?id={$utente["id"]}\">{$utente["nome"]} {$utente["cognome"]}</a></td>";
                                                        $ultimoLogin = ($utente["ultimoLogin"]!="0000-00-00") ? date("d/m/Y",strtotime($utente["ultimoLogin"])) : "mai";
                                                    echo"<td> {$fattura["totale"]} €</td>
                                                </tr>";
                                            }
                                        ?>
                                   </tbody>
                                </table>
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
    </div>
            

