    <?php 
        /**
        *
        * copyright (c) 2013-2021 Heliac Technologies
        * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
        *
        * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
        */
    ?>

    <h3>Contabilità</h3>
    <form class="form-horizontal" role="form" name="formImpostazioniContabilita" action="impostazioni/aggiornaImpostazioniContabilita.php" method="post" enctype="multipart/form-data">
        <div class="form-group">
            <label for="attivaContabiltia" class="col-sm-2 control-label">Attiva Contabilità </label> 
            <div class="col-sm-1">
                <input type="checkbox" name="attivaContabilita" id=attivaContabilita class="js-switch" value="si" <?php echo(($impostazioni["attivaContabilita"]=="si") ? "CHECKED" : ""); ?> />
            </div>
        </div>
    
        <div class="form-group">
            <label for="parolaChiaveFortino" class="col-sm-2 control-label">Tipo contabilità </label> 
            <div class="col-sm-3">
                <select name="tipoContabilita" class="form-control">
                    <?php 
                        $tipiContabilita = ["associazione","attività commerciale"];
                        foreach($tipiContabilita as $tipoContabiltia) {
                            if($tipoContabiltia == $impostazioni["tipoContabilita"]) {
                                echo"<option value=\"$tipoContabiltia\" selected >$tipoContabiltia</option>";
                            }
                            else {
                                echo"<option value=\"$tipoContabiltia\"  >$tipoContabiltia</option>";
                            }
                        }
                    ?>
                </select>
            </div>
            
            <label for="percentualeIva" class="col-sm-2 control-label">Percentuale IVA </label> 
            <div class="col-sm-3">
                <input type="number" class="form-control" id="idAppFacebook" name="percentualeIva" placeholder="Inserisci solo un numero, senza il simbolo %" value="<?php echo($impostazioni['percentualeIva']); ?>" min="0">
            </div>
        </div>

        <div class="form-group">
            <label for="parolaChiaveFortino" class="col-sm-2 control-label">Gruppo clienti </label> 
            <div class="col-sm-3">
                <select name="gruppoClienti" class="form-control">
                    <option value="0" >Nessun gruppo specifico</option>
                    <?php 
                        $ricerca = new Ricerca($geecomDb, "geecAd_gruppi", 100, array(), "", "");
                        $ricerca->eseguiRicerca(1);
                        $ris     = $ricerca->getRisultatoQueryRicerca();
                        while($gruppo = $ris->fetch_assoc()) {
                            if($gruppo["id"] == $impostazioni["gruppoClienti"]) {
                                echo"<option value=\"{$gruppo["id"]}\" selected >{$gruppo["nomeGruppo"]}</option>";
                            }
                            else {
                                echo"<option value=\"{$gruppo["id"]}\"  >{$gruppo["nomeGruppo"]}</option>";
                            }
                        }
                    ?>
                </select>
            </div>
            
            <label for="parolaChiaveFortino" class="col-sm-2 control-label">Gruppo fornitori </label> 
            <div class="col-sm-3">
                <select name="gruppoFornitori" class="form-control">
                    <option value="0" >Nessun gruppo specifico</option>
                    <?php 
                        $ricerca = new Ricerca($geecomDb, "geecAd_gruppi", 100, array(), "", "");
                        $ricerca->eseguiRicerca(1);
                        $ris     = $ricerca->getRisultatoQueryRicerca();
                        while($gruppo = $ris->fetch_assoc()) {
                            if($gruppo["id"] == $impostazioni["gruppoFornitori"]) {
                                echo"<option value=\"{$gruppo["id"]}\" selected >{$gruppo["nomeGruppo"]}</option>";
                            }
                            else {
                                echo"<option value=\"{$gruppo["id"]}\"  >{$gruppo["nomeGruppo"]}</option>";
                            }
                        }
                    ?>
                </select>
            </div>
        </div>
        
        <div class="form-group">
        	<h5>Intestazione documenti fiscali</h5>
		<div class="col-sm-12">
                     <textarea class="form-control editor" rows="10" name="intestazioneDocumentiFiscali"><?php echo $impostazioni["intestazioneDocumentiFiscali"] ?></textarea>
		</div>
        </div>
        
        <div class="form-group">
          <div class="col-sm-12">
            <hr>
            <button type="button" class="btn btn-primary pull-right" onclick=document.formImpostazioniContabilita.submit()><i class="fa fa-check"></i> Salva</button>
          </div>
        </div>
    </form>
    
    <div class="row">
        <div class="col-sm-6">
            <div class="row tagAssociati">
                <h3>Etichette</h3>
                <?php 
                    $queryTagAssociati = "SELECT * FROM geecAd_etichette WHERE tipo LIKE 'contabilita'";
                    $risNomi = $geecomDb->eseguiQueryLettura($queryTagAssociati);
                    if($risNomi->num_rows>0) {
                        while($tag = $risNomi->fetch_assoc()) {
                            echo"<span>
                                <a class=\"badge\" id=\"etichetta{$tag["id"]}\" href=\"#\" onclick=\"eliminaEtichetta({$tag["id"]})\">";
                            echo"{$tag["nome"]}";
                            echo"</a></span>";
                        }
                    }
                    else {
                        echo"Nessuna etichetta presente";
                    }
                ?>
                
                <div class="input-group extraspace-top">
                    <input type="text" class="form-control" id="nuovaEtichettaContabilita" placeholder="Crea nuova etichetta" />
                    <div class="input-group-addon noPadding">
                        <button type="button" class="btn btn-primary noBorder" onclick="creaEtichetta('contabilita')"> Crea </button>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="col-sm-6 tagAssociati">
            <h3>Metodi di pagamento</h3>
            <?php 
                $queryTagAssociati = "SELECT * FROM geecAd_metodiPagamento";
                $risNomi = $geecomDb->eseguiQueryLettura($queryTagAssociati);
                if($risNomi->num_rows>0) {
                    while($tag = $risNomi->fetch_assoc()) {
                        echo"<span>
                            <a class=\"badge\" id=\"metodoPagamento{$tag["id"]}\" href=\"#\" onclick=\"eliminaMetodoPagamento({$tag["id"]})\">";
                        echo"{$tag["nome"]}";
                        echo"</a></span>";
                    }
                }
                else {
                    echo"Nessuna metodo di pagamento inserito";
                }
            ?>
            
            <div class="input-group extraspace-top">
                <input type="text" class="form-control" id="nuovoMetodoPagamento" name="nuovoMetodoPagamento" placeholder="Crea nuovo metodo di pagametno" />
                <div class="input-group-addon noPadding">
                    <button type="button" class="btn btn-primary noBorder" onclick="creaMetodoPagamento()()"> Crea </button>
                </div>
            </div>
        </div>
    </div>
