<?php 
    /**
    *
    * copyright (c) 2013-2015 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../gUtil/DbManager.php";
    include "../costanti.php";
    include "../util.php";

    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);

    $impostazioniAspetto = recuperaImpostazioni($geecomDb);
        
    session_start();
    if(isset($_SESSION["geecomAdmin_email"])) {
        header("Location: home.php");
    }
    else {
        $_SESSION["tokenSicurezza"] = sha1(rand(0,10000));
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Geecom admin - login all'area amministrativa</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
	<div id="barraSuperiore" class="row">
    </div>
    <!-- /barra superiore -->

    <!-- area centrale  -->
      <div id="installazione" class="container">
          <div id="areaCentrale" class="col-lg-7 col-md-8 col-sm-10 col-centered">
           <div class="row">
		<?php
			if($impostazioniAspetto["attivaFortino"]=="si" && (!isset($_GET["p"]) || $_GET["p"] != $impostazioniAspetto["parolaChiaveFortino"]) && !isset($_GET["status"])) { ?>
				<img class="center-block" src="../template/img/fortino.png"  alt="Geecom 2" />
				<p class="alert alert-danger">Accesso negato: chiave di sicurezza non corretta</p>
           </div>  <!-- chiude il div che contiene il logo -->
		<?php	}
			else { //se la chiave di sicurezza del fortino è corretta stampa il modulo di login
		?>
		            <img class="center-block" src="../template/img/geecom.png" width="208" height="100" alt="Geecom 2" />
               </div> <!-- chiude il div che contiene il logo -->

           <div class="intestazione row">
             Login al pannello amministrativo
           </div>
           <?php 
	
           	if(isset($_GET["status"])) {
           		if($_GET["status"]==400) {
           			echo"<p class=\"alert alert-danger\">Errore: email o password errati</p>";
           		}
           		else { //status = 444
	           		echo"<p class=\"alert alert-danger\">Errore: Il token di sicurezza non era più valido, riprova ora</p>";
           		}
           	}
           ?>
            <div class="row">
             <form class="form-horizontal" role="form" name="formLogin" action=login.php method="post" > 
                  <div class="form-group">
                    <label for="inputEmail3" class="col-sm-3 control-label">Email</label>
                    <div class="col-sm-9">
                      <input type="email" class="form-control" id="inputEmail3" name="email" placeholder="Email">
                    </div>
                  </div>
                  
                  <div class="form-group">
                    <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
                    <div class="col-sm-9">
                      <input type="password" class="form-control" id="inputPassword3" name="password" placeholder="Password">
                    </div>
                  </div>
		   <input type="text" class="hidden" name="tokenSicurezza" <?php echo"value=\"{$_SESSION["tokenSicurezza"]}\""; ?> >
		
		    <div class="col-sm-offset-3 col-sm-9">
			<input type="submit" value="Login" class="btn btn-primary"></input>
		      
		      <button type="button" class="btn btn-default" onclick={document.location.href="recuperaPassword.php";}></span>Recupera password </button> 
		    </div>
             </form>
             
          </div>
		<?php	
			} //fine del codice del modulo login
		?>


            
            </div>
                                  
          </div>
      </div>
    <!-- /area centrale  -->
    

</div>
    
<?php 
    include "include/footer.php";
?>


<!-- javascript -->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
</body>
</html>
