<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../util.php";
    include "../costanti.php";
    include "../gUtil/DbManager.php";

    //i dati del database sono definiti nel file costanti.php
    $geecomDb     = new DbManager($costantiDatabase);
    $impostazioni = recuperaImpostazioni($geecomDb);
    
    if($impostazioni["filtraggioIP"]=="si") {
        $ipUtente = $_SERVER["REMOTE_ADDR"];
        $arrayIpAmmessi = ($impostazioni["indirizziIPAmmessi"]!="") ? explode(",",$impostazioni["indirizziIPAmmessi"]) : array();
        $arrayIpBannati = ($impostazioni["indirizziIPBannati"]!="") ? explode(",",$impostazioni["indirizziIPBannati"]) : array();

        // se l'ip è presente nella lista degli array bannati l'utente viene rediretto
        // senza nemmeno fare il controllo della password
        if(count($arrayIpBannati)>0 && controlloIpArray($ipUtente,$arrayIpBannati)) {
            header("Location: index.php?status=420");
            exit();
        }

        // se l'ip non è presente nella lista degli indirizzi ip ammessi e questa lista
        // contiene almeno un indirizzo ip l'utente non viene reindirizzato senza
        // fare il controllo della password. Ovviamente se si usa questo campo non
        // serve altro
        if(count($arrayIpAmmessi)>0 && !controlloIpArray($ipUtente,$arrayIpAmmessi)) {
            header("Location: index.php?status=420");
            exit();
        }
    }

    //dati admin
    $email    = filter_input(INPUT_POST,"email",FILTER_SANITIZE_EMAIL);
    $password = hash("sha512",filter_input(INPUT_POST,"password"));

    $queryLogin = "SELECT * FROM geecAd_admin WHERE email='$email' AND password='$password'";
    $result = $geecomDb->eseguiQueryLettura($queryLogin);
    
    if($result->num_rows>0) {
        $admin = $result->fetch_array(MYSQLI_ASSOC);
        session_start();
        $_SESSION["geecomAdmin_id"] = $admin["id"];
        $_SESSION["geecomAdmin_email"] = $admin["email"];
        $_SESSION["geecomAdmin_ruolo"] = $admin["ruolo"];
        $_SESSION["geecomAdmin_nomeCognome"] = $admin["nome"];
        $nomeAdmin = explode(" ",$admin["nome"]); 
        $_SESSION["geecomAdmin_nome"] = $nomeAdmin[0]; //prendo solo il primo nome
        header("Location: home.php");
    }
    else {
        header("Location: index.php?status=400");
    }
