<?php
    /**
    *
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        //prendo i valori dalla form
        $idComponente = filter_input(INPUT_GET,"idComponente",FILTER_SANITIZE_NUMBER_INT);
        $idPagina     = filter_input(INPUT_GET,"idPagina",FILTER_SANITIZE_NUMBER_INT);

        //recupero l'ultima posizione occupata nel pannello laterale
        $queryUltimaPosizione = "SELECT posizione FROM geecAd_composizionePagine WHERE idPagina=$idPagina ORDER BY posizione DESC LIMIT 1";
        $risPosizione = $geecomDb->eseguiQueryLettura($queryUltimaPosizione);
        $ultimaPosizione = $risPosizione->fetch_assoc();
        $posizione = $ultimaPosizione["posizione"]+1;
        
        $datiComponente = $geecomDb->leggiSingolaRiga("geecAd_componenti",$idComponente);
        $idElemento = creaComponente($geecomDb,$datiComponente, $idPagina);
        
        $queryInserimentoComponente = "INSERT INTO `geecAd_composizionePagine` (`id`, `idComponente`, `idPagina`, `idElemento`, `posizione`, `testo`, `codiceGenerato`,`script`) VALUES
(NULL, $idComponente, $idPagina, $idElemento, $posizione,'', '','');";
        $geecomDb->eseguiQueryScrittura($queryInserimentoComponente);

        header("Location: ../creaPagina.php?&id=$idPagina&status=350");
    }

    function creaComponente($geecomDb, $datiComponente, $idPagina) {
        
        if($datiComponente["tipo"]=="componenteDinamicoPagine" && $datiComponente["nome"]!="Visualizzatore galleria" && $datiComponente["tabellaRiferimento"]!="") {
            $datiPagina     = $geecomDb->leggiSingolaRiga("geecAd_pagine",$idPagina);
            $nomeComponente = $geecomDb->escapeString($datiComponente["nome"]);
            $queryInserimento = "INSERT INTO {$datiComponente["tabellaRiferimento"]} (`id`,`nome`) VALUES(NULL,'$nomeComponente pagina {$datiPagina["titolo"]}')";
            return $geecomDb->eseguiQueryCreazione($queryInserimento);            
        }
        else if($datiComponente["nome"]=="Visualizzatore galleria") {
            $datiPagina     = $geecomDb->leggiSingolaRiga("geecB_contenuti",$idPagina);
            $nomeComponente = "Galleria ".$datiPagina["titolo"];
            $dataCreazione     = date("Y-m-d");
            $dataPubblicazione = date("Y-m-d H:i");   
            $contenuto = new Contenuto($geecomDb, 0, 0, "italiano", "galleria", 0, "si", "bozza", "scadente", "galleria.php", "si", "", "$nomeComponente", "", "", $_SESSION["geecomAdmin_nomeCognome"], $dataCreazione, $dataPubblicazione);
            return $contenuto->crea();
        }
        else {
            return 0;
        }
    }