<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || ($_SESSION["geecomAdmin_ruolo"]!="super admin" && $_SESSION["geecomAdmin_ruolo"]!="amministratore")) {
        header("Location: index.php");
        exit();
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $tipo     = filter_input(INPUT_GET,"tipo",FILTER_SANITIZE_STRING);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Amministrazione di Geecom Admin - ricevute</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">

</head>

<body
	<?php
            if(isset($_GET["a"])) {
                echo"onload=apriModalNuovoUtente()";
            }
	?>
>

<div id="wrap">
    
    <?php  
        include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    
     <!-- Modal box conferma cancellazione elemento-->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Eliminare l'utente: </h4>
          </div>
            <form class="form-horizontal" role="form" name="formCancellazione" action="../controller/controllerRicevute.php" method="post">
	       	<input type="text" class="hidden" name="operazione" value="elimina">
                <input type="text" class="hidden" id="utenteDaEliminare" name="id" >
            </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazione.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
     
     <?php
        if(isset($_GET["status"])) {
            if($_GET["status"]==1) {
                echo"<p class=\"alert alert-success\">Utente creato</p>";
            }
            else if($_GET["status"]==2) {
                echo"<p class=\"alert alert-success\">Utente modificato</p>";
            }
            else if($_GET["status"]==250) {
                echo"<p class=\"alert alert-success\">Ricevuta eliminata</p>";
            }
        }
	?>
	
        <!-- riga menu secondario -->
	<div id="menuSecondario" class="row">
            <div class="col-xs-12">
                <div class="pull-left">
                    <a class="btn btn-primary" href="creaRicevuta.php">Nuova ricevuta</a>
                </div>
                <div class="pull-right">
                    <form class="navbar-form navbar-right" action="ricevute.php" method=get role="search">
                        <div class="form-group">
                          <input type="text" class="form-control" name="cerca" <?php if(isset($_GET["cerca"])) {
                                echo"value=\"{$_GET["cerca"]}\"";
                            } ?> placeholder="Cerca">
                        </div>
                        <div class="form-group">
                            <select class="form-control" name="tipo" id="tipoFattura" onchange="modificaSelectUtenti()">
                                <?php 
                                    $tipiFattura = ["inviata","ricevuta"];
                                    foreach($tipiFattura as  $tipoFattura) {
                                        if( $tipoFattura == $tipo) {
                                            echo"<option value=\"$tipoFattura\" selected> $tipoFattura</option>";
                                        }
                                        else {
                                            echo"<option value=\"$tipoFattura\" > $tipoFattura</option>";
                                        }
                                    }
                                ?>
                            </select>
                        </div>

                         <button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-search"></span></button>
                    </form>
                </div>
            </div>
        </div>
        <!-- /riga menu secondario -->
        
     <div class="panel panel-default">
      <div class="panel-heading">Elenco ricevute</div>
    
      <!-- tabella -->
      <div class="table-responsive">
	<table class="table table-hover table-condensed">
          <thead>
            <tr>
                <th>Nr.</th>
                <th>Cliente</th>
                <th>Importo</th>
                <th>Data emissione</th>
                <th>Azioni</th>
            </tr>
          </thead>
          <tbody>
            <?php 
                $risultatiPerPagina = 15;// <-- cambiare questo valore per modificare il numero di risultati per pagina
                $stringaIdUtenti   = " AND ("; 
                
                if(isset($_GET["cerca"])) {
                    $queryUtente = "SELECT * FROM geecAd_utenti WHERE  nome LIKE '%{$_GET["cerca"]}%' OR cognome LIKE '%{$_GET["cerca"]}%' OR organizzazione LIKE '%{$_GET["cerca"]}%'";
                    $risUtenti   = $geecomDb->eseguiQueryLettura($queryUtente);
                    while($utente = $risUtenti->fetch_assoc()) {                    
                        $stringaIdUtenti .= " OR idUtente = {$utente["id"]}";
                    }
                    $stringaIdUtenti = str_replace("( OR", "(", $stringaIdUtenti);
                    $stringaIdUtenti .= ")";
                    if($risUtenti->num_rows==0) {
                        $stringaIdUtenti = "And idUtente=-1";
                    }
                    $queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_ricevute WHERE tipo LIKE '%$tipo%' $stringaIdUtenti";
                }
                else {
                    $queryNumeroUtenti = "SELECT COUNT(*) FROM geecAd_ricevute";
                }
                $risNumUtenti = $geecomDb->eseguiQueryLettura($queryNumeroUtenti) or die(mysql_error());
                $numUtenti = $risNumUtenti->fetch_array(MYSQLI_NUM);

                if(isset($_GET["pag"])) {
                    $limSup = $risultatiPerPagina * $_GET["pag"];
                    $limInf = $limSup - $risultatiPerPagina;
                    if(isset($_GET["cerca"])) {
                        $queryUtenti="SELECT * FROM geecAd_ricevute WHERE tipo LIKE '%$tipo%' '$stringaIdUtenti ORDER BY id DESC LIMIT $limInf, $risultatiPerPagina";
                    }
                    else {
                        $queryUtenti="SELECT * FROM geecAd_ricevute ORDER BY id DESC LIMIT $limInf, $risultatiPerPagina";
                    }
                    $paginaCorrente = $_GET["pag"];
                }
                else {
                    if(isset($_GET["cerca"])) {
                        $queryUtenti="SELECT * FROM geecAd_ricevute WHERE tipo LIKE '%$tipo%' $stringaIdUtenti ORDER BY id DESC LIMIT $risultatiPerPagina";
                    }
                    else {
                        $queryUtenti="SELECT * FROM geecAd_ricevute ORDER BY id DESC LIMIT $risultatiPerPagina";
                    }
                    $paginaCorrente = 1;
                }

                    $result = $geecomDb->eseguiQueryLettura($queryUtenti);
                    while($ricevuta=$result->fetch_assoc()) {
                        
                        $dataCreazione = date("d/m/Y",strtotime($ricevuta["dataEmissione"]));
                        $datiCliente   = $geecomDb->leggiSingolaRiga("geecAd_utenti", $ricevuta["idUtente"]);
                        echo"<tr>
                            <td>{$ricevuta["numero"]}</td>
                            <td><a href=\"dettagliUtente.php?id={$ricevuta["idUtente"]}\">{$datiCliente["nome"]} {$datiCliente["cognome"]}</a></td>";
                            if($ricevuta["tipo"]=="inviata") {
                                echo"<td><p class=\"text-success\"><b>{$ricevuta["importo"]} €</b></p></td>";
                            }
                            else {
                                echo"<td><p class=\"text-danger\"><b> - {$ricevuta["importo"]} €</b></p></td>";
                            }
                            echo"<td>$dataCreazione</td>
                            <td>
                                <button type=\"button\" class=\"btn btn-primary\" onclick=\"{location.href='creaRicevuta.php?id={$ricevuta["id"]}'}\"><span class=\"glyphicon glyphicon-plus\"></span>Dettagli</button>
                                <button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminaFattura({$ricevuta["id"]},'{$ricevuta["numero"]}')\"><span class=\"glyphicon glyphicon-remove\"></span> Elimina</button>
                            </td>
                        </tr>";
                    }
            ?>
            
          </tbody>
        </table>
      </div>
      <!-- /tabella -->
   
    </div>
    
    <!-- paginazione -->
    <?php
        if($numUtenti[0]>$risultatiPerPagina) {
            echo"<ul class=\"pagination pagination-sm\">";
            if(isset($_GET["cerca"])) {
                if($paginaCorrente==1) {
                    echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
                }
                else {
                    $prec = $paginaCorrente-1;
                    echo"<li ><a href=\"gestioneUtenti.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
                }
                $numeroPagine = ceil($numUtenti[0]/$risultatiPerPagina);
                for($i=1;$i<$numeroPagine+1;$i++) {
                    if($i==$paginaCorrente) {
                        echo"<li class=\"active\"><a href=\"gestioneUtenti.php?pag=$i\">$i</a></li>";				
                    }
                    else {
                        echo"<li><a href=\"gestioneUtenti.php?pag=$i&cerca={$_GET["cerca"]}\">$i</a></li>";
                    }
                }
                if($paginaCorrente==$numUtenti[0]) {
                    echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
                }
                else {
                    $succ = $paginaCorrente+1;
                    echo"<li ><a href=\"gestioneUtenti.php?pag=$succ&cerca={$_GET["cerca"]}\">&raquo;</a>";
                }
            }
            else {
                if($paginaCorrente==1) {
                        echo"<li class=\"disabled\"><a href=\"#\">&laquo;</a>";
                }
                else {
                        $prec = $paginaCorrente-1;
                        echo"<li ><a href=\"gestioneUtenti.php?pag=$prec&cerca={$_GET["cerca"]}\">&laquo;</a>";
                }
                $numeroPagine = ceil($numUtenti[0]/$risultatiPerPagina);
                for($i=1;$i<$numeroPagine+1;$i++) {
                        if($i==$paginaCorrente) {
                                echo"<li class=\"active\"><a href=\"gestioneUtenti.php?pag=$i\">$i</a></li>";				
                        }
                        else {
                                echo"<li><a href=\"gestioneUtenti.php?pag=$i\">$i</a></li>";
                        }
                }
                if($paginaCorrente==$numUtenti[0]) {
                        echo"<li class=\"disabled\"><a href=\"\">&raquo;</a>";
                }
                else {
                        $succ = $paginaCorrente+1;
                        echo"<li ><a href=\"gestioneUtenti.php?pag=$succ\">&raquo;</a>";
                }
            }
            echo"</ul>";
        }
    ?>
    <!-- /paginazione -->
    
    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php  
        include "include/footer.php";
    ?>


<!-- javascript -->
	<script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
    
   <script src="../js/util.js"></script>
   
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
	
	<script type="text/javascript">
		
		// funzione che serve per attivare la modal box, viene usata se è settato 
		// il parametro a (ovvero se l'utente ha cliccato sul pulsante crea nuovo dalla dashboard
		function apriModalNuovoUtente() {
                    $('#myModal').modal('show');
		}
		
		function modificaUtente(idUtente,nome,descrizione,email) {
                    $('#myModalLabel2').text("Modifica i dati dell'utente "+nome);
                    document.getElementById("idUtente").value = idUtente;
                    document.getElementById("campoTesto2").value = nome;
                    document.getElementById("inputEmail2").value = email;
                    document.getElementById("textarea2").value = descrizione;
                    $('#myModal2').modal('show');
		}
		
		function eliminaFattura(idUtente,numero) {
                    $('#myModalLabel3').text("Eliminare la ricevuta numero "+numero+"?");
                    document.getElementById("utenteDaEliminare").value = idUtente;
                    $('#myModal3').modal('show');
		}
	</script>
</body>
</html>
<?php
    }