<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";
    include "../../gUtil/GestoreUpload.php";
    include "../../classi/GeneratoreCodiceComponente.php";
    include "../../template/include/generatori/GeneratoreCodiceRisorse.php";

    /*controllo di sessione, se non è impostata la sessione stampa il messaggio non autorizzato*/
    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else if($_SESSION['geecomAdmin_ruolo']=="articolista") { //solo gli amministratori e i super admin possono modificare i menu
        header('Location:gestioneRisorse.php?status=400');
        exit();
    }
    else {
        if ($_FILES["file"]["error"] > 0) {
            echo "Error: " . $_FILES["file"]["error"] . "<br />";
        }
        else {
            if (file_exists("../risorse/" . $_FILES["file"]["name"])) {
                echo $_FILES["file"]["name"] . " already exists. ";
            }
            else {
                move_uploaded_file($_FILES["file"]["tmp_name"],	"../../risorse/" . $_FILES["file"]["name"]);
                $percorso = "risorse/" . $_FILES["file"]["name"];

                if($_FILES['immagine']['name']!="") {
                    // recupero l'immagine
                    $tipiFileAmmessi = array("image/png","image/jpeg","image/gif");
                    $gestoreUpload = new GestoreUpload("immagine", $tipiFileAmmessi, 8, "../../immagini/risorse", 0, "");
                    $esitoUpload  = $gestoreUpload->salvaFile();
                    if($esitoUpload["percorso"]=="") {
                        if($esitoUpload["errore"]=="Nessun file caricato") {
                            $percorsoFoto = "";
                        }
                        else {
                            header("Location: ../gestioneRisorse.php?status=455&errore={$esitoUpload["errore"]}");
                        }
                        exit();
                    }
                    else {
                        $percorsoFoto = str_replace("../../","",$esitoUpload["percorso"]);
                    }
                }
                else {
                    $percorsoFoto = "";
                }
                
                //i dati del database sono definiti nel file costanti.php
                $geecomDb = new DbManager($costantiDatabase);

                $idGruppo    = filter_input(INPUT_POST,"idGruppo",FILTER_SANITIZE_NUMBER_INT);
                $idUtente    = filter_input(INPUT_POST,"idUtente",FILTER_SANITIZE_NUMBER_INT);
                $nome        = filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING);
                $password    = filter_input(INPUT_POST,"password",FILTER_SANITIZE_STRING);
                $descrizione = filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_MAGIC_QUOTES);
                $categoria   = filter_input(INPUT_POST,"categoria",FILTER_SANITIZE_NUMBER_INT);

                $queryUltimaPosizione = "SELECT posizione FROM geecAd_risorse ORDER BY posizione DESC LIMIT 1";
                $resultPosizione = $geecomDb->eseguiQueryLettura($queryUltimaPosizione);
                if($resultPosizione->num_rows==0) { //la tabella è vuota
                    $posizione=1;
                }
                else {
                    $risPosizione = $resultPosizione->fetch_array(MYSQLI_NUM);
                    $posizione = $risPosizione[0];
                }

                $dataCreazione = date("Y-m-d");
                $queryInserimentoRisorsa = "INSERT INTO `geecAd_risorse` VALUES(NULL,$idGruppo,$idUtente,$categoria,'$nome','$percorso','$descrizione','$percorsoFoto',$posizione, 0,'$dataCreazione');";
                $geecomDb->eseguiQueryScrittura($queryInserimentoRisorsa);

                // dopo aver caricato una nuova risorsa bisogna aggiornare tutte le istanze dei visualizzatori di risorse
                $generatoreCodiceRisorse = new GeneratoreCodiceRisorse($geecomDb);
                $generatoreCodiceRisorse->aggiornaTutteLeIstanze();
                header("Location: ../gestioneRisorse.php?status=150");
            }
        }
    }