<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../gUtil/DbManager.php";
    include "../../classi/GeneratoreCodiceComponente.php";
    include "../../template/include/generatori/GeneratoreCodiceRisorse.php";
    include "../../gUtil/GestoreUpload.php";
    
    /*controllo di sessione, se non è impostata la sessione stampa il messaggio non autorizzato*/
    session_start();
    if(!isset($_SESSION['geecomAdmin_email'])) {
        header('Location:index.php');
    }
    else if($_SESSION['geecomAdmin_ruolo']=="articolista") { //solo gli amministratori e i super admin possono modificare i menu
        header('Location:gestioneRisorse.php?status=400');
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        $idRisorsa   = filter_input(INPUT_POST,"idRisorsa",FILTER_SANITIZE_NUMBER_INT);
        $nome        = filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING);
        $descrizione = filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_MAGIC_QUOTES);
        $password    = filter_input(INPUT_POST,"password",FILTER_SANITIZE_STRING);
        $categoria   = filter_input(INPUT_POST,"categoria",FILTER_SANITIZE_NUMBER_INT);
       
        if($_FILES['immagine']['name']!="") {
            // recupero l'immagine
            $tipiFileAmmessi = array("image/png","image/jpeg","image/gif");
            $gestoreUpload = new GestoreUpload("immagine", $tipiFileAmmessi, 8, "../../immagini/risorse", 0, "");
            $esitoUpload  = $gestoreUpload->salvaFile();
            if($esitoUpload["percorso"]=="") {
                if($esitoUpload["errore"]=="Nessun file caricato") {
                    $percorsoFoto = "";
                }
                else {
                    header("Location: ../gestioneRisorse.php?status=455&errore={$esitoUpload["errore"]}");
                }
                exit();
            }
            else {
                $aggiungiFoto = ", immagine='".str_replace("../../","",$esitoUpload["percorso"])."' ";
            }
        }
        else {
            $aggiungiFoto = "";
        }
        
        if($_FILES["file"]["name"]!="") {
            move_uploaded_file($_FILES["file"]["tmp_name"],	"../../risorse/" . $_FILES["file"]["name"]);
            $percorso = "risorse/" . $_FILES["file"]["name"];
            $dataCreazione = date("Y-m-d"); 
            $queryModificaRisorsa = "UPDATE `geecB_risorse` SET nome='$nome', descrizione='$descrizione', categoria=$categoria, password='$password', percorso='$percorso', dataCreazione='$dataCreazione' $aggiungiFoto WHERE id=$idRisorsa;";
        }
        else {
            $queryModificaRisorsa = "UPDATE `geecB_risorse` SET nome='$nome', descrizione='$descrizione', categoria=$categoria, password='$password' $aggiungiFoto WHERE id=$idRisorsa;";
        }
        
        $geecomDb->eseguiQueryScrittura($queryModificaRisorsa);

        // dopo aver caricato una nuova risorsa bisogna aggiornare tutte le istanze dei visualizzatori di risorse
        $generatoreCodiceRisorse = new GeneratoreCodiceRisorse($geecomDb);
        $generatoreCodiceRisorse->aggiornaTutteLeIstanze();
        header("Location: ../gestioneRisorse.php?status=10");
    }