<?php 
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/Ricerca.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        $impostazioniAspetto     = recuperaImpostazioni($geecomDb);
        
        $data1MeseFa       = date("Y-m-d h:i:sa", strtotime("-1 Months"));
        $queryUtentiAttivi = "SELECT * FROM geecAd_utenti WHERE ultimoLogin > '$data1MeseFa'";
        $risUtentiAttivi   = $geecomDb->eseguiQueryLettura($queryUtentiAttivi);
        $utentiAttivi      = $risUtentiAttivi->num_rows;
        $numeroGruppi        = $geecomDb->contaRigheTabella("geecAd_gruppi");
        $numeroComunicazioni = $geecomDb->contaRigheTabella("geecAd_comunicazioni",array("tipo"=>"comunicazione"));
        $numeroTicket        = $geecomDb->contaRigheTabella("geecAd_comunicazioni",array("tipo"=>"ticket"));
        $numeroSegnalazioni  = $geecomDb->contaRigheTabella("geecAd_comunicazioni",array("tipo"=>"segnalazione"));
        $numeroUtenti        = $geecomDb->contaRigheTabella("geecAd_utenti");
        $datiUtilizzoPiattaforma = calcoloUtilizzoPiattaforma($numeroUtenti,$utentiAttivi);
    }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title> Amministrazione di Geecom Admin - statistiche</title>

<!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- Switchery -->   
<link rel="stylesheet" type="text/css" href="../template/css/switchery.min.css"/>

<!-- stile custom per il backend --> 
<link href="../template/css/custom_backend.css" rel="stylesheet">
    
<!-- font custom -->
<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,700" rel="stylesheet" type="text/css">

</head>

<body>
<div id="wrap">
    
    <!-- barra superiore -->
     <?php  
         include "include/barraSuperiore.php";

        include "include/header.php";

        include "include/menuPrincipale.php";
    ?>
    <!-- /riga menu principale -->

    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
        		
		<div class="clearfix"></div>
		
		<div class="col-md-4">
                    <div class="panel panel-default">
        		<div class="panel-heading"> Situazione generale </div>
                            <div class="panel-body">
                                <div class="jumbotron text-center">
                                  <h4>Percentuale di utilizzo: <span class="label label-<?php echo $datiUtilizzoPiattaforma["classeBoxUtilizzo"]; ?>"> <?php echo ceil($datiUtilizzoPiattaforma["percentualeUtilizzo"]); ?>/100</span></h4>
                                </div>
                                <?php 
                                    if($numeroGruppi==0) {
                                ?>
                                <p><i class="fa fa-exclamation-triangle text-warning" aria-hidden="true"></i><strong> Non hai creato nessun gruppo</strong> organizza meglio i tuoi utenti <a href="impostazioni.php">attivalo</a> per una maggiore sicurezza del tuo sito</p>
                                <?php 
                                    }
                                    if($numeroComunicazioni==0) {
                                ?>
                                <p><i class="fa fa-exclamation-triangle text-warning" aria-hidden="true"></i> <strong>Non hai creato nessuna comunicazione</strong> creane una per coinvolgere i tuoi utenti</p>
                                <?php 
                                    }
                                ?>
                            </div>
                    </div>
		</div>
		
		<div class="col-md-8">
                    <div class="panel panel-default statistiche">
                        <div class="panel-heading"> <strong>Comunicazioni</strong> utenti </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-sm-4 text-center">
                                    <div class="thumbnail">
                                        <i class="<?php stampaIconaMotivazionale($analisiSito["numeroPagineSeoScadente"]); ?>" aria-hidden="true"></i>
                                        <p>Comunicazioni inviate dagli admin <?php stampaTestoMotivazionale($numeroComunicazioni); ?></p>
                                        <h4><strong><?php echo $numeroComunicazioni; ?> &nbsp; </strong></h4>
                                        <a class="btn btn-primary btn-block" href="gestioneComunicazioni.php">Dettagli</a>
                                    </div>
                                </div>
                                <div class="col-sm-4 text-center">
                                    <div class="thumbnail">
                                    <i class="<?php stampaIconaMotivazionale($analisiSito["numeroEmailInviate"]); ?> fa-2x text-warning" aria-hidden="true"></i>
                                        <p>Comunicazioni di tipo segnalazione <?php stampaTestoMotivazionale($numeroSegnalazioni); ?></p>
                                        <h4><strong><?php echo $numeroSegnalazioni; ?> &nbsp;</strong></h4>
                                        <a class="btn btn-primary btn-block" href="gestioneComunicazioni.php">Dettagli</a>
                                    </div>
                                </div>
                                <div class="col-sm-4 text-center">
                                    <div class="thumbnail">
                                        <i class="<?php stampaIconaMotivazionale($analisiSito["numeroClickInvitoAzione"]); ?> fa-2x text-success" aria-hidden="true"></i>
                                        <p>Comunicazioni di tipo <br> ticket
                                            <?php
                                                stampaTestoMotivazionale($numeroTicket);
                                            ?>
                                        </p>
                                        <h4><strong><?php echo $numeroTicket; ?> &nbsp;</strong></h4>
                                        <a class="btn btn-primary btn-block" href="gestioneComunicazioni.php">Dettagli</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
        
    	</div><!-- Colonna principale -->

	</div>
</div>
    
<?php 
	include "include/footer.php";
?>


<!-- javascript -->
    <script src="../js/jquery-2.1.4.min.js"></script>
    <script src="../js/util.js"></script>
    <script src="../template/js/bootstrap.min.js"></script>
  	
    <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: "bottom"});
		}); 
	</script>
    
    <!-- ruota icona "chiudi" -->
    <script type="text/javascript">
	// visualizzatiOggi contenutiPiuLetti

	var divContenitori = new Array("#contenitore1","#contenitore2","#contenitore3","#contenitore4");
	    
	$(document).ready(function() {
		for(var elem in divContenitori) {
		var chiudiBtn = divContenitori[elem]+" .chiudiBtn";
		var iconaChiudiBtn = divContenitori[elem]+" .chiudiBtn .glyphicon.glyphicon-remove";
			assegna(chiudiBtn,iconaChiudiBtn);
		}
	});

	function assegna(chiudiBtn,iconaChiudiBtn) {
		$(chiudiBtn).click(function(){
		    $(iconaChiudiBtn).toggleClass("ruota");
		});
	}

    </script>
    
    <!-- Switchery -->
    <script type="text/javascript" src="../template/js/switchery.min.js"></script>
    <script type="text/javascript">
		var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
		
		elems.forEach(function(html) {
		  var switchery = new Switchery(html);
		});
    </script>
</body>
</html>
