<?php
    /**
    *
    * copyright (c) 2013-2017 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../../gUtil/DbManager.php";
    include "../../costanti.php";
    include "../../util.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
        exit();
    }
    else {
        $admin_email= $_SESSION["geecomAdmin_email"];

        $geecomDb = new DbManager($costantiDatabase);
        
        //prendo i valori dalla form
        $nome    = $geecomDb->escapeString($_POST["nome"]);
        $cognome = $geecomDb->escapeString($_POST["cognome"]);
        $email   = $geecomDb->escapeString($_POST["email"]);
        $gruppi  = $_POST["gruppi"]; //è un array di elementi
        $descrizione = $geecomDb->escapeString($_POST["descrizione"]);
        $note        = $geecomDb->escapeString($_POST["note"]);
        $via     = $geecomDb->escapeString($_POST["via"]);
        $citta   = $geecomDb->escapeString($_POST["citta"]);
        $cap     = $geecomDb->escapeString($_POST["cap"]);
        $telefono      = $geecomDb->escapeString($_POST["telefono"]);
        $codiceFiscale = $geecomDb->escapeString($_POST["codiceFiscale"]);
        $partitaIva    = $geecomDb->escapeString($_POST["partitaIva"]);
        $organizzazione= $geecomDb->escapeString($_POST["organizzazione"]);
        $sitoWeb       = $geecomDb->escapeString($_POST["sitoWeb"]);
        $idUtente      = $geecomDb->escapeString($_POST["idUtente"]);
        $pec           = filter_input(INPUT_POST,"pec",FILTER_SANITIZE_STRING);
        $etichetta     = filter_input(INPUT_POST,"etichetta",FILTER_SANITIZE_STRING);
        $stato         = filter_input(INPUT_POST,"stato",FILTER_SANITIZE_STRING);
        $codiceInterscambio = filter_input(INPUT_POST,"codiceInterscambio",FILTER_SANITIZE_STRING);
        
        if($idUtente ==0 ) { //sta creando un nuovo utente
           
            $inviaNotifica       = filter_input(INPUT_POST,"notifica",FILTER_SANITIZE_STRING);
            $passwordProvvisoria = $geecomDb->escapeString($_POST["password"]);
            
            //controlla se esiste un gruppo con lo stesso nome
            $query = "SELECT * FROM geecAd_utenti WHERE email ='$email'";
            $result = $geecomDb->eseguiQueryLettura($query);
            if ($result->num_rows != 0) { // in questo caso da errore
                header("Location: ../gestioneUtenti.php?status=400");
            }
            else {
                $dataCreazione = date("Y-m-d");
                //se la password è stata inserita viene convertita in sha1
                if($passwordProvvisoria!="") {
                    $password  = hash("sha512",$passwordProvvisoria);
                }
                else { //altrimenti viene generata in automatico
                    $passwordProvvisoria = generaPassword();
                    $password = hash("sha512",$passwordProvvisoria);
                }
                $queryCreazioneUtente ="INSERT INTO geecAd_utenti VALUES(NULL,'$email','$password','$nome','$cognome','','$descrizione','$note','$via','$citta','$cap','$telefono','$codiceFiscale','$partitaIva','$organizzazione','$sitoWeb','$pec','$codiceInterscambio','non $stato', '$etichetta', '$dataCreazione','$dataCreazione');";
                $geecomDb->eseguiQueryLettura($queryCreazioneUtente);
                header("Location: ../gestioneUtenti.php?status=1");

                $idUtente = $geecomDb->idUltimoElemento();
                foreach($gruppi as $gruppo) {
                    $queryAssociazioneGruppo ="INSERT INTO geecAd_gruppiUtenti VALUES(NULL,$idUtente,$gruppo);";
                    $geecomDb->eseguiQueryScrittura($queryAssociazioneGruppo);
                    header("Location: ../gestioneUtenti.php?status=1");
                }

                $impostazioni = recuperaImpostazioni($geecomDb);

                if($inviaNotifica=="si") {
                    echo"mail inviata ";
                    //se ha creato l'utente invia una mail di avviso con il link per il login
                    $headers = "MIME-Version: 1.0" . "\r\n";
                    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
                    $headers .= "From: {$impostazioni["nomeMittente"]} <{$impostazioni["emailMittente"]}>" . "\r\n";

                    $oggetto = "creazione account";
                    $link = $impostazioni['urlPiattaforma'];
                    $messaggio = "Ciao $nome, <br> l'amministratore ha creato il tuo account sulla piattaforma, la tua password è: $passwordProvvisoria. Al primo login è necessario cambiare la password per motivi di sicurezza. Clicca sul link per accedere: $link";
                    mail($email, $oggetto, $messaggio, $headers);
                }
            }
        }
        else {
            $queryAggiornamentoUtente ="UPDATE geecAd_utenti SET nome='$nome', cognome='$cognome', organizzazione='$organizzazione', sitoWeb='$sitoWeb', email='$email', descrizione='$descrizione', note='$note', via='$via', citta='$citta', cap='$cap', telefono='$telefono', codiceFiscale='$codiceFiscale', partitaIva='$partitaIva', pec='$pec', codiceInterscambio='$codiceInterscambio', etichetta='$etichetta', stato='$stato' WHERE id=$idUtente";
            //aggiunge altri gruppi
            foreach($gruppi as $gruppo) {
                $queryAssociazioneGruppo ="INSERT INTO geecAd_gruppiUtenti VALUES(NULL,$idUtente,$gruppo);";
                $geecomDb->eseguiQueryScrittura($queryAssociazioneGruppo);
                header("Location: ../gestioneUtenti.php?status=1");
            }

            $geecomDb->eseguiQueryScrittura($queryAggiornamentoUtente);
            header("Location: ../gestioneUtenti.php?status=2");
        }
    }

    function generaPassword() {
        $nuovaPassword = "";
        $nuovaPassword = $nuovaPassword . chr(rand(65,90)); //stampa una lettera maiuscola a caso
        for ($i=0; $i<5; $i++) {
            $nuovaPassword = $nuovaPassword . chr(rand(97,122)); //stampa una lettera minuscola a caso
        }	
        $nuovaPassword = $nuovaPassword . rand(10,99); //infine aggiunge dei numeri
        return $nuovaPassword;
    }