<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * 	Classe che restituisce i link scritti con Geecom
    *
    * Classe per gestire le categorie
    */
     
    class Categoria {
        private $db;
        private $id; // se io scrivo private significa che questa variabile è presente solo in questa classe
        private $categoriaMadre;
        private $alias;
        private $nome;
        private $descrizione;
        private $tipo;
        private $elementiPerPagina;
        private $tipoVisualizzazione;
        private $posizione;
        private $ordinamento;
        
        /* creo il costruttore, ovvero il metodo che crea il nostro oggetto */
        function __construct($db,$id, $categoriaMadre = 0, $nome = "", $alias = "", $descrizione = "", $tipo = "", $tipoVisualizzazione= "", $elementiPerPagina = 0, $posizione = 0, $ordinamento = "") {
            $this->db = $db; // con questo comando sto assegnando il campo $db preso in input alla variabile di classe $db
            $this->id = $id;
            $this->categoriaMadre = $categoriaMadre;
            $this->alias= $alias;
            $this->nome = $nome;
            $this->tipo = $tipo;
            $this->descrizione = $descrizione;
            $this->tipoVisualizzazione = $tipoVisualizzazione;
            $this->elementiPerPagina   = $elementiPerPagina;
            $this->posizione = $posizione;
            $this->ordinamento = $ordinamento;
        }
         
        /*
         * metodo per la creazione della categoria
         */
        function crea() {
            $this->generaAlias($this->nome);
            $data  = date("Y-m-d");
            $query = "INSERT INTO `geec_categorie` (`id`, `categoriaMadre`, `tipo`, `nome`, `alias`, `descrizione`, `tipoVisualizzazione`, `numeroArticoliPerPagina`, `posizione`, `ordinamento`, `dataCreazione`)
                        VALUES (NULL, '$this->categoriaMadre', '$this->tipo', '$this->nome', '$this->alias', '$this->descrizione', '$this->tipoVisualizzazione', '$this->elementiPerPagina', '$this->posizione', '$this->ordinamento', '$data');";
            $this->id = $this->db->eseguiQueryCreazione($query);
        }
        
        /*
         * qui va aggiunto un parametro alias che deve essere passato dall'utente
         */
        function modifica() {
            $query = "UPDATE `geec_categorie` SET  categoriaMadre='$this->categoriaMadre', tipo='$this->tipo', nome='$this->nome', descrizione='$this->descrizione', tipoVisualizzazione='$this->tipoVisualizzazione', numeroArticoliPerPagina='$this->elementiPerPagina',  ordinamento='$this->ordinamento' WHERE id=$this->id";
            $this->id = $this->db->eseguiQueryCreazione($query);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geec_categorie",$this->id);
        }
        
        function aggiornaPosizione() {
            
        }

        /*
         * questa funzione viene usata per generare un alias univoco al momento della
         * creazione di una categoria. A partire dal titolo della categoria si eliminano
         * spazi e caratteri speciali e si controlla se è presente nel database un'altra
         * categoria con quell'alias
         */
        function generaAlias($titolo) {
            $alias = strtolower(ControlloreStringhe::rimuoviCaratteriSpeciali($titolo));
            $query ="SELECT * FROM geec_categorie WHERE nome LIKE '$titolo'";
            $ris = $this->db->eseguiQueryLettura($query);
            if($ris->num_rows==0) {
                $this->alias = $alias;
            }
            else {
                $this->alias = $alias.$ris->num_rows;
            }
        }
    
        // GETTER E SETTER
        function getDb() {
            return $this->db;
        }

        function getId() {
            return $this->id;
        }

        function getCategoriaMadre() {
            return $this->categoriaMadre;
        }

        function getNome() {
            return $this->nome;
        }

        function getTipo() {
            return $this->tipo;
        }

        function getElementiPerPagina() {
            return $this->elementiPerPagina;
        }
        
        function getDescrizione() {
            return $this->descrizione;
        }

        function getPosizione() {
            return $this->posizione;
        }

        function getAlias() {
            return $this->alias;
        }

        function getTipoVisualizzazione() {
            return $this->tipoVisualizzazione;
        }
        function getOrdinamento() {
            return $this->ordinamento;
        }

        function setOrdinamento($ordinamento) {
            $this->ordinamento = $ordinamento;
        }

        function setAlias($alias) {
            $this->alias = $alias;
        }

        function setTipoVisualizzazione($tipoVisualizzazione) {
            $this->tipoVisualizzazione = $tipoVisualizzazione;
        }
        
        function setDescrizione($descrizione) {
            $this->descrizione = $descrizione;
        }

        function setPosizione($posizione) {
            $this->posizione = $posizione;
        }

        function setDb($db) {
            $this->db = $db;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setCategoriaMadre($categoriaMadre) {
           $this->categoriaMadre = $categoriaMadre;
        }

        function setNome($nome) {
           $this->nome = $nome;
        }

        function setTipo($tipo) {
           $this->tipo = $tipo;
        }
         
        function setElementiPerPagina($elementiPerPagina) {
           $this->elementiPerPagina = $elementiPerPagina;
        }
    }