<?php

    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    * 
    * Questa classe è la classe base per i componenti. Quando si crea un componente 
    * deve essere creata una classe che estende la classe componente, in modo da avere
    * una serie di operazioni già pronte
    */
     
    class Componente {
        private $db;
        private $nome;
        private $tabellaPrincipale;
        private $tabellaElementi;
        
        function __construct($db, $nome, $tabellaPrincipale, $tabellaElementi="") {
            $this->db = $db;
            $this->nome = $nome;
            $this->tabellaPrincipale = $tabellaPrincipale;
            $this->tabellaElementi = $tabellaElementi;
        }
        
        function eliminaOccorrenza($id) {
            $this->db->eseguiQueryCancellazione($this->tabellaPrincipale,$id);
        }
        
        function eliminaElemento($id) {
            $this->db->eseguiQueryCancellazione($this->tabellaElementi,$id);            
        }
        
        function getDb() {
            return $this->db;
        }

        function getNome() {
            return $this->nome;
        }

        function getTabella() {
            return $this->tabella;
        }
        
        function setDb($db) {
            $this->db = $db;
        }
        
        function setNome($nome) {
            $this->nome = $nome;
        }

        function setTabella($tabella) {
            $this->tabella = $tabella;
        }
    }