<?php

    class Fattura {
        private $db;
        private $id;
        private $idUtente;
        private $tipo;
        private $numero;
        private $testo; 
        private $imponibile; 
        private $iva;
        private $totale; 
        private $stato;
        private $dataEmissione;
        private $dataPagamento;
        
        function __construct($db, $id, $idUtente = 0, $tipo = "", $numero = 0, $testo = "", $imponibile = 0, $iva = 0, $totale = 0, $stato = "", $dataEmissione = null, $dataPagamento = null) {
            $this->db = $db;
            $this->id = $id;
            $this->idUtente = $idUtente;
            $this->tipo     = $tipo;
            $this->oggetto  = $numero;
            $this->testo    = $testo;
            $this->imponibile = $imponibile;
            $this->iva    = $iva;
            $this->totale = $totale;
            $this->stato  = $stato;
            $this->dataEmissione = $dataEmissione;
            $this->dataPagamento = $dataPagamento;
        }

        function assegnaProgressivo() {
            $annoCorrente = date("Y");
            $query = "SELECT * FROM geecAd_fatture WHERE dataEmissione>'$annoCorrente-01-01' ORDER BY dataEmissione DESC LIMIT 1";
            $risFattura = $this->db->eseguiQueryLettura($query);
            if($risFattura->num_rows==0) {
                $this->numero = 1;
            }
            else {
                $ultimaFattura = $risFattura->fetch_assoc();
                $this->numero  = $ultimaFattura["numero"]+1;
            }
        }
        
        function crea() {
            $dataOggi = date("Y-m-d");
            $query = "INSERT INTO `geecAd_fatture` (`id`, `idUtente`, `tipo`, `numero`, `testo`, `imponibile`, `iva`, `totale`, `stato`, `dataEmissione`, `dataPagamento`) "
                    . "VALUES (NULL, $this->idUtente, '$this->tipo', $this->numero, '$this->testo', '$this->imponibile', '$this->iva', '$this->totale', '$this->stato', '$dataOggi', NULL)";
            $this->id = $this->db->eseguiQueryCreazione($query);
            return $this->id;
        }
        
        function modifica() {
            $query = "UPDATE `geecAd_fatture` SET idUtente=$this->idUtente, tipo='$this->tipo', testo='$this->testo', imponibile='$this->imponibile', iva='$this->iva', totale='$this->totale', stato='$this->stato' WHERE id=$this->id";
            $this->db->eseguiQueryScrittura($query);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAd_fatture",$this->id);
        }
        
        // getter & setter
        function getId() {
            return $this->id;
        }

        function getIdUtente() {
            return $this->idUtente;
        }
        
        function getTipo() {
            return $this->tipo;
        }

        function getOggetto() {
            return $this->oggetto;
        }

        function getTesto() {
            return $this->testo;
        }

        function getImponibile() {
            return $this->imponibile;
        }

        function getIva() {
            return $this->iva;
        }

        function getTotale() {
            return $this->totale;
        }

        function getStato() {
            return $this->stato;
        }

        function getDataEmissione() {
            return $this->dataEmissione;
        }

        function getDataPagamento() {
            return $this->dataPagamento;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setIdUtente($idUtente) {
            $this->idUtente = $idUtente;
        }

        function setTipo($tipo) {
            $this->tipo = $tipo;
        }
        
        function setOggetto($numero) {
            $this->oggetto = $numero;
        }

        function setTesto($testo) {
            $this->testo = $testo;
        }

        function setImponibile($imponibile) {
            $this->imponibile = $imponibile;
        }

        function setIva($iva) {
            $this->iva = $iva;
        }

        function setTotale($totale) {
            $this->totale = $totale;
        }

        function setStato($stato) {
            $this->stato = $stato;
        }

        function setDataEmissione($dataEmissione) {
            $this->dataEmissione = $dataEmissione;
        }

        function setDataPagamento($dataPagamento) {
            $this->dataPagamento = $dataPagamento;
        }

    }