<?php

    class Preventivo {
        private $db;
        private $id;
        private $idCliente;
        private $numero;
        private $oggetto;
        private $testo;
        private $imponibile; 
        private $iva;
        private $totale;
        private $stato;
        private $giorniNecessari;
        private $giorniValidita;
        private $dataEmissione;
        private $dataAccettazione;
        
        function __construct($db, $id, $idCliente = 0, $numero = 0, $oggetto = "", $testo = "", $imponibile = 0, $iva = 0, $totale = 0, $stato = "", $giorniNecessari = 0, $giorniValidita=0, $dataEmissione = null, $dataAccettazione = null) {
            $this->db = $db;
            $this->id = $id;
            $this->idCliente = $idCliente;
            $this->numero  = $numero;
            $this->oggetto = $oggetto;
            $this->testo = $testo;
            $this->imponibile = $imponibile;
            $this->iva    = $iva;
            $this->totale = $totale;
            $this->stato = $stato;
            $this->giorniNecessari = $giorniNecessari;
            $this->giorniValidita  = $giorniValidita;
            $this->dataEmissione = $dataEmissione;
            $this->dataAccettazione = $dataAccettazione;
        }

        function assegnaProgressivo() {
            $annoCorrente = date("Y");
            $query = "SELECT * FROM geecAd_preventivi WHERE dataEmissione>'$annoCorrente-01-01' ORDER BY dataEmissione DESC LIMIT 1";
            $risFattura = $this->db->eseguiQueryLettura($query);
            if($risFattura->num_rows==0) {
                $this->numero = 1;
            }
            else {
                $ultimaFattura = $risFattura->fetch_assoc();
                $this->numero  = $ultimaFattura["numero"]+1;
            }
        }
        
        function crea() {
            $dataOggi = date("Y-m-d");
            $query = "INSERT INTO `geecAd_preventivi` (`id`, `idCliente`, `numero`, `oggetto`, `testo`, `imponibile`, `iva`, `totale`, `stato`, `giorniNecessari`, `giorniValidita`, `dataEmissione`, `dataAccettazione`) "
                    . "VALUES (NULL, $this->idCliente, $this->numero, '$this->oggetto', '$this->testo', '$this->imponibile', '$this->iva', '$this->totale', '$this->stato', $this->giorniNecessari, $this->giorniValidita, '$dataOggi', NULL)";
            $this->id = $this->db->eseguiQueryCreazione($query);
            return $this->id;
        }
        
        function modifica() {
            $query = "UPDATE `geecAd_preventivi` SET idCliente=$this->idCliente,  oggetto='$this->oggetto', testo='$this->testo', imponibile='$this->imponibile', iva='$this->iva', totale='$this->totale', stato='$this->stato', giorniNecessari=$this->giorniNecessari, giorniValidita=$this->giorniValidita WHERE id=$this->id";
            $this->db->eseguiQueryCreazione($query);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAd_preventivi",$this->id);
        }
        
        function getId() {
            return $this->id;
        }

        function getIdCliente() {
            return $this->idCliente;
        }

        function getNumero() {
            return $this->numero;
        }

        function getOggetto() {
            return $this->oggetto;
        }

        function getTesto() {
            return $this->testo;
        }

        function getImponibile() {
            return $this->imponibile;
        }
        
        function getIva() {
            return $this->iva;
        }

        function getTotale() {
            return $this->totale;
        }
        
        function getStato() {
            return $this->stato;
        }

        function getGiorniNecessari() {
            return $this->giorniNecessari;
        }

        function getGiorniValidita() {
            return $this->giorniValidita;
        }
        
        function getDataEmissione() {
            return $this->dataEmissione;
        }

        function getDataAccettazione() {
            return $this->dataAccettazione;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setIdCliente($idCliente) {
            $this->idCliente = $idCliente;
        }

        function setNumero($numero) {
            $this->numero = $numero;
        }

        function setOggetto($oggetto) {
            $this->oggetto = $oggetto;
        }

        function setTesto($testo) {
            $this->testo = $testo;
        }

        function setImponibile($imponibile) {
            $this->imponibile = $imponibile;
        }

        function setIva($iva) {
            $this->iva = $iva;
        }

        function setTotale($totale) {
            $this->totale = $totale;
        }

        function setStato($stato) {
            $this->stato = $stato;
        }

        function setGiorniNecessari($giorniNecessari) {
            $this->giorniNecessari = $giorniNecessari;
        }

        function setGiorniValidita($giorniValidita) {
            $this->giorniValidita = $giorniValidita;
        }
        
        function setDataEmissione($dataEmissione) {
            $this->dataEmissione = $dataEmissione;
        }

        function setDataAccettazione($dataAccettazione) {
            $this->dataAccettazione = $dataAccettazione;
        }        
    }