<?php

    class Ricevuta {
        private $db;
        private $id;
        private $idUtente;
        private $tipo;
        private $numero;
        private $testo; 
        private $importo;
        private $dataEmissione;
        
        function __construct($db, $id, $idUtente = 0, $tipo = "", $numero = 0, $testo = "", $importo = 0, $dataEmissione = null) {
            $this->db = $db;
            $this->id = $id;
            $this->idUtente = $idUtente;
            $this->tipo     = $tipo;
            $this->oggetto  = $numero;
            $this->testo    = $testo;
            $this->importo = $importo;
            $this->dataEmissione = $dataEmissione;
        }

        function assegnaProgressivo() {
            $annoCorrente = date("Y");
            $query = "SELECT * FROM geecAd_ricevute WHERE dataEmissione>'$annoCorrente-01-01' ORDER BY dataEmissione DESC LIMIT 1";
            $risFattura = $this->db->eseguiQueryLettura($query);
            if($risFattura->num_rows==0) {
                $this->numero = 1;
            }
            else {
                $ultimaFattura = $risFattura->fetch_assoc();
                $this->numero  = $ultimaFattura["numero"]+1;
            }
        }
        
        function crea() {
            $dataOggi = date("Y-m-d");
            $query = "INSERT INTO `geecAd_ricevute` (`id`, `idUtente`, `tipo`, `numero`, `testo`, `importo`, `dataEmissione`) "
                    . "VALUES (NULL, $this->idUtente, '$this->tipo', $this->numero, '$this->testo', '$this->importo', '$dataOggi')";
            $this->id = $this->db->eseguiQueryCreazione($query);
            return $this->id;
        }
        
        function modifica() {
            $query = "UPDATE `geecAd_ricevute` SET idUtente=$this->idUtente, tipo='$this->tipo', testo='$this->testo', importo='$this->importo' WHERE id=$this->id";
            $this->db->eseguiQueryScrittura($query);
        }
        
        function elimina() {
            $this->db->eseguiQueryCancellazione("geecAd_ricevute",$this->id);
        }
        
        // getter & setter
        function getId() {
            return $this->id;
        }

        function getIdUtente() {
            return $this->idUtente;
        }
        
        function getTipo() {
            return $this->tipo;
        }

        function getOggetto() {
            return $this->oggetto;
        }

        function getTesto() {
            return $this->testo;
        }

        function getImporto() {
            return $this->importo;
        }

        function getDataEmissione() {
            return $this->dataEmissione;
        }

        function getDataPagamento() {
            return $this->dataPagamento;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setIdUtente($idUtente) {
            $this->idUtente = $idUtente;
        }

        function setTipo($tipo) {
            $this->tipo = $tipo;
        }
        
        function setOggetto($numero) {
            $this->oggetto = $numero;
        }

        function setTesto($testo) {
            $this->testo = $testo;
        }

        function setImporto($importo) {
            $this->importo = $importo;
        }

        function setDataEmissione($dataEmissione) {
            $this->dataEmissione = $dataEmissione;
        }

        function setDataPagamento($dataPagamento) {
            $this->dataPagamento = $dataPagamento;
        }

    }