<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%17uso-del-logo-geecom
    */

    include "../../../classi/Componente.php";
    include "../../../gUtil/ControlloreStringhe.php";
    include "../../../gUtil/DbManager.php";
    include "../../../costanti.php";
    include "../classi/ComponenteVisualizzatoreRisorse.php";
    include "../../../classi/GeneratoreCodiceComponente.php";
    include "../../../template/include/generatori/GeneratoreCodiceRisorse.php";
    
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    $id         = filter_input(INPUT_POST,"idElemento",FILTER_SANITIZE_NUMBER_INT);
    
    $geecomDb = new DbManager($costantiDatabase);
    $visualizzatoreRisorse = new ComponenteVisualizzatoreRisorse($geecomDb, $id);
    
    $impostazioni = $geecomDb->leggiSingolaRiga("geecAd_impostazioni", 1);

    switch($operazione) {
        case 'crea':
            $visualizzatoreRisorse->setTitolo(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setCategoria(filter_input(INPUT_POST,"categoria",FILTER_SANITIZE_NUMBER_INT));
            $visualizzatoreRisorse->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_MAGIC_QUOTES));
            $visualizzatoreRisorse->setFiltrabile(filter_input(INPUT_POST,"filtrabile",FILTER_SANITIZE_EMAIL));
            $visualizzatoreRisorse->setATuttaLarghezza(filter_input(INPUT_POST,"aTuttaLarghezza",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setSenzaBordi(filter_input(INPUT_POST,"senzaBordi",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setClasseElementi(filter_input(INPUT_POST,"classeElementi",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->creaOccorrenza();
	    header("Location: ../index.php?status=1");
            break;
        case 'modifica':
            $visualizzatoreRisorse->setTitolo(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setCategoria(filter_input(INPUT_POST,"categoria"),FILTER_SANITIZE_NUMBER_INT);
            $visualizzatoreRisorse->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_MAGIC_QUOTES));
            $visualizzatoreRisorse->setFiltrabile(filter_input(INPUT_POST,"filtrabile",FILTER_SANITIZE_EMAIL));
            $visualizzatoreRisorse->setATuttaLarghezza(filter_input(INPUT_POST,"aTuttaLarghezza",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setSenzaBordi(filter_input(INPUT_POST,"senzaBordi",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->setClasseElementi(filter_input(INPUT_POST,"classeElementi",FILTER_SANITIZE_STRING));
            $visualizzatoreRisorse->modificaOccorrenza();
            $generatoreCodiceRisorse = new GeneratoreCodiceRisorse($geecomDb);
            $generatoreCodiceRisorse->aggiornaSingolaIstanza($id);
	    header("Location: ../creaVisualizzatoreRisorse.php?id=$id&status=10");
            break;
        case 'elimina':
            $visualizzatoreRisorse->eliminaOccorrenza($id);
	    header("Location: ../index.php?status=200");
            break;
        default:
            break;
    }