<?php 
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../util.php";
    include "../../gUtil/DbManager.php";

    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
        if(isset($_GET["id"])) {
            $visualizzatoreRisorse = $geecomDb->leggiSingolaRiga("geec_visualizzatoriRisorse", $_GET["id"]);
        }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Crea visualizzatore risorsa</title>
    <?php
        include "../include/includeCss.php";
    ?>
</head>

<body>

<div id="wrap">
    
    <?php  
        include "../include/barraSuperiore.php";

        include "../include/header.php";

        include "../include/barraMenu.php";

        if(isset($_GET["status"])) {
            if($_GET["status"]==1) {
                echo"<p class=\"alert alert-success\">Visualizzatore risorsa creato</p>";
            }
            else if($_GET["status"]==10) {
                echo"<p class=\"alert alert-success\">Visualizzatore risorsa modificato</p>";
            }
            else { // status = 5
                echo"<p class=\"alert alert-success\">elemento eliminato</p>";
            }
        }
    ?>
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <?php 
                        if(isset($visualizzatoreRisorse)) {
                            echo " Modifica il visualizzatore di risorse <b>".$visualizzatoreRisorse["nome"]."</b>";
                        }
                        else {
                            echo "Crea un nuovo visualizzatore di risorse";
                        }
                    ?>
                </div>
            </div>
            <div class="container">
                <div class="col-md-12">
                    <form class="form-horizontal" action="controller/controllerVisualizzatoreRisorse.php" method="post">
                        <input type="text" class="hidden" name="idElemento" value="<?php if(isset($visualizzatoreRisorse)) echo $visualizzatoreRisorse["id"]; else echo "0";?>">
                        <input type="text" class="hidden" name="operazione" value="<?php echo(isset($visualizzatoreRisorse) ? "modifica" : "crea"); ?>">
                        
                        <div class="form-group">
                            <label for="campoTesto1" class="col-sm-1 control-label">Nome</label>
                            <div class="col-sm-2">
                                <input type="text" class="form-control" id="nomeVoceMenu" name="nome" value="<?php if(isset($visualizzatoreRisorse)) echo $visualizzatoreRisorse["nome"]; ?>" placeholder="Nome">
                            </div>

                            <label for="select1" class="col-sm-3 control-label">Elementi per riga</label>
                            <div class="col-sm-2">
                                <select class="form-control" name=classeElementi >
                                    <?php
                                        $arrayClassiElemento = array("portfolio col-12"=>1,"portfolio col-sm-6"=>2,"portfolio col-sm-6 col-md-4"=>3,"portfolio col-sm-6 col-md-4 col-lg-3"=>4,"portfolio col-sm-6 col-md-4 col-lg-3 col-xl-2"=>6);
                                        foreach($arrayClassiElemento as $classe=>$numeroELementi) {
                                            if(isset($visualizzatoreRisorse) && $classe==$visualizzatoreRisorse["classeElementi"]) {
                                                echo"<option value=\"$classe\" SELECTED>{$numeroELementi}</option>";						
                                            }
                                            else {
                                                echo"<option value=\"$classe\">{$numeroELementi}</option>";
                                            }
                                        }
                                    ?>
                                </select>
                             </div>
                          
                            <div class="form-group">
                              <label for="select1" class="col-sm-2 control-label">Categoria</label>
                              <div class="col-sm-2">
                                  <select class="form-control" name=categoria >
                                      <option value="0">Tutte</option>
                                      <?php
                                          $queryCategorie = "SELECT * FROM geec_categorie WHERE tipo LIKE 'categoriaRisorsa'";
                                          $risCategoriePortfolio = $geecomDb->eseguiQueryLettura($queryCategorie);
                                          while ($categoria = $risCategoriePortfolio->fetch_assoc()) {
                                              if(isset($visualizzatoreRisorse) && $categoria["id"]==$visualizzatoreRisorse["categoria"]) {
                                                  echo"<option value=\"{$categoria["id"]}\" SELECTED>{$categoria["nome"]}</option>";						
                                              }
                                              else {
                                                  echo"<option value=\"{$categoria["id"]}\">{$categoria["nome"]}</option>";
                                              }
                                          }
                                      ?>
                                  </select>
                               </div>
                            </div>
                        </div>

                        <div class="form-group">
                          <label for="descrizione" class="col-sm-1 control-label">Descrizione</label>
                          <div class="col-sm-11">
                              <input type="text" class="form-control" id="descrizione" name="descrizione" value="<?php if(isset($visualizzatoreRisorse)) echo $visualizzatoreRisorse["descrizione"]; ?>" placeholder="Descrizione"/>
                          </div>
                        </div>

                        <div class="form-group">
                            <label for="select1" class="col-sm-1 control-label">Filtrabile </label>
                            <div class="col-sm-2">
                                <input type="checkbox" name=filtrabile class="js-switch" value="si" <?php
                                  if(isset($visualizzatoreRisorse) && $visualizzatoreRisorse["filtrabile"]=="si") { // se il valore = si aggiunge la parola checked
                                    echo"CHECKED";
                                 }
                              ?> />
                            </div>

                            <label for="select1" class="col-sm-2 control-label">A tutta larghezza </label>
                            <div class="col-sm-2">
                                <input type="checkbox" name=aTuttaLarghezza class="js-switch" value="si" <?php
                                    if(isset($visualizzatoreRisorse) && $visualizzatoreRisorse["aTuttaLarghezza"]=="si") { // se il valore = si aggiunge la parola checked
                                      echo"CHECKED";
                                   }
                                ?> />
                            </div>

                          <label for="select1" class="col-sm-2 control-label">Senza bordi </label>
                          <div class="col-sm-2">
                            <input type="checkbox" name=senzaBordi class="js-switch" value="si" <?php
                                  if(isset($visualizzatoreRisorse) && $visualizzatoreRisorse["senzaBordi"]=="si") { // se il valore = si aggiunge la parola checked
                                    echo"CHECKED";
                                 }
                              ?> />
                          </div>
                        </div>

                        <div class="form-group">
                          <div class="col-sm-offset-1 col-sm-6">
                              <button type=submit" class="btn btn-primary"> Salva</button>
                              <button type="button" class="btn btn-default" onclick="{location.href='index.php';}"> <i class="fa fa-arrow-left"></i>Torna all'elenco</button>
                          </div>
                        </div>
                    </form>
                </div>
                
            </div>
        </div>
    </div>

     <!-- Modal box conferma cancellazione voce elenco -->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel3">Eliminare la elemento: </h4>
          </div>
            <form class="form-horizontal" role="form" name="formCancellazioneVoceMenu" action="operazioni/eliminaElemento.php" method="post">
	       	<input type="text" class="hidden" id="voceMenuDaEliminare" name="idElemento" >
        	  </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazioneVoceMenu.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
 
    <?php
        include "../include/footer.php";
    ?>

    <!-- Modal box creazione categoria risorsa-->
    <div class="modal fade" id="creazioneCategoria" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Crea una nuova categoria del portfolio</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="modalForm" action="../../categorie/creaCategoria.php" method="post">
		<input type="text" class="hidden" name="tipo" value="categoriaPortfolio">
		<input type="text" class="hidden" name="numeroArticoliPerPagina" value="0">
                <input type="text" class="hidden" name="categoriaMadre" value="<?php echo $_GET["id"]; ?>">
                <input type="text" class="hidden" name="idCategoria" value=0>
                
                <div class="form-group">
                  <label for="campoTesto1" class="col-sm-3 control-label">Nome</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="campoTesto1" name="nome" placeholder="Nome">
                  </div>
                </div>
            </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick={document.modalForm.submit();}>Crea categoria</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- javascript -->
    <script src="../../js/jquery-2.1.4.min.js"></script>
    <script src="../../template/js/bootstrap.min.js"></script>
    
   <script src="../../js/util.js"></script>
   
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
	
	<script type="text/javascript">
	
            function modificaVoce(idElenco,nome,link,img) {
                    $('#myModalLabel2').text("Modifica la voce "+nome);
                    document.getElementById("idVoceElenco").value = idElenco;
                    document.getElementById("modificaNome").value = nome;
                    document.getElementById("modificaLink").value = link;
                    $("#immagineVoce").attr("src","../../"+img);
                    $('#myModal2').modal('show');
            }

            function modificaPosizione(idCampoInput,idVoceMenu) {
                    var posizione = $('#'+idCampoInput).val();
                    location.href = "operazioni/aggiornaPosizione.php?id="+idVoceMenu+"&posizione="+posizione;
            }

            function eliminaVoce(idVoce,nome) {
                    $('#myModalLabel3').text("Eliminare la elemento "+nome+"?");
                    document.getElementById("voceMenuDaEliminare").value = idVoce;
                    $('#myModal3').modal('show');
            }

            function invia() {
                    document.formCreaPagina.submit();
            }
                
            function eliminaCategoria(id) {
                $.ajax({
                    type:"POST",
                    url:"../../categorie/eliminaCategoria.php",
                    data:{
                        tipo:'categoriaRisorse',
                        idCategoria:id
                    },
                    success:function(result) {
                        location.reload();
                    },
                    error:function(){
                      alert("errore");
                    }
                });
            }
	</script>
	
	<!-- Editor articolo -->
	<script type="text/javascript" src="../../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
	tinymce.init({
	    selector: "textarea",
	    plugins: "textcolor link",
    	    toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor",
	    language : 'it'
	 });
	</script>
        
        <!-- Switchery -->
        <script type="text/javascript" src="../../template/js/switchery.min.js"></script>
        <script type="text/javascript">
                    var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

                    elems.forEach(function(html) {
                      var switchery = new Switchery(html);
                    });
        </script>
</body>
</html>
<?php
    }