<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../costanti.php";
    include "../../util.php";
    include "../../gUtil/DbManager.php";
    include "../../gUtil/Ricerca.php";
    include "../../gUtil/GestoreTabella.php";
    include "../../classi/Tabella.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
    }
    else {

        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);
?>
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Componente visualizzatore risorse</title>
    <?php
        include "../include/includeCss.php";
    ?>
</head>

<body>

<div id="wrap">
    
    <?php  
        include "../include/barraSuperiore.php";

        include "../include/header.php";

        include "../include/barraMenu.php";
    ?>

    <!-- Modal box cambia password -->
    <div class="modal fade" id="cambiaPassword" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="myModalLabel">Cambia password</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" role="form" name="formCambiaPassword" action="amministratori/cambiaPassword.php" method="post">
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword" name="password" placeholder="Password">
            </div>
          </div>
          
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-3 control-label">Conferma password</label>
            <div class="col-sm-9">
              <input type="password" class="form-control" id="cambiaPassword2" placeholder="Conferma password">
            </div>
          </div>

        </form>
          </div>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Chiudi</button>
            <button type="button" class="btn btn-primary" onclick="validazionePassword()">Cambia password</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- Modal box conferma cancellazione voce elenco -->
    <div class="modal fade" id="myModal3" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel3">Eliminare il visualizzatore risorse </h4>
            </div>
            <form class="form-horizontal" role="form" name="formCancellazioneVoceMenu" action="controller/controllerVisualizzatoreRisorse.php" method="post">
	       	<input type="text" class="hidden" id="voceMenuDaEliminare" name="idElemento" />
                <input type="text" class="hidden" name="operazione" value="elimina" />
            </form>
          
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" onclick="{document.formCancellazioneVoceMenu.submit();}" >Elimina</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <!-- contenuto principale -->
    <div id="contenutoPrincipale" class="row">
        <?php
            if(isset($_GET["status"])) {
                if($_GET["status"]==5) {
                    echo"<p class=\"alert alert-success\">Visualizzatore risorse eliminato</p>";
                }
            }
        ?>
        
        <!-- riga menu secondario -->
        <div id="menuSecondario" class="row">     
            <div class="nav nav-pills">
                <li class="active"><a href="creaVisualizzatoreRisorsePrivate.php">Nuovo visualizzatore risorse private</a></li>
            </div>
        </div>
        <!-- /riga menu secondario -->
	
    <div class="panel panel-default">
        <div class="panel-heading"> Elenco visualizzatori risorse</div>
        <?php 
            $ricerca  = new Ricerca($geecomDb, "geec_visualizzatoriRisorsePrivate", 25, array(), "","");
            if(isset($_GET["pag"])) {
                $ricerca->eseguiRicerca($_GET["pag"]);
            }
            else {
                $ricerca->eseguiRicerca(1);
            }

            $colonne = array("Id","Nome","A tutta larghezza","Filtrabile","Azioni");
            $tabella = new Tabella("tabella", "table table-hover table-condensed",$colonne);
            $tabella->setTipo("normale");
            $risPortfolii = $ricerca->getRisultatoQueryRicerca();
            while($portfolio = $risPortfolii->fetch_assoc()) {
                $aTuttaLarghezza = ($portfolio["aTuttaLarghezza"]!="si") ? "no" : "si";
                $filtrabile = ($portfolio["filtrabile"]!="si") ? "no" : "si";
                $azioni = array("creaVisualizzatoreRisorse.php?id={$portfolio["id"]}","eliminaOccorrenza({$portfolio["id"]},'{$portfolio["nome"]}')");
                $tabella->aggiungiNuovaRiga(array($portfolio["id"],$portfolio["nome"],$aTuttaLarghezza,$filtrabile),$azioni);
            }
        ?>
        <!-- tabella -->
        <div class="table-responsive">
	    <?php 
                $tabella->stampa();
            ?>
        </div>
        <!-- /tabella -->

    </div>
    <!-- /contenuto principale -->

</div>
    
    <?php  
        include "../include/footer.php";
        include "../include/includeJavascriptDiBase.php";
    ?>
	
	<script type="text/javascript">
            function modificaVoce(idElenco,nome,link,img) {
                $('#myModalLabel2').text("Modifica la voce "+nome);
                document.getElementById("idVoceElenco").value = idElenco;
                document.getElementById("modificaNome").value = nome;
                document.getElementById("modificaLink").value = link;
                $("#immagineVoce").attr("src","../../"+img);
                $('#myModal2').modal('show');
            }

            function eliminaOccorrenza(idVoce,nome) {
                $('#myModalLabel3').text("Eliminare il visualizzatore "+nome+"?");
                document.getElementById("voceMenuDaEliminare").value = idVoce;
                $('#myModal3').modal('show');
            }

            function invia() {
                document.formCreaPagina.submit();
            }
	</script>
	
	<!-- Editor articolo -->
	<script type="text/javascript" src="../../js/tinymce/tinymce.min.js"></script>
	<script type="text/javascript">
            tinymce.init({
                selector: "textarea",
                plugins: "textcolor link",
                toolbar: "undo redo bold italic link unlink alignleft aligncenter alignright alignjustify bullist numlist forecolor backcolor",
                language : 'it'
             });
	</script>
</body>
</html>
<?php
    }