<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../costanti.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomUser_email"])) {
	header("Location: index.php");
    }
    else {
        $geecomDb = new DbManager($costantiDatabase);

        //prendo i valori dalla form
        $oggetto = $geecomDb->escapeString($_POST["oggetto"]);
        $testo   = $geecomDb->escapeString($_POST["testo"]);
        $gruppiDestinatari  = $geecomDb->escapeString($_POST["idGruppi"]);

        if(!ControlloreStringhe::rilevaJavascript($oggetto) && !ControlloreStringhe::rilevaJavascript($testo)) {
            $data = date("Y-m-d");
            $queryNuovoMessaggio = "INSERT INTO geecAd_comunicazioni VALUES(NULL,{$_SESSION["geecomUser_id"]},'ticket','$oggetto','$testo','{$_SESSION["geecomUser_nomeCognome"]}','$data');";
            $geecomDb->eseguiQueryScrittura($queryNuovoMessaggio);
            $idComunicazione = $geecomDb->idUltimoElemento();

            //prende i dati dell'articolo
            $queryImpostazioniPagamenti = "SELECT * FROM geecAd_impostazioni WHERE id=1";
            $risArticoli = $geecomDb->eseguiQueryLettura($queryImpostazioniPagamenti);
            $impostazioni = $risArticoli->fetch_assoc();

            $oggetto = "Conferma creazione ticket";

            error_log("\n invio messaggio con oggetto=$oggetto e testo=$testo \n dati smtp: ".$impostazioni["emailMittente"]." ".$impostazioni["passwordSmtp"]." ".$impostazioni["portaSmtp"]." ".$impostazioni["hostSmtp"]);

            require "../phpMailer/class.phpmailer.php";
            require "../phpMailer/class.smtp.php";
            $messaggio = new PHPmailer();
            $messaggio->IsSMTP();

            $messaggio->Host = $impostazioni["hostSmtp"];
            $messaggio->Port = $impostazioni["portaSmtp"];
            $messaggio->SMTPAuth = true;
            //$messaggio->SMTPSecure = "ssl";
            $messaggio->Username = $impostazioni["emailMittente"];//"SMTP-BASIC-5622";
            $messaggio->Password = $impostazioni["passwordSmtp"]; //"m9ix86TG9q";
            $messaggio->setFrom($impostazioni["emailMittente"],$impostazioni["nomeMittente"]);

            $messaggio->IsHTML(true);

            $messaggio->AddReplyTo($impostazioni["emailMittente"]);
            $messaggio->Subject="$oggetto";

            $testoMessaggio = "Ciao {$_SESSION["geecomUser_nome"]}, <br> ti confermiamo l'avvenuto inserimento del ticket $oggetto:<br>".$testo."<br> Sarai contattato al più presto";

            $messaggio->MsgHTML($testoMessaggio);
            $messaggio->addAddress($_SESSION["geecomUser_email"], $_SESSION["geecomUser_nome"]);

            error_log("\n invio messaggio con oggetto=$oggetto e testo=$testoMessaggio a:{$_SESSION["geecomUser_nome"]} {$_SESSION["geecomUser_email"]}  \n dati smtp: ".$impostazioni["emailMittente"]." ".$impostazioni["passwordSmtp"]." ".$impostazioni["portaSmtp"]." ".$impostazioni["hostSmtp"]);
            if(!$messaggio->send()) {
                    error_log("Errore durante l'invio dell'email per l'utente: ".$messaggio->ErrorInfo);
            }

            // invio messaggio agli admin
            $messaggio->clearAddresses();
            $messaggio->clearAttachments();
            $messaggio->addAddress($impostazioni["emailMittente"], $_SESSION["geecomUser_nome"]);
            $messaggio->Subject="Nuovo ticket aperto da {$_SESSION["geecomUser_nome"]}";
            $messaggio->MsgHTML($testo);
            if(!$messaggio->send()) {
                error_log("Errore durante l'invio dell'email all'amministratore: ".$messaggio->ErrorInfo);
            }

            header("Location: ../comunicazioni.php?tipo=ticket&status=2");
        }
        else {
            header("Location: ../comunicazioni.php?tipo=ticket&status=400");
        }
    }