<?php
    /**
    *
    * copyright (c) 2013-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * Classe che restituisce i link scritti con Geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../classi/Categoria.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
        exit();
    }
        
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    
    $categoria = new Categoria($geecomDb, filter_input(INPUT_POST, "id"));
    
    switch ($operazione) {
        case 'crea':
            $categoria->setNome(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING));
            $categoria->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $categoria->setCategoriaMadre(filter_input(INPUT_POST,"categoriaMadre",FILTER_SANITIZE_NUMBER_INT));
            $categoria->setElementiPerPagina(filter_input(INPUT_POST,"numeroArticoliPerPagina",FILTER_SANITIZE_NUMBER_INT));
            $categoria->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_STRING));
            $categoria->setTipoVisualizzazione(filter_input(INPUT_POST,"tipoVisualizzazione",FILTER_SANITIZE_STRING));
            $categoria->setOrdinamento(filter_input(INPUT_POST,"ordinamento",FILTER_SANITIZE_STRING));
            $categoria->crea();
            echo "ok";
            break;
        case 'modifica':
            $categoria->setNome(filter_input(INPUT_POST,"nome",FILTER_SANITIZE_STRING));
            $categoria->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $categoria->setCategoriaMadre(filter_input(INPUT_POST,"categoriaMadre",FILTER_SANITIZE_NUMBER_INT));
            $categoria->setElementiPerPagina(filter_input(INPUT_POST,"numeroArticoliPerPagina",FILTER_SANITIZE_NUMBER_INT));
            $categoria->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_STRING));
            $categoria->setTipoVisualizzazione(filter_input(INPUT_POST,"tipoVisualizzazione",FILTER_SANITIZE_STRING));
            $categoria->setOrdinamento(filter_input(INPUT_POST,"ordinamento",FILTER_SANITIZE_STRING));
            $categoria->modifica();
            echo "ok";
            break;
        case 'aggiornaPosizione':
            $categoria->aggiornaPosizione();
            break;
        case 'elimina':
            $categoria->elimina();
            echo "ok";
            break;
    }