<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../classi/Comunicazione.php";
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb      = new DbManager($costantiDatabase);
    $comunicazione = new Comunicazione($geecomDb,filter_input(INPUT_POST,"id",FILTER_SANITIZE_NUMBER_INT));
    $operazione    = $geecomDb->escapeString(filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING));
    
    print_r($_POST);
    session_start();
    if($operazione=="creaTicket") {
        $comunicazione->setId(filter_input(INPUT_POST,"id",FILTER_SANITIZE_NUMBER_INT));
        $comunicazione->setIdUtente($_SESSION["geecomUser_id"]);
        $comunicazione->setOggetto(filter_input(INPUT_POST, "oggetto",FILTER_SANITIZE_STRING));
        $comunicazione->setTipo("ticket");
        $comunicazione->setTesto(filter_input(INPUT_POST, "testo",FILTER_SANITIZE_MAGIC_QUOTES));
        $comunicazione->setStato("aperto");
        $comunicazione->setPriorita(filter_input(INPUT_POST, "priorita",FILTER_SANITIZE_STRING));
        $comunicazione->setAutore(filter_var($_SESSION["geecomUser_nomeCognome"],FILTER_SANITIZE_STRING));
        $idTicket = $comunicazione->crea();
        header("Location: ../dettagliTicket.php?id=$idTicket&status=200");
    }
    else if($operazione=="rispondiTicket") {
        controlloAccessoUtente();
        $testo = filter_input(INPUT_POST, "testo",FILTER_SANITIZE_MAGIC_QUOTES);
        $comunicazione->aggiungiRispostaTicket($testo,$_SESSION["geecomUser_nomeCognome"]);
        header("Location: ../dettagliTicket.php?id={$comunicazione->getId()}&status=222");
    }
    else if($operazione=="rispondiTicketAmministratore") {
        controlloAccessoAdmin();
        $datiGeecomAdmin = $geecomDb->leggiSingolaRiga("geec_prodotti","Admin","nome");
        $testo           = filter_input(INPUT_POST, "testo",FILTER_SANITIZE_MAGIC_QUOTES);
        $comunicazione->aggiungiRispostaTicket($testo,"Amministrazione");
        header("Location: ../{$datiGeecomAdmin["percorso"]}/creaComunicazione.php?id={$comunicazione->getId()}&status=222");
    }
    else if($operazione=="chiudiTicket") {
        controlloAccessoUtente();
        $comunicazione->caricaDatiDalDatabase();
        if($_SESSION["geecomUser_id"] == $comunicazione->getIdUtente()) {
            $comunicazione->setStato("chiuso");
            $comunicazione->modifica();
            echo"ok";
        }
        else {
            echo"Errore: non hai creato tu questo ticket, quindi non puoi chiuderlo: session id: ".$_SESSION["geecomUser_id"]." id utente:".$comunicazione->getIdUtente();
        }
    }
    /*
     * questa funzione viene usata nei rami if che richiedono un controllo
     * se si è amministratori, altrimenti chiunque potrebbe aggiorare le tabelle
     */
    function controlloAccessoAdmin() {
        if(!isset($_SESSION["geecomAdmin_email"])) {
            header("Location: ../index.php");
        }
    }
    /*
     * questa funzione viene usata nei rami if che richiedono un controllo
     * se si è amministratori, altrimenti chiunque potrebbe aggiorare le tabelle
     */
    function controlloAccessoUtente() {
        if(!isset($_SESSION["geecomUser_email"])) {
            header("Location: ../index.php");
        }
    }
    