<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * Classe che restituisce i link scritti con Geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../classi/Fattura.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
        exit();
    }
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    
    $fattura = new Fattura($geecomDb, filter_input(INPUT_POST, "id"));
    
    switch ($operazione) {
        case 'crea':
            $fattura->setIdUtente(filter_input(INPUT_POST,"idUtente",FILTER_SANITIZE_NUMBER_INT));
            $fattura->assegnaProgressivo();
            $fattura->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $fattura->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $fattura->setImponibile(filter_input(INPUT_POST,"imponibile",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setIva(filter_input(INPUT_POST,"iva",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setTotale(filter_input(INPUT_POST,"totale",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setStato("emessa");
            $idFattura = $fattura->crea();
            header("Location: ../amministrazione/creaFattura.php?id=$idFattura&status=200");
            break;
        case 'modifica':
            $fattura->setIdUtente(filter_input(INPUT_POST,"idUtente",FILTER_SANITIZE_NUMBER_INT));
            $fattura->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $fattura->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $fattura->setImponibile(filter_input(INPUT_POST,"imponibile",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setIva(filter_input(INPUT_POST,"iva",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setTotale(filter_input(INPUT_POST,"totale",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $fattura->setStato(filter_input(INPUT_POST,"stato",FILTER_SANITIZE_STRING));
            $fattura->modifica();
            header("Location: ../amministrazione/creaFattura.php?id={$fattura->getId()}&status=230");
            break;
        case 'elimina':
            $fattura->elimina();
            header("Location: ../amministrazione/fatture.php?status=250");
            break;
    }