<?php

    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/GestoreFileCsv.php";
    include "../gUtil/GestoreUpload.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"]) || $_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: index.php");
        exit();
    }
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb   = new DbManager($costantiDatabase);
    $nomeFile     = uniqid().".csv";
    $gestoreUpload = new GestoreUpload("file", array("text/plain"), 10000, "../file/csv", 0, "");
    $risultato = $gestoreUpload->salvaFile($nomeFile);
    
    $datiGeecom = $geecomDb->leggiSingolaRiga("geec_prodotti", "Admin", "nome");
    
    $gestoreCsv = new GestoreFileCsv("../file/csv/$nomeFile", ",",false);
    $tabellaImportazione = filter_input(INPUT_POST, "tabella", FILTER_SANITIZE_STRING);
    $saltaIntestazione   = filter_input(INPUT_POST, "saltaIntestazione", FILTER_SANITIZE_STRING);
    $forzaId             = filter_input(INPUT_POST, "forzaId", FILTER_SANITIZE_STRING);
    
    $risColonne = $geecomDb->elencoColonneTabella($tabellaImportazione);
    $primaRiga     = $gestoreCsv->rigaSuccessiva();
    $colonneAttese = ($forzaId=="si") ? $risColonne->num_rows : $risColonne->num_rows -1;
    if(count($primaRiga) != $colonneAttese) {
        $numeroElementiRiga = count($primaRiga);
        header("Location: ../{$datiGeecom["percorso"]}/impostazioni.php?status=396&messaggio=Errore: il file contiene $numeroElementiRiga elementi, ne erano attesi $colonneAttese. . Se l'opzione forza id non è selezionata, ricordati di rimuovere la colonna con gli id dal tuo csv");
        exit();
    }

    if($saltaIntestazione=="si") {
        $gestoreCsv->setRigaCorrente(1);
    }
    else {
        $gestoreCsv->setRigaCorrente(0);
    }

    $queryImportazione = array();
    while(!$gestoreCsv->raggiuntaFineDelFile()) {
        $riga = $gestoreCsv->rigaSuccessiva();
        if($forzaId!="si") {
            $tmpQuery = "INSERT INTO $tabellaImportazione VALUES(NULL,";
        }
        else {
            $tmpQuery = "INSERT INTO $tabellaImportazione VALUES(";
        }
        
        foreach($riga as $elementoRiga) {
            $elementoCorrente = filter_var($elementoRiga,FILTER_SANITIZE_MAGIC_QUOTES);
            if($elementoCorrente!="NULL") {            
                $tmpQuery .= "'$elementoCorrente',";
            }
            else {
                $tmpQuery .= "$elementoCorrente,";
            }
        }
        $query = substr($tmpQuery, 0,strlen($tmpQuery) -1);
        $query .=")";
        $queryImportazione[count($queryImportazione)] = $query;
    }
    
    $numeroElementiImportati = count($queryImportazione);
    $geecomDb->eseguiInsiemeDiQuery($queryImportazione);
    header("Location: ../{$datiGeecom["percorso"]}/impostazioni.php?status=395&numeroElementImportati=$numeroElementiImportati");