<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    * 
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../classi/GestoreImpostazioni.php";

    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $gestoreImpostazioni = new GestoreImpostazioni($geecomDb);
    $operazione = $geecomDb->escapeString(filter_input(INPUT_GET,"operazione",FILTER_SANITIZE_STRING));
    
    session_start();
    if($operazione=="aggiornaTabellaPersonalizzata") {
        controlloAccesso();
        $id      = filter_input(INPUT_GET,"id",FILTER_SANITIZE_NUMBER_INT);
        $tabella = filter_input(INPUT_GET, "tabella",FILTER_SANITIZE_STRING);
        $campo   = filter_input(INPUT_GET, "campo",FILTER_SANITIZE_STRING);
        $valore  = filter_input(INPUT_GET, "valore",FILTER_SANITIZE_STRING);
        $gestoreImpostazioni->aggiornaCampoTabella($tabella, $id, $campo, $valore);
        echo "Dati salvati";
    }
    else if($operazione=="inserisciEtichetta") {
        controlloAccesso();
        $nome = filter_input(INPUT_GET, "nome",FILTER_SANITIZE_STRING);
        $tipo = filter_input(INPUT_GET, "tipo",FILTER_SANITIZE_STRING);
        $data = date("Y-m-d");
        $queryInserimentoVoceSpesa = "INSERT INTO `geecAd_etichette` (`id`, `nome`, `tipo`, `dataCreazione`) VALUES (NULL, '$nome', '$tipo', '$data');";
        $geecomDb->eseguiQueryCreazione($queryInserimentoVoceSpesa);
        echo "Dati salvati";
    }
    else if($operazione=="eliminaEtichetta") {
        controlloAccesso();
        $id      = filter_input(INPUT_GET,"id",FILTER_SANITIZE_NUMBER_INT);
        $geecomDb->eseguiQueryCancellazione("geecAd_etichette", $id);
        echo "Dati salvati";
    }
    else if($operazione=="inserisciMetodoPagamento") {
        controlloAccesso();
        $nome = filter_input(INPUT_GET, "nome",FILTER_SANITIZE_STRING);
        $data = date("Y-m-d");
        $queryInserimentoMetodoPagamento = "INSERT INTO `geecAd_metodiPagamento` (`id`, `nome`, `dataCreazione`) VALUES (NULL, '$nome', '$data');";
        $geecomDb->eseguiQueryCreazione($queryInserimentoMetodoPagamento);
        echo "Dati salvati";
    }
    else if($operazione=="eliminaMetodoPagamento") {
        controlloAccesso();
        $id      = filter_input(INPUT_GET,"id",FILTER_SANITIZE_NUMBER_INT);
        $geecomDb->eseguiQueryCancellazione("geecAd_metodiPagamento", $id);
        echo "Dati salvati";
    }
    
    /*
     * questa funzione viene usata nei rami if che richiedono un controllo
     * se si è amministratori, altrimenti chiunque potrebbe aggiorare le tabelle
     */
    function controlloAccesso() {
        if(!isset($_SESSION["geecomAdmin_email"])) {
            header("Location: ../index.php");
        }
    }