<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * Classe che restituisce i link scritti con Geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../classi/Preventivo.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
        exit();
    }
        
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    
    $preventivo = new Preventivo($geecomDb, filter_input(INPUT_POST, "id",FILTER_SANITIZE_NUMBER_INT));
    
    switch ($operazione) {
        case 'crea':
            $preventivo->setIdCliente(filter_input(INPUT_POST,"idCliente",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->assegnaProgressivo();
            $preventivo->setOggetto(filter_input(INPUT_POST,"oggetto",FILTER_SANITIZE_STRING));
            $preventivo->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $preventivo->setImponibile(filter_input(INPUT_POST,"imponibile",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setIva(filter_input(INPUT_POST,"iva",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setTotale(filter_input(INPUT_POST,"totale",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setGiorniNecessari(filter_input(INPUT_POST,"giorniNecessari",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->setGiorniValidita(filter_input(INPUT_POST,"giorniValidita",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->setStato("in attesa");
            $idPreventivo = $preventivo->crea();
            header("Location: ../amministrazione/creaPreventivo.php?id=$idPreventivo&status=200");
            break;
        case 'modifica':
            $preventivo->setIdCliente(filter_input(INPUT_POST,"idCliente",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->setOggetto(filter_input(INPUT_POST,"oggetto",FILTER_SANITIZE_STRING));
            $preventivo->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $preventivo->setImponibile(filter_input(INPUT_POST,"imponibile",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setIva(filter_input(INPUT_POST,"iva",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setTotale(filter_input(INPUT_POST,"totale",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $preventivo->setGiorniNecessari(filter_input(INPUT_POST,"giorniNecessari",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->setGiorniValidita(filter_input(INPUT_POST,"giorniValidita",FILTER_SANITIZE_NUMBER_INT));
            $preventivo->setStato(filter_input(INPUT_POST,"stato",FILTER_SANITIZE_STRING));
            $preventivo->modifica();
            header("Location: ../amministrazione/creaPreventivo.php?id={$preventivo->getId()}&status=230");
            break;
        case 'elimina':
            $preventivo->elimina();
            header("Location: ../amministrazione/preventivi.php?status=250");
            break;
    }