<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * Classe che restituisce i link scritti con Geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../classi/Ricevuta.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
        exit();
    }
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    
    $ricevuta = new Ricevuta($geecomDb, filter_input(INPUT_POST, "id"));
    
    switch ($operazione) {
        case 'crea':
            $ricevuta->setIdUtente(filter_input(INPUT_POST,"idUtente",FILTER_SANITIZE_NUMBER_INT));
            $ricevuta->assegnaProgressivo();
            $ricevuta->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $ricevuta->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $ricevuta->setImporto(filter_input(INPUT_POST,"importo",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $idRicevuta = $ricevuta->crea();
            header("Location: ../amministrazione/creaRicevuta.php?id=$idRicevuta&status=200");
            break;
        case 'modifica':
            $ricevuta->setIdUtente(filter_input(INPUT_POST,"idUtente",FILTER_SANITIZE_NUMBER_INT));
            $ricevuta->assegnaProgressivo();
            $ricevuta->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $ricevuta->setTesto(filter_input(INPUT_POST,"testo",FILTER_SANITIZE_STRING));
            $ricevuta->setImporto(filter_input(INPUT_POST,"importo",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $ricevuta->modifica();
            header("Location: ../amministrazione/creaRicevuta.php?id={$ricevuta->getId()}&status=230");
            break;
        case 'elimina':
            $ricevuta->elimina();
            header("Location: ../amministrazione/ricevute.php?status=250");
            break;
    }