<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    *
    * Classe che restituisce i link scritti con Geecom
    */

    include "../costanti.php";
    include "../gUtil/DbManager.php";
    include "../gUtil/ControlloreStringhe.php";
    include "../classi/VocePrimaNota.php";
    
    session_start();
    if(!isset($_SESSION["geecomAdmin_email"])) {
        header("Location: index.php");
        exit();
    }
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);
    $operazione = filter_input(INPUT_POST,"operazione",FILTER_SANITIZE_STRING);
    
    $primaNota = new VocePrimaNota($geecomDb, filter_input(INPUT_POST, "id"));
    
    switch ($operazione) {
        case 'crea':
            $primaNota->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_STRING));
            $primaNota->setImporto(filter_input(INPUT_POST,"importo",FILTER_SANITIZE_NUMBER_FLOAT,FILTER_FLAG_ALLOW_FRACTION));
            $primaNota->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $primaNota->setEtichetta(filter_input(INPUT_POST,"etichetta",FILTER_SANITIZE_STRING));
            $primaNota->setTipoPagamento(filter_input(INPUT_POST,"metodoPagamento",FILTER_SANITIZE_STRING));
            $primaNota->setDataOperazione(filter_input(INPUT_POST,"dataOperazione",FILTER_SANITIZE_STRING));
            $primaNota->crea();
            header("Location: ../amministrazione/primaNota.php?status=200");
            break;
        case 'modifica':
            $primaNota->setDescrizione(filter_input(INPUT_POST,"descrizione",FILTER_SANITIZE_STRING));
            $primaNota->setImporto(filter_input(INPUT_POST,"importo",FILTER_SANITIZE_NUMBER_INT));
            $primaNota->setTipo(filter_input(INPUT_POST,"tipo",FILTER_SANITIZE_STRING));
            $primaNota->setEtichetta(filter_input(INPUT_POST,"etichetta",FILTER_SANITIZE_STRING));
            $primaNota->setTipoPagamento(filter_input(INPUT_POST,"metodoPagamento",FILTER_SANITIZE_STRING));
            $primaNota->setDataOperazione(filter_input(INPUT_POST,"dataOperazione",FILTER_SANITIZE_STRING));
            $primaNota->modifica();
            header("Location: ../amministrazione/primaNota.php?status=220");
            break;
        case 'elimina':
            $primaNota->elimina();
            header("Location: ../amministrazione/primaNota.php?status=250");
            break;
    }