<?php
    /**
    *
    * copyright (c) 2015-2019 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * Classe che consente di creare una tabella
    * 
    */
    class GestoreTabella {
        private $id;
        private $classe;
        private $colonne;
        private $righe;
        
        function __construct($id, $classe, $colonne, $righe = array()) {
            $this->id = $id;
            $this->classe  = $classe;
            $this->colonne = $colonne;
            $this->righe   = $righe;
        }
        
        function stampa() {
            $this->stampaIntestazione();
            foreach($this->righe as $riga) {
                $this->stampaRiga($riga);
            }
            echo"</tbody>";
            $this->chiudiTabella();
        }
        
        function stampaIntestazione() {
            echo"<table class=\"$this->classe\" ><thead>"; 
            foreach($this->colonne as $colonna) {
                echo"<th>$colonna</th>";
            }
            echo"</thead>";
        }
        
        function stampaRiga($riga) {
            echo"<tr>";
            foreach($riga as $elementoRiga) {
                echo"<td>$elementoRiga</td>";
            }
            echo"<tr>";
        }
        
        function chiudiTabella() {
            echo"</table></div>";
        }
        
        function aggiungiRiga($riga) {
            $this->righe[count($this->righe)] = $riga;
        }
        
        function getId() {
            return $this->id;
        }

        function getColonne() {
            return $this->colonne;
        }

        function getRighe() {
            return $this->righe;
        }

        function setId($id) {
            $this->id = $id;
        }

        function setColonne($colonne) {
            $this->colonne = $colonne;
        }

        function setRighe($righe) {
            $this->righe = $righe;
        }
    }