<?php
    /**
    *
    * copyright (c) 2013-2018 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    /*
     * questa classe costituisce la base per i visualizzatori dei componenti
     * contiene i metodi di base e quelli per creare la sezione
     */
    class VisualizzatoreComponente {
        private $db;
        
        public function __construct($db) {
            $this->db = $db;
        }
        
        function creaSezione($dati) {
            if($dati["idElemento"]==0) {
                echo "Errore nella configurazione del componente {$dati["nome"]}: l'id elemento è impostato a 0";
            }
            else {
                $idSezione = "";
                $classeSezione = "";
                if($dati["idSezione"]!="") {
                    $idSezione = "id=\"{$dati["idSezione"]}\"";
                } 
                if($dati["classeSezione"]!="") {
                    $classeSezione = "class=\"{$dati["classeSezione"]}\"";
                }
                echo"<section  $idSezione $classeSezione >";
                $this->generaContenutoSezione($dati);
                echo"</section>";
            }
        }
        
        /*
         * questo metodo va sovrascritto dalla sottoclasse con il codice
         * opportuno per il componente specifico che si vuole stampare
         */
        function generaContenutoSezione($dati) {
            
        }
                
        // getter e setter
        function setDb($db) {
            $this->db = $db;
        }

        function getDb() {
            return $this->db;
        }
    }