<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * l/inee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
	
    include "costanti.php";
    include "gUtil/DbManager.php";
    include "gUtil/GeneratoreForm.php";
    include "template/include/includeClassiTemplate.php";
    include "util.php";
    
    $geecomDb = new DbManager($costantiDatabase);	
    $impostazioni = recuperaImpostazioni($geecomDb);
    $configurazioneAspetto = $geecomDb->leggiSingolaRiga("geec_configurazioniAspetto", "si","selezionataAdmin");
    
    $query = "SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE 'footer'";
    $risQuery = $geecomDb->eseguiQueryLettura($query);
    $footer = $risQuery->fetch_assoc();

    session_start();
    if(isset($_SESSION["geecomUser_email"])) {
        header("Location: pagina.php?id={$impostazioni["homeUtente"]}");
    }
    else {
        $_SESSION["tokenSicurezza"] = sha1(rand(0,100000));
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="generator" content="Geecom Admin"/>

    <title><?php echo $impostazioni["titoloPiattaforma"]; ?></title>

    <!-- Favicon-->
    <link rel="icon" href="favicon.ico" type="image/x-icon">

      <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
	  
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.9/css/all.css" integrity="sha384-5SOiIsAziJl6AWe0HWRKTXlfcSHKmYV4RBF18PPJ173Kzn7jzMyFuTtk8JA7QQG1" crossorigin="anonymous">

    <!-- Password strength meter -->
    <link rel="stylesheet" href="../plugins/password-strength-meter-1.1.0/dist/password.min.css">
	  	  
    <?php
        UtilTemplate::stampaRoot($configurazioneAspetto);
    ?>

    <!-- Custom CSS -->
    <link rel="stylesheet" href="template/css/StileBackend.css">

</head>

<body class="bg-primary">
    <main role="main"  class="d-flex align-items-center mt-0">
        <div id="login" class="container">
            <div class="card card-container box-shadow-lite fadeInDown">
		<a href="index.php">
                    <img class="img-fluid mb-4" src="<?php echo $configurazioneAspetto["logo"]; ?>" />
                </a>

                <?php 
                    if(isset($_GET["status"])) {

                        if($_GET["status"]==400) {
                            echo"<p class=\"alert alert-danger\">Errore: email o password errati</p>";
                        }
                        else if($_GET["status"]==410) {
                            echo"<p class=\"alert alert-danger\">Errore: il tuo account non è attivo!</p>";
                        }
                        else if($_GET["status"]==300) {
                            echo"<p class=\"alert alert-warning\">Questa email è già presente, hai perso la password?</p>";
                        }
                        else if($_GET["status"]==200) {
                            echo"<p class=\"alert alert-success\">Registrazione avvenuta, a presto :)</p>";
                        }
                    }
                    if($impostazioni["disattivaAccessoUtenti"]=="si") {
                        echo"<p class=\"alert alert-warning\">{$impostazioni["messaggioAccessoDisattivato"]}</p>";
                    } 
                ?>
		<div class="mb-2"><?php echo $impostazioni["titoloAreaLogin"]; ?></div>
                <form class="form-signin" action="utenti/login.php" method="post">
                    <div class="form-group">
                        <input type="email" name="email" id="inputEmail" class="form-control" placeholder="Indirizzo email" required autofocus>
                    </div>
                    <div class="form-group">
                        <input type="password" name="password" id="password" class="form-control" required />
                    </div>

                    <input type="text" class="d-none" name="tokenSicurezza" <?php echo"value=\"{$_SESSION["tokenSicurezza"]}\""; ?> >

			<?php
				if($impostazioni["disattivaAccessoUtenti"]!="si") {
                    ?>
		             <div class="custom-control custom-checkbox mb-3">
		                 <input type="checkbox" class="custom-control-input" id="customCheck1">
		                 <label class="custom-control-label" for="customCheck1">Ricordati di me</label>
		             </div>
                    		<button class="btn btn-primary btn-block" type="submit">Login</button>
	              <?php 
	                  if($impostazioni["accessoFacebook"]=="si") {
				include "include/facebookSdk.php";
	              ?>
	
           			<fb:login-button scope="public_profile,email" onlogin="checkLoginState();">
				</fb:login-button>

				<div id="status">
				</div>
		      <?php 
		          }
		      ?>
                     <?php 
                         if($impostazioni["registrazioneUtenti"]=="si") {
                     ?>
             		<a href="pagina.php?id=3" class="btn btn-outline-primary btn-block" >Registrati</a>
                     <?php
                         }
                     ?>
                        <a class="mt-2 d-block" href="recuperaPassword.php">Password dimenticata?</a>
                    <?php 
                        }
                    ?>
                </form><!-- /form -->

            </div>
        </div>
</main>
    
    <script src="js/util.js"></script>
    <script src="template/plugins/jquery/jquery.min.js"></script>

    <!-- Bootstrap Core Js -->
    <script src="template/plugins/bootstrap/js/bootstrap.js"></script>
    
    <!-- Select Plugin Js -->
    <script src="template/plugins/bootstrap-select/js/bootstrap-select.js"></script>

    <!-- Slimscroll Plugin Js -->
    <script src="template/plugins/jquery-slimscroll/jquery.slimscroll.js"></script>

    <!-- Bootstrap Colorpicker Js -->
    <script src="template/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js"></script>

    <!-- Dropzone Plugin Js -->
    <script src="template/plugins/dropzone/dropzone.js"></script>

    <!-- Input Mask Plugin Js -->
    <script src="template/plugins/jquery-inputmask/jquery.inputmask.bundle.js"></script>

    <!-- Multi Select Plugin Js -->
    <script src="template/plugins/multi-select/js/jquery.multi-select.js"></script>

    <!-- Jquery Spinner Plugin Js -->
    <script src="template/plugins/jquery-spinner/js/jquery.spinner.js"></script>

    <!-- Bootstrap Tags Input Plugin Js -->
    <script src="template/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js"></script>

    <!-- noUISlider Plugin Js -->
    <script src="template/plugins/nouislider/nouislider.js"></script>

    <!-- Waves Effect Plugin Js -->
    <script src="template/plugins/node-waves/waves.js"></script>

    <!-- Custom Js -->
    <script src="template/js/admin.js"></script>
    <script src="template/js/advanced-form-elements.js"></script>
    
    <!-- Demo Js -->
    <script src="template/js/demo.js"></script>
        
        <!-- Stabilisce il numero massimo di immagini caricabili -->
        <script>
		$(".cover-image").dropzone({
			maxFiles: 1,
			maxfilesexceeded: function(file) {
				this.removeAllFiles();
				this.addFile(file);
			}
		})  
		
		$(".galleria").dropzone({
			maxFiles: 10,
			maxfilesexceeded: function(file) {
				this.removeAllFiles();
				this.addFile(file);
			}
		})		     
		 </script>
         
         <!-- Tooltips -->
		<script>
        $(function () {
		  $("[data-toggle=popover]").popover();
		})
        </script>

</body>

</html>
