<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../costanti.php";
    include "../gUtil/DbManager.php";

    session_start();
    
    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);	

    //dati admin
    $nome  = filter_input(INPUT_POST,"nome",FILTER_SANITIZE_MAGIC_QUOTES);
    $email = filter_input(INPUT_POST,"email",FILTER_SANITIZE_EMAIL);
    $urlPiattaforma     = filter_input(INPUT_POST,"indirizzoPiattaforma",FILTER_SANITIZE_STRING);
    $titoloPiattaforma  = filter_input(INPUT_POST,"titoloPiattaforma",FILTER_SANITIZE_STRING);
    $attivaContabilita  = filter_input(INPUT_POST,"attivaContabilita",FILTER_SANITIZE_STRING);
    $tipoContabilita    = filter_input(INPUT_POST,"tipoContabilita",FILTER_SANITIZE_STRING);
    
    $nomeCartellaAmministrazione = "amministrazione"; // per ora non è modificabile, a breve lo sarà come per Geecom Cms
    $password = hash("sha512",$_POST['password']);
    
    $queryCreazioniTabelle = array();
    $queryDiConfigurazione = array();

    //query per creare la tabella dei componenti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_componenti` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
        `tipo` VARCHAR( 255 ) NOT NULL ,
        `icona` VARCHAR( 255 ) NOT NULL ,
        `nome` VARCHAR( 255 ) NOT NULL ,
        `paginaGestione` VARCHAR( 255 ) NOT NULL,
        `tabellaRiferimento` VARCHAR( 255 ) NOT NULL,
        `script` VARCHAR( 255 ) NOT NULL,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella degli utenti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_utenti` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
        `email` VARCHAR( 255 ) NOT NULL ,
        `password` VARCHAR( 255 ) NOT NULL ,
        `nome` VARCHAR( 255 ) NOT NULL ,
        `cognome` VARCHAR( 255 ) NOT NULL ,
        `foto` VARCHAR( 255 ) NOT NULL ,
        `descrizione` TEXT( 65000 ) NOT NULL ,
        `note` VARCHAR( 255 ) NOT NULL ,
        `via` VARCHAR( 255 ) NOT NULL ,
        `citta` VARCHAR( 255 ) NOT NULL ,
        `cap` VARCHAR( 255 ) NOT NULL ,
        `telefono` VARCHAR( 255 ) NOT NULL ,
        `codiceFiscale` VARCHAR( 255 ) NOT NULL ,
        `partitaIva` VARCHAR( 255 ) NOT NULL,
        `organizzazione` VARCHAR( 255 ) NOT NULL,
        `sitoWeb` VARCHAR( 255 ) NOT NULL,
        `pec` VARCHAR( 255 ) NOT NULL,
        `codiceInterscambio` VARCHAR( 255 ) NOT NULL,
        `stato` VARCHAR( 255 ) NOT NULL ,
        `etichetta` VARCHAR( 255 ) NOT NULL ,
        `dataCreazione` DATE NOT NULL,
        `ultimoLogin` DATE NOT NULL,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella dei gruppi
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_gruppi` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
            `nomeGruppo` VARCHAR( 255 ) NOT NULL ,
            `descrizione` VARCHAR( 255 ) NOT NULL,
            `dataCreazione` DATE NOT NULL,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella che associa i gruppi agli utenti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_gruppiUtenti` (
            `idGruppoUtente` INT( 11 ) NOT NULL AUTO_INCREMENT ,
            `idUtente` INT( 11 ) NOT NULL ,
            `idGruppo` INT( 11 ) NOT NULL ,
            PRIMARY KEY ( `idGruppoUtente` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella delle voci di menu
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_vociMenu` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `nome` VARCHAR( 255 ) NOT NULL ,
            `icona` VARCHAR( 255 ) NOT NULL ,
            `tipo` VARCHAR( 255 ) NOT NULL ,
            `tagSottoMenu` VARCHAR( 255 ) NOT NULL,
            `link` VARCHAR( 255 ) NOT NULL,
            `posizione` INT( 11 ) NOT NULL,
            `gruppoSpecifico` INT( 11 ) NOT NULL,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella degli amministratori
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_admin` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `email` VARCHAR( 255 ) NOT NULL ,
            `nome` VARCHAR( 255 ) NOT NULL ,
            `password` VARCHAR( 255 ) NOT NULL ,
            `ruolo` VARCHAR( 255 ) NOT NULL ,
            `stato` VARCHAR( 255 ) NOT NULL ,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella risorse
    //il campo destinatario contiene l'id del gruppo che può visualizzare la risorsa, l'id = 0 la risorsa la vedono tutti
    //il campo destinatario contiene l'email del destinatario se la risorsa è individuale, altrimenti è vuoto
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_risorse` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `idGruppo` INT( 11 ) NOT NULL,
            `idUtente` INT( 11 ) NOT NULL,
            `categoria` INT( 11 ) NOT NULL,
            `nome` VARCHAR( 255 ) NOT NULL,
            `percorso` VARCHAR( 255 ) NOT NULL ,
            `descrizione` VARCHAR( 255 ) NOT NULL ,
            `immagine` VARCHAR( 255 ) NOT NULL ,
            `posizione` INT( 11 ) NOT NULL ,
            `numeroDownload` INT( 11 ) NOT NULL ,
            `dataCreazione` DATE NOT NULL ,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella comunicazioni
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_comunicazioni` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `idUtente` INT( 11 ) NOT NULL ,
            `tipo` VARCHAR( 255 ) NOT NULL ,
            `stato` VARCHAR( 255 ) NOT NULL ,
            `priorita` VARCHAR( 255 ) NOT NULL ,
            `oggetto` VARCHAR( 255 ) NOT NULL ,
            `testo` TEXT( 65535 ) NOT NULL ,
            `autore` VARCHAR( 255 ) NOT NULL ,
            `dataCreazione` DATETIME NOT NULL ,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella dei gruppi
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_gruppiDestinatari` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
            `idComunicazione` INT( 11 ) NOT NULL ,
            `idRisorsa` INT( 11 ) NOT NULL ,
            `idGruppoDestinatario` INT( 11 ) NOT NULL ,
            PRIMARY KEY ( `id` )
            )ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella risposteTicket
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_risposteTicket` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `idTicket` INT( 11 ) NOT NULL ,
            `testo` TEXT( 65535 ) NOT NULL ,
            `autore` VARCHAR( 255 ) NOT NULL ,
            `dataCreazione` DATETIME NOT NULL ,
            PRIMARY KEY ( `id` )
            ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    //query per creare la tabella approvazioni, contenente gli utenti che
    //sono d'accordo con una segnalazione inviata
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_approvazioni` (
            `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
            `idUtente` INT( 11 ) NOT NULL ,
            `idSegnalazione` INT( 11 ) NOT NULL ,
            PRIMARY KEY ( `id` )
            )ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    //query per creare la tabella dove memorizzare i contenuti della home
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_impostazioni` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `logo` VARCHAR( 255 ) NOT NULL ,
        `dimensioneAreaLogin` VARCHAR( 255 ) NOT NULL ,
        `titoloAreaLogin` VARCHAR( 255 ) NOT NULL ,
        `testoAreaLogin` TEXT( 65000 ) NOT NULL ,
        `attivaFortino` VARCHAR (255) NOT NULL,
        `parolaChiaveFortino` VARCHAR (255) NOT NULL,
        `mostraProfilo` VARCHAR (255) NOT NULL,
        `paginaProfiloUtente` INT (11) NOT NULL,
        `homeUtente` INT (11) NOT NULL,
        `paginaNotifiche` INT (11) NOT NULL,
        `titoloPiattaforma` VARCHAR (255) NOT NULL,
        `urlPiattaforma` VARCHAR (255) NOT NULL,
        `nomeMittente` VARCHAR (255) NOT NULL,
        `emailMittente` VARCHAR (255) NOT NULL,
        `utenteSmtp` VARCHAR (255) NOT NULL,
        `hostSmtp` VARCHAR (255) NOT NULL,
        `portaSmtp` SMALLINT (6) NOT NULL,
        `passwordSmtp` VARCHAR (255) NOT NULL,
        `disattivaAccessoUtenti` VARCHAR(55) NOT NULL,
        `messaggioAccessoDisattivato` VARCHAR(255) NOT NULL,
        `registrazioneUtenti` VARCHAR(255) NOT NULL,
        `gruppoDefault` INT(11) NOT NULL,
        `accessoFacebook` VARCHAR(255) NOT NULL,
        `gruppoDefaultFacebook` INT(11) NOT NULL,
        `accessoGoogle` VARCHAR(255) NOT NULL,
        `gruppoDefaultGoogle` INT(11) NOT NULL,
        `attivaBarraCookie` VARCHAR(255) NOT NULL,
        `attivaApi` VARCHAR(255) NOT NULL,
        `emailApi` VARCHAR(255) NOT NULL,
        `idAppFacebook` VARCHAR (255) NOT NULL ,
        `secretAppFacebook` VARCHAR (255) NOT NULL ,
        `apiKeyGoogle` VARCHAR (255) NOT NULL ,
        `filtraggioIP` VARCHAR( 55 ) NOT NULL ,
        `indirizziIPAmmessi` TEXT( 65000 ) NOT NULL ,
        `indirizziIPBannati` TEXT( 65000 ) NOT NULL ,
        `filtraggioIPAreaUtenti` VARCHAR( 55 ) NOT NULL ,
        `indirizziIPAmmessiAreaUtenti` TEXT( 65000 ) NOT NULL ,
        `indirizziIPBannatiAreaUtenti` TEXT( 65000 ) NOT NULL ,
        `attivaContabilita` VARCHAR( 55 ) NOT NULL ,
        `tipoContabilita` VARCHAR( 55 ) NOT NULL ,
        `percentualeIva` VARCHAR( 55 ) NOT NULL ,
        `intestazioneDocumentiFiscali` TEXT (1000),
        `gruppoClienti` INT ( 11 ) NOT NULL ,
        `gruppoFornitori` INT ( 11 ) NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    // query per creare la tabella pagine
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_pagine` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `privata` VARCHAR( 55 ) NOT NULL ,
        `titolo` VARCHAR( 255 ) NOT NULL ,
        `descrizione` VARCHAR( 255 ) NOT NULL ,
        `template` VARCHAR( 255 ) NOT NULL ,
        `cssPersonalizzato` TEXT( 65000 ) NOT NULL ,
        `javascriptPersonalizzato` TEXT( 65000 ) NOT NULL ,
        `voceMenu` VARCHAR( 255 ) NOT NULL ,
        `dataCreazione` DATE NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    // query composizione pagine 
    // il campo testo contiene un valore che viene gestito in modo diverso a seconda del tipo di componente
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_composizionePagine` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
        `idComponente` INT( 11 ) NOT NULL ,
        `idPagina` INT( 11 ) NOT NULL ,
        `idElemento` INT( 11 ) NOT NULL ,
        `posizione` TINYINT( 11 ) NOT NULL ,
        `testo` TEXT( 65000 ) NOT NULL,
        `codiceGenerato` TEXT( 65000 ) ,
        `script` TEXT( 65000 ) ,
        `idSezione` VARCHAR( 255 ) DEFAULT '' ,
        `classeSezione` VARCHAR( 255 ) DEFAULT '' ,
        `animazione` VARCHAR( 255 ) DEFAULT '' ,
        `classeColore` VARCHAR( 255 ) DEFAULT '' ,
        `altreOpzioni` TEXT( 65000 ),
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";

    /*
     * query creazione tabella per memorizzare le preferenze sui cookie
     */
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_leggeCookie` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
        `attivaBarraCookie` VARCHAR( 55 ) NOT NULL,
        `testoBarraCookie` TEXT( 1000 ) NOT NULL,
        `headCodiciCookie` TEXT( 1000 ) NOT NULL,
        `fineBodyCookie` TEXT( 1000 ) NOT NULL,
        `testoPulsanteAccetto` VARCHAR( 255 ) NOT NULL,
        `testoPulsanteNonAccetto` VARCHAR( 255 ) NOT NULL,
        `testoPulsanteMaggioriInformazioni` VARCHAR( 255 ) NOT NULL,
        `mostraPulsanteNonAccetto` VARCHAR( 255 ) NOT NULL,
        `mostraPulsanteMaggioriInformazioni` VARCHAR( 255 ) NOT NULL,
        `paginaMaggioriInformazioni` INT(11) NOT NULL,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    // query per creare la tabella contenuti, che contiene sia pagine che gallerie
    // gallerie lascerà alcuni campi vuoti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_login` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `numeroLogin` INT( 11 ) NOT NULL ,
        `loginOggi` INT( 11 ) NOT NULL ,
        `dataUltimoLogin` DATE NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    // query per creare la tabella moduliRegistrazione, che contiene sia pagine che gallerie
    // gallerie lascerà alcuni campi vuoti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_moduliRegistrazione` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR (255) NOT NULL ,
        `richiediNome` VARCHAR (255) NOT NULL ,
        `richiediCognome` VARCHAR (255) NOT NULL ,
        `richiediIndirizzo` VARCHAR (255) NOT NULL ,
        `richiediEmail` VARCHAR (255) NOT NULL ,
        `richiediTelefono` VARCHAR (255) NOT NULL ,
        `richiediPassword` VARCHAR (255) NOT NULL ,
        `richiediGruppo` VARCHAR (255) NOT NULL ,
        `inviaPasswordViaEmail` VARCHAR (255) NOT NULL ,
        `contenutoEmailRegistrazione` VARCHAR (255) NOT NULL ,
        PRIMARY KEY ( `id` )
        )";

    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_vociPrimaNota` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `descrizione` TEXT (65000) NOT NULL ,
        `importo` DOUBLE( 10,2 ) NOT NULL,
        `tipo` VARCHAR( 25 ) NOT NULL,
        `etichetta` VARCHAR( 25 ) NOT NULL,
        `metodoPagamento` VARCHAR( 25 ) NOT NULL,
        `dataOperazione` DATE NOT NULL,
        PRIMARY KEY (`id`)
        )";
    
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_preventivi` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `idCliente` INT( 11 ) NOT NULL,
        `numero` INT( 11 ) NOT NULL,
        `oggetto` VARCHAR (255) NOT NULL ,
        `testo` TEXT (65000) NOT NULL ,
        `imponibile` DOUBLE( 10,2 ) NOT NULL,
        `iva` DOUBLE( 10,2 ) NOT NULL,
        `totale` DOUBLE( 10,2 ) NOT NULL,
        `stato` VARCHAR( 25 ) NOT NULL,
        `giorniNecessari` SMALLINT( 6 ) NOT NULL,
        `giorniValidita` SMALLINT( 6 ) NOT NULL,
        `dataEmissione` DATE NOT NULL,
        `dataAccettazione` DATE,
        PRIMARY KEY (`id`)
        )";
        
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_fatture` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `idUtente` INT( 11 ) NOT NULL,
        `numero` INT (11) NOT NULL ,
        `tipo`  VARCHAR( 25 ) NOT NULL,
        `testo` TEXT (65000) NOT NULL ,
        `imponibile` DOUBLE( 10,2 ) NOT NULL,
        `iva` DOUBLE( 10,2 ) NOT NULL,
        `totale` DOUBLE( 10,2 ) NOT NULL,
        `stato` VARCHAR( 25 ) NOT NULL,
        `dataEmissione` DATE NOT NULL,
        `dataPagamento` DATE,
        PRIMARY KEY (`id`)
        )";
        
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_ricevute` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `idUtente` INT( 11 ) NOT NULL,
        `numero` INT (11) NOT NULL ,
        `tipo`  VARCHAR( 25 ) NOT NULL,
        `testo` TEXT (65000) NOT NULL ,
        `importo` DOUBLE( 10,2 ) NOT NULL,
        `dataEmissione` DATE NOT NULL,
        PRIMARY KEY (`id`)
        )";
    
    // query per creare la tabella delle etichette, utilizzata per le voci in contabilità nella prima nota e per gli utenti
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_etichette` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR( 255 ) NOT NULL ,
        `tipo` VARCHAR( 255 ) NOT NULL ,
        `dataCreazione` DATE NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    // query per creare la tabella dei metodi di pagamento, usati per la prima nota
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_metodiPagamento` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR( 255 ) NOT NULL ,
        `dataCreazione` DATE NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    /*
     * query creazione tabella per memorizzare le impostazioni del footer
     */
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geecAd_footer` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
        `lingua` VARCHAR( 55 ) NOT NULL,
        `testo` TEXT( 65000 ) NOT NULL,
        `coloreSfondo` VARCHAR( 255 ) NOT NULL,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geec_dashboard` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR (255) NOT NULL ,
        `dataCreazione` DATE NOT NULL,
        PRIMARY KEY (`id`)
        )";
    
    $queryCreazioniTabelle[count($queryCreazioniTabelle)] = "CREATE TABLE `geec_elementiDashboard` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `idDashboard` INT (11) NOT NULL ,
        `nome` VARCHAR (255) NOT NULL ,
        `classe` VARCHAR (255) NOT NULL ,
        `etichetta` VARCHAR (255) NOT NULL ,
        `icona` VARCHAR (255) NOT NULL ,
        `tabella` VARCHAR (255) NOT NULL ,
        `tipoUtente` VARCHAR (255) NOT NULL ,
        `dataCreazione` DATE NOT NULL,
        PRIMARY KEY (`id`)
        )";
    
    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_moduliRegistrazione VALUES
        (NULL,'Modulo registrazione 1','no','no','no','no','no','no','no','no','La tua registrazione è stata effettuata con successo<br>Grazie!');";

    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_componenti (`id`,`tipo`,`icona`,`nome`,`paginaGestione`,`tabellaRiferimento`,`script`) VALUES
        (NULL,'componenteDinamico','../template/img/componenti/icon_intestazione.svg','Intestazione','','',''),
        (NULL,'componenteDinamico','../template/img/componenti/icon_testo.svg','Testo','','',''),
        (NULL,'componenteDinamico','../template/img/componenti/icon_html.svg','Html','','',''),
        (NULL,'componenteDinamico','../template/img/componenti/icon_codice.svg','Includi codice', '','',''),
        (NULL,'componenteDinamico','../template/img/componenti/icon_immagine_a_tutta_larghezza.svg','Immagine','','',''),
        (NULL,'componenteDinamico','../template/img/componenti/icon_audio.svg','Audio','','',''),
        (NULL,'componenteDinamicoPagine','../template/img/componenti/icon_video.svg','Video', 'video','geec_video',''),
        (NULL,'componenteDinamicoPagine','../template/img/componenti/icon_risorse.svg','Risorse','visualizzatoreRisorse','geec_visualizzatoriRisorse',''),
        (NULL,'componenteDinamicoPagine','../template/img/componenti/icon_risorse.svg','Risorse private','visualizzatoreRisorsePrivate','geec_visualizzatoriRisorsePrivate','');";
    
    $dataCreazione = date("Y-m-d");
    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_pagine (`id`,`privata`,`titolo`,`descrizione`,`template`,`cssPersonalizzato`,`javascriptPersonalizzato`,`voceMenu`,`dataCreazione`) VALUES
        (NULL,'si','Home','','templateBase.php','','','no','$dataCreazione'),
        (NULL,'si','Profilo','','profilo.php','','','no','$dataCreazione'),
        (NULL,'si','Registrati','','registrazione.php','','','no','$dataCreazione'),
        (NULL,'si','Notifiche','','notifiche.php','','','no','$dataCreazione');";

    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO `geecAd_composizionePagine` (`id`, `idComponente`, `idPagina`, `idElemento`, `posizione`, `testo`, `codiceGenerato`,`script`) VALUES
(NULL, 2, 1, 0, 1,'<p>Questa &egrave; la home page di Geecom Admin. Per modificarla vai nella sezione pagine dalla tua area amministrativa, e clicca su home.</p>', '','');";

    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO `geecAd_leggeCookie` (`id`, `attivaBarraCookie`, `testoBarraCookie`, `headCodiciCookie`, `fineBodyCookie`, `testoPulsanteAccetto`, `testoPulsanteNonAccetto`, `testoPulsanteMaggioriInformazioni`, `mostraPulsanteNonAccetto`, `mostraPulsanteMaggioriInformazioni`, `paginaMaggioriInformazioni`) VALUES (NULL, 'si', 'Questo sito utilizza i cookies per migliorare la tua esperienza di naviagazione. Per maggiori informazioni consulta questa pagina:', '', '', 'Accetto', 'Non accetto', 'Maggiori informazioni', 'si', 'si',4);";

    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_login VALUES(NULL,0,0,'$dataCreazione');";
    
    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_etichette (`id`, `nome`, `tipo`, `dataCreazione`) VALUES(NULL,'Affitto','contabilita','$dataCreazione'),(NULL,'Bollette','contabilita','$dataCreazione'),(NULL,'Imposte e tasse','contabilita','$dataCreazione');";
    
    $queryDiConfigurazione[count($queryDiConfigurazione)] = "INSERT INTO geecAd_metodiPagamento (`id`, `nome`, `dataCreazione`) VALUES(NULL,'Bonifico','$dataCreazione'),(NULL,'Contanti','$dataCreazione'),(NULL,'Paypal','$dataCreazione');";

    /*
     * Iniziano ora le tabelle comuni a tutti gli altri componenti Geecom, verranno installate solo se
     * è il primo componente che si installa nel database
     */
    $queryTabelleComuni = array();
    
    /*
     * Tabella per l'immagazzinamento delle notifiche. Ogni notifica deve contenere
     *  - prodotto (Cms, Admin, Ask ecc)
     *  - tipo (notificaUtente o notificaAmministratore)
     *  idUtente (0 se si tratta di una notifica per amministratori)
     *  testo
     *  letta (vale si se è stata letta, altrimenti vale no)
     */ 
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_notifiche` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `prodotto` VARCHAR (255) NOT NULL,
        `tipo` VARCHAR (255) NOT NULL,
        `idUtente` INT( 11 ) NOT NULL,
        `testo` TEXT (65000) NOT NULL,
        `link` TEXT (65000) NOT NULL,
        `letta` VARCHAR (55) NOT NULL,
        `dataCreazione` DATETIME NOT NULL,
        PRIMARY KEY (`id`)
        )";
    
    //query per creare la tabella contenente i visualizzatori delle risorse
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_visualizzatoriRisorse` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR( 255 ) NOT NULL,
        `categoria` INT( 11 ) DEFAULT 0,
        `descrizione` VARCHAR( 255 ) DEFAULT '',
        `filtrabile` VARCHAR( 255 ) DEFAULT 'no',
        `aTuttaLarghezza` VARCHAR( 255 ) DEFAULT 'no',
        `senzaBordi` VARCHAR( 255 ) DEFAULT 'no',
        `classeElementi` VARCHAR( 255 ) DEFAULT 'portfolio col-sm-6 col-md-4',
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    //query per creare la tabella contenente i visualizzatori delle risorse
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_visualizzatoriRisorsePrivate` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR( 255 ) NOT NULL,
        `categoria` INT( 11 ) DEFAULT 0,
        `descrizione` VARCHAR( 255 ) DEFAULT '',
        `filtrabile` VARCHAR( 255 ) DEFAULT 'no',
        `aTuttaLarghezza` VARCHAR( 255 ) DEFAULT 'no',
        `senzaBordi` VARCHAR( 255 ) DEFAULT 'no',
        `classeElementi` VARCHAR( 255 ) DEFAULT 'portfolio col-sm-6 col-md-4',
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
    
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_impostazioniApp` (
        `id` int(11) NOT NULL AUTO_INCREMENT,
        `attivaApp` VARCHAR (255) NOT NULL,
        `nomeCompleto` VARCHAR (255) NOT NULL,
        `nomeAbbreviato` VARCHAR (255) NOT NULL,
        `icona48` VARCHAR (255) NOT NULL,
        `icona96` VARCHAR (255) NOT NULL,
        `icona144` VARCHAR (255) NOT NULL,
        `icona192` VARCHAR (255) NOT NULL,
        `icona512` VARCHAR (255) NOT NULL,
        `colore` VARCHAR (255) NOT NULL,
        PRIMARY KEY ( `id` )
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;";
        
    $queryTabelleComuni[count($queryTabelleComuni)] = "INSERT INTO `geec_impostazioniApp` (`id`, `attivaApp`, `nomeCompleto`, `nomeAbbreviato`, `icona48`, `icona96`, `icona144`, `icona192`, `icona512`, `colore`) "
                                                    . "VALUES (NULL, 'no','$titoloPiattaforma', '', 'immagini/altro/Geecom-icona-48.png', 'immagini/altro/Geecom-icona-96.png', 'immagini/altro/Geecom-icona-144.png', 'immagini/altro/Geecom-icona-192.png', 'immagini/altro/Geecom-icona-512.png', '');";
    
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_templateEmail` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR (255) NOT NULL ,
        `css` TEXT (65000) NOT NULL ,
        `corpoMail` TEXT (65000) NOT NULL ,
        `footerMail` TEXT (65000) NOT NULL ,
        PRIMARY KEY (`id`)
        )";
        
    $queryTabelleComuni[count($queryTabelleComuni)] = "INSERT INTO `geec_templateEmail` (`id`, `nome`, `css`, `corpoMail`, `footerMail`) "
            . "VALUES (NULL, '', '      /* -------------------------------------\r\n          GLOBAL RESETS\r\n      ------------------------------------- */\r\n      \r\n      /* Classi personalizzate da aggiungere qui*/\r\n      \r\n      img {\r\n        border: none;\r\n        -ms-interpolation-mode: bicubic;\r\n        max-width: 100%; \r\n      }\r\n\r\n      body {\r\n        background-color: #f6f6f6;\r\n        font-family: sans-serif;\r\n        -webkit-font-smoothing: antialiased;\r\n        font-size: 14px;\r\n        line-height: 1.4;\r\n        margin: 0;\r\n        padding: 0;\r\n        -ms-text-size-adjust: 100%;\r\n        -webkit-text-size-adjust: 100%; \r\n      }\r\n\r\n      table {\r\n        border-collapse: separate;\r\n        mso-table-lspace: 0pt;\r\n        mso-table-rspace: 0pt;\r\n        width: 100%; }\r\n        table td {\r\n          font-family: sans-serif;\r\n          font-size: 14px;\r\n          vertical-align: top; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          BODY E CONTAINER\r\n      ------------------------------------- */\r\n\r\n      .body {\r\n        background-color: #f6f6f6;\r\n        width: 100%; \r\n      }\r\n\r\n      .container {\r\n        display: block;\r\n        margin: 0 auto !important;\r\n        max-width: 580px;\r\n        padding: 10px;\r\n        width: 580px; \r\n      }\r\n\r\n      .content {\r\n        box-sizing: border-box;\r\n        display: block;\r\n        margin: 0 auto;\r\n        max-width: 580px;\r\n        padding: 10px; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          HEADER, FOOTER, MAIN\r\n      ------------------------------------- */\r\n      .main {\r\n        background: #ffffff;\r\n        border-radius: 3px;\r\n        width: 100%; \r\n      }\r\n\r\n      .wrapper {\r\n        box-sizing: border-box;\r\n        padding: 20px; \r\n      }\r\n\r\n      .content-block {\r\n        padding-bottom: 10px;\r\n        padding-top: 10px;\r\n      }\r\n\r\n      .footer {\r\n        clear: both;\r\n        margin-top: 10px;\r\n        text-align: center;\r\n        width: 100%; \r\n      }\r\n        .footer td,\r\n        .footer p,\r\n        .footer span,\r\n        .footer a {\r\n          color: #999999;\r\n          font-size: 12px;\r\n          text-align: center; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          TIPOGRAFIA E LETTERING\r\n      ------------------------------------- */\r\n      h1,\r\n      h2,\r\n      h3,\r\n      h4 {\r\n        color: #000000;\r\n        font-family: sans-serif;\r\n        font-weight: 400;\r\n        line-height: 1.4;\r\n        margin: 0;\r\n        margin-bottom: 30px; \r\n      }\r\n\r\n      h1 {\r\n        font-size: 35px;\r\n        font-weight: 300;\r\n        text-align: center;\r\n        text-transform: capitalize; \r\n      }\r\n\r\n      p,\r\n      ul,\r\n      ol {\r\n        font-family: sans-serif;\r\n        font-size: 14px;\r\n        font-weight: normal;\r\n        margin: 0;\r\n        margin-bottom: 15px; \r\n      }\r\n        p li,\r\n        ul li,\r\n        ol li {\r\n          list-style-position: inside;\r\n          margin-left: 5px; \r\n      }\r\n\r\n      a {\r\n        color: #018394;\r\n        text-decoration: underline; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          PULSANTI\r\n      ------------------------------------- */\r\n      .btn {\r\n        box-sizing: border-box;\r\n        width: 100%; }\r\n        .btn > tbody > tr > td {\r\n          padding-bottom: 15px; }\r\n        .btn table {\r\n          width: auto; \r\n      }\r\n        .btn table td {\r\n          background-color: #ffffff;\r\n          border-radius: 5px;\r\n          text-align: center; \r\n      }\r\n        .btn a {\r\n          background-color: #ffffff;\r\n          border: solid 1px #018394;\r\n          border-radius: 5px;\r\n          box-sizing: border-box;\r\n          color: #018394;\r\n          cursor: pointer;\r\n          display: inline-block;\r\n          font-size: 14px;\r\n          font-weight: bold;\r\n          margin: 0;\r\n          padding: 12px 25px;\r\n          text-decoration: none;\r\n          text-transform: capitalize; \r\n      }\r\n\r\n      .btn-primary table td {\r\n        background-color: #018394; \r\n      }\r\n\r\n      .btn-primary a {\r\n        background-color: #018394;\r\n        border-color: #018394;\r\n        color: #ffffff; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          ALTRI STILI UTILI\r\n      ------------------------------------- */\r\n      .last {\r\n        margin-bottom: 0; \r\n      }\r\n\r\n      .first {\r\n        margin-top: 0; \r\n      }\r\n\r\n      .align-center {\r\n        text-align: center; \r\n      }\r\n\r\n      .align-right {\r\n        text-align: right; \r\n      }\r\n\r\n      .align-left {\r\n        text-align: left; \r\n      }\r\n\r\n      .clear {\r\n        clear: both; \r\n      }\r\n\r\n      .mt0 {\r\n        margin-top: 0; \r\n      }\r\n\r\n      .mb0 {\r\n        margin-bottom: 0; \r\n      }\r\n\r\n      .preheader {\r\n        color: transparent;\r\n        display: none;\r\n        height: 0;\r\n        max-height: 0;\r\n        max-width: 0;\r\n        opacity: 0;\r\n        overflow: hidden;\r\n        mso-hide: all;\r\n        visibility: hidden;\r\n        width: 0; \r\n      }\r\n\r\n      .powered-by a {\r\n        text-decoration: none; \r\n      }\r\n\r\n      hr {\r\n        border: 0;\r\n        border-bottom: 1px solid #f6f6f6;\r\n        margin: 20px 0; \r\n      }\r\n\r\n      /* -------------------------------------\r\n          STILI RESPONSIVE E MOBILE FRIENDLY \r\n      ------------------------------------- */\r\n      @media only screen and (max-width: 620px) {\r\n        table[class=body] h1 {\r\n          font-size: 28px !important;\r\n          margin-bottom: 10px !important; \r\n        }\r\n        table[class=body] p,\r\n        table[class=body] ul,\r\n        table[class=body] ol,\r\n        table[class=body] td,\r\n        table[class=body] span,\r\n        table[class=body] a {\r\n          font-size: 16px !important; \r\n        }\r\n        table[class=body] .wrapper,\r\n        table[class=body] .article {\r\n          padding: 10px !important; \r\n        }\r\n        table[class=body] .content {\r\n          padding: 0 !important; \r\n        }\r\n        table[class=body] .container {\r\n          padding: 0 !important;\r\n          width: 100% !important; \r\n        }\r\n        table[class=body] .main {\r\n          border-left-width: 0 !important;\r\n          border-radius: 0 !important;\r\n          border-right-width: 0 !important; \r\n        }\r\n        table[class=body] .btn table {\r\n          width: 100% !important; \r\n        }\r\n        table[class=body] .btn a {\r\n          width: 100% !important; \r\n        }\r\n        table[class=body] .img-responsive {\r\n          height: auto !important;\r\n          max-width: 100% !important;\r\n          width: auto !important; \r\n        }\r\n      }\r\n\r\n      /* -------------------------------------\r\n          PRESERVA STILI HEAD\r\n      ------------------------------------- */\r\n      @media all {\r\n        .ExternalClass {\r\n          width: 100%; \r\n        }\r\n        .ExternalClass,\r\n        .ExternalClass p,\r\n        .ExternalClass span,\r\n        .ExternalClass font,\r\n        .ExternalClass td,\r\n        .ExternalClass div {\r\n          line-height: 100%; \r\n        }\r\n        .apple-link a {\r\n          color: inherit !important;\r\n          font-family: inherit !important;\r\n          font-size: inherit !important;\r\n          font-weight: inherit !important;\r\n          line-height: inherit !important;\r\n          text-decoration: none !important; \r\n        }\r\n        #MessageViewBody a {\r\n          color: inherit;\r\n          text-decoration: none;\r\n          font-size: inherit;\r\n          font-family: inherit;\r\n          font-weight: inherit;\r\n          line-height: inherit;\r\n        }\r\n        .btn-primary table td:hover {\r\n          background-color: #016c7a !important; \r\n        }\r\n        .btn-primary a:hover {\r\n          background-color: #016c7a !important;\r\n          border-color: #016c7a !important; \r\n        } \r\n      }', '<span class=\"preheader\">This is preheader text. Some clients will show this text as a preview.</span>\r\n    <table role=\"presentation\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\">\r\n      <tr>\r\n        <td>&nbsp;</td>\r\n        <td class=\"container\">\r\n          <div class=\"content\">\r\n\r\n            <!-- START CONTAINER BIANCO CENTRATO -->\r\n            <table role=\"presentation\" class=\"main\">\r\n\r\n              <!-- START AREA MAIN CONTENT -->\r\n              <tr>\r\n                <td class=\"wrapper\">\r\n                  <table role=\"presentation\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n					<tr>\r\n					  	<td align=\"center\">\r\n							<img src=\"$urlPiattaforma/template/logo.svg\" alt=\"Geecom\" width=\"220\" height=\"65\" border=\"0\" style=\"border:0; outline:none; text-decoration:none; display:block;\">  \r\n						</td>\r\n					</tr>\r\n					  <tr>\r\n					  	<td>&nbsp;</td>\r\n					  </tr>\r\n                    <tr>\r\n                      <td>___corpoTesto___<table role=\"presentation\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"btn btn-primary\">\r\n                          <tbody>\r\n                            <tr>\r\n                              <td align=\"left\">\r\n                                <table role=\"presentation\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n                                  <tbody>\r\n                                    <tr>\r\n </tr>\r\n                                  </tbody>\r\n                                </table>\r\n                              </td>\r\n                            </tr>\r\n                          </tbody>\r\n                        </table>\r\n                        <p>Esistono innumerevoli variazioni dei passaggi del Lorem Ipsum.</p>\r\n                        <p>Lorem ipsum dolor.</p>\r\n                      </td>\r\n                    </tr>\r\n                  </table>\r\n                </td>\r\n              </tr>\r\n\r\n            <!-- FINE AEREA MAIN CONTENT -->\r\n            </table>\r\n            <!-- FINE CONTAINE BIANCO CENTRATO -->', '<div class=\"footer\">\r\n              <table role=\"presentation\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n                <tr>\r\n                  <td class=\"content-block\">\r\n                    <span class=\"apple-link\">Geecom Ltd, Via, Città 00111</span>\r\n</td>\r\n                </tr>\r\n                <tr>\r\n                  <td class=\"content-block powered-by\">\r\n  </td>\r\n                </tr>\r\n              </table>\r\n            </div>\r\n');";
    
    /*
     * query creazione tabella per memorizzare le configurazioni del colore
     */
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_configurazioniAspetto` (
        `id` int(11) NOT NULL AUTO_INCREMENT,
        `nome` VARCHAR (255) NOT NULL,
        `descrizione` VARCHAR (255) NOT NULL,
        `selezionataCms` VARCHAR (255) NOT NULL,
        `selezionataAdmin` VARCHAR (255) NOT NULL,
        `logo` VARCHAR (255) NOT NULL,
        `favicon` VARCHAR (255) NOT NULL,
        `sfondoBarraMenu` VARCHAR (255) NOT NULL,
        `coloreTestoBarraMenu` VARCHAR (255) NOT NULL,
        `linkFont` VARCHAR (255) NOT NULL,
        `fontIntestazioni` VARCHAR (255) NOT NULL,
        `fontTesti` VARCHAR (255) NOT NULL,
        `colorePrimario` VARCHAR (255) NOT NULL,
        `coloreSecondario` VARCHAR (255) NOT NULL,
        `coloreSuccess` VARCHAR (255) NOT NULL,
        `coloreInfo` VARCHAR (255) NOT NULL,
        `coloreLight` VARCHAR (255) NOT NULL,
        `coloreDark` VARCHAR (255) NOT NULL,
        `coloreWarning` VARCHAR (255) NOT NULL,
        `coloreDanger` VARCHAR (255) NOT NULL,
        `colorePrimarioHover` VARCHAR (255) NOT NULL,
        `coloreSecondarioHover` VARCHAR (255) NOT NULL,
        `coloreSuccessHover` VARCHAR (255) NOT NULL,
        `coloreInfoHover` VARCHAR (255) NOT NULL,
        `coloreLightHover` VARCHAR (255) NOT NULL,
        `coloreDarkHover` VARCHAR (255) NOT NULL,
        `coloreWarningHover` VARCHAR (255) NOT NULL,
        `coloreDangerHover` VARCHAR (255) NOT NULL,
        `colorePrimarioActive` VARCHAR (255) NOT NULL,
        `coloreSecondarioActive` VARCHAR (255) NOT NULL,
        `coloreSuccessActive` VARCHAR (255) NOT NULL,
        `coloreInfoActive` VARCHAR (255) NOT NULL,
        `coloreLightActive` VARCHAR (255) NOT NULL,
        `coloreDarkActive` VARCHAR (255) NOT NULL,
        `coloreWarningActive` VARCHAR (255) NOT NULL,
        `coloreDangerActive` VARCHAR (255) NOT NULL,
        `breakingPointsXs` VARCHAR (255) NOT NULL,
        `breakingPointsMd` VARCHAR (255) NOT NULL,
        `breakingPointsLg` VARCHAR (255) NOT NULL,
        `breakingPointsXl` VARCHAR (255) NOT NULL,
        PRIMARY KEY ( `id` )
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;";
    
    // query per inserire le configurazioni dell'aspetto: logo, colori e altre impostazioni
    $queryTabelleComuni[count($queryTabelleComuni)] = "INSERT INTO `geec_configurazioniAspetto`  
        VALUES (1, 'Configurazione di base','Stai usando la configurazione predefinita dei colori di Geecom','no', 'si', 'template/logo.svg','template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap','\'Raleway\', sans-serif;','\'Roboto\', sans-serif;', '#018394', '#dd3b15', '#28a745', '#335C67', '#f8f9fa', '#0d1b1e', '#f7a616', '#dc3545','#016c7a', '#b53112', '#218838', '#2f5453', '#e2e6ea', '#0c191c','#cb8813', '#c82333','#01606c', '#a12b10', '#1e7e34','#2a4c55', '#dae0e5', '#0b1719', '#b47b11', '#bd2130','576px', '768px', '992px', '1200px'),
        (2, 'Monocromo Verde', 'Stai usando la configurazione Monocromo Verde, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logoverde.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '   \'Raleway\', sans-serif;   ', '    \'Roboto\', sans-serif;    ', '#00a86b', '#6bbf59', '#4cb944', '#095256', '#f6f8ff', '#073b3a', '#f6ae2d', '#ed1c24', '#17af78', '#78c468', '#5cbf55', '#1f6165', '#fefeff', '#1d4c4b', '#f6b540', '#ee3037', '#009962', '#62ae51', '#46a93e', '#094b4f', '#ebebeb', '#073635', '#e09f29', '#d81a21', '576px','768px', '992px', '1200px'),
        (3, 'Monocromo Rosso', 'Stai usando la configurazione Monocromo Rosso, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logorosso.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '    \'Raleway\', sans-serif;    ', '     \'Roboto\', sans-serif;     ', '#ff0800', '#a31621', '#4cb944', '#1f7a8c', '#fdfffc', '#020100', '#ffba08', '#ed1c24', '#ff1e17', '#ab2b35', '#5cbf55', '#338696', '#fefeff', '#191817', '#ffc01e', '#ee3037', '#e80800', '#95141e', '#46a93e', '#1d6f80', '#ebebeb', '#010100', '#e8aa08', '#d81a21', '576px', '768px', '992px', '1200px'),
        (4, 'Monocromo Nero', 'Stai usando la configurazione Monocromo Nero, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logonero.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '     \'Raleway\', sans-serif;     ', '      \'Roboto\', sans-serif;      ', '#000f08', '#637074', '#4cb944', '#90a9b7', '#fcfcfc', '#000000', '#f9c22e', '#f22b29', '#17241e', '#717d80', '#5cbf55', '#9ab0b9', '#ffffff', '#191817', '#f9c741', '#f33e3c', '#000022', '#5a666a', '#46a93e', '#839aa7', '#e7e8e7', '#000000', '#e3b12a', '#dc2826', '576px', '768px', '992px', '1200px'),
        (5, 'Monocromo Blu', 'Stai usando la configurazione Monocromo Blu, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logoblu.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '      \'Raleway\', sans-serif;      ', '       \'Roboto\', sans-serif;       ', '#1034a6', '#052f5f', '#60992d', '#81a4cd', '#f0f1ee', '#0d1317', '#ffc857', '#d62839', '#2546ae', '#1b416d', '#6ea240', '#8cacd1', '#fcfcfb', '#23282c', '#ffcd66', '#d93b4b', '#0f3097', '#052b57', '#588c29', '#7696bb', '#e0e2db', '#0b1013', '#e8b650', '#c32534', '576px', '768px', '992px', '1200px'),
        (6, 'Monocromo Giallo', 'Stai usando la configurazione Monocromo Giallo, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logogiallo.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '\'Raleway\', sans-serif;', '\'Roboto\', sans-serif;  ', '#ffa900', '#d84a05', '#4cb944', '#335c67', '#fcfcfb', '#220901', '#eecf6d', '#990033', '#ffb017', '#db5a1b', '#5cbf55', '#456a74', '#fefefe', '#361f18', '#efd37a', '#a21745', '#e89a00', '#c54405', '#46a93e', '#2f545e', '#e6e6e5', '#1f0901', '#d9bd64', '#8c002f', '576px', '768px', '992px', '1200px'),
        (7, 'Monocromo Viola', 'Stai usando la configurazione Monocromo Viola, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logoviola.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '  \'Raleway\', serif;  ', '  \'Roboto\', sans-serif;  ', '#6457a6', '#afa2ff', '#679436', '#cfb3cd', '#f2f6fb', '#0c0f0a', '#ffe347', '#990033', '#7266ae', '#b6aaff', '#749d48', '#d3b9d1', '#f5f9fc', '#222420', '#ffe557', '#a21745', '#5b5097', '#a094e8', '#5e8732', '#bda3bb', '#d6dce4', '#0b0e0a', '#e8cf41', '#8c002f', '576px', '768px', '992px', '1200px'),
        (8, 'Monocromo Arancio', 'Stai usando la configurazione Monocromo Arancio, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logoarancio.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '\'Raleway\', sans-serif; ', '\'Roboto\', sans-serif;   ', '#ff4f00', '#ff9505', '#9bc53d', '#197278', '#fffffc', '#000000', '#f7cb15', '#a30000', '#ff5f17', '#ff9e1b', '#a4ca4e', '#2d7e84', '#ffffff', '#000000', '#f7cf2a', '#ab1717', '#e84800', '#e88805', '#8db438', '#17686e', '#e8e8e6', '#000000', '#e1b914', '#950000', '576px','768px', '992px', '1200px'),
        (9, 'Monocromo Acqua', 'Stai usando la configurazione Monocromo Acqua, una delle configurazioni fornite al momento dell\'instalazione','no', 'no','immagini/altro/logoacqua.svg', 'template/favicon.ico', 'bg-light', 'navbar-light', 'https://fonts.googleapis.com/css?family=Raleway:400,700|Roboto:300,400,700&display=swap', '  \'Raleway\', sans-serif;  ', '  \'Roboto\', sans-serif;    ', '#1ca9c9', '#086788', '#3ec300', '#4e4d5c', '#fff9ed', '#011627', '#f0c808', '#dd1c1a', '#30b0cd', '#086788', '#4fc817', '#5e5d6a', '#fffdfa', '#182b3a', '#f1cd1e', '#e0302e', '#1a9ab7', '#075570', '#39b200', '#40404c', '#e8dcbe', '#011424', '#dbb608', '#c91a18', '576px','768px', '992px', '1200px')";

    //query per creare la tabella categorie
    $queryTabelleComuni[count($queryTabelleComuni)] = "CREATE TABLE `geec_categorie` (
        `id` INT( 11 ) NOT NULL AUTO_INCREMENT,
        `categoriaMadre` INT( 11 ) NOT NULL,
        `tipo` VARCHAR( 45 ) NOT NULL ,
        `nome` VARCHAR( 255 ) NOT NULL ,
        `alias` VARCHAR( 255 ) NOT NULL ,
        `descrizione` VARCHAR( 255 ) NOT NULL ,
        `tipoVisualizzazione` VARCHAR( 255 ) NOT NULL ,
        `numeroArticoliPerPagina` INT( 11 ),
        `posizione` SMALLINT( 6 ),
        `ordinamento` VARCHAR( 255 ),
        `dataCreazione` DATE NOT NULL ,
        PRIMARY KEY ( `id` )
        ) ENGINE=InnoDB DEFAULT CHARACTER SET=utf8;";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>Installazione di Geecom Admin</title>

    <!-- Bootstrap -->
    <link href="../template/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <script src="../template/js/respond.min.js"></script>
    <script src="../template/js/css3-mediaqueries.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
    <link href="../template/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- stile custom per il backend --> 
    <link href="../template/css/custom_backend.css" rel="stylesheet">


</head>

<body>

<div id="wrap">
    
    <!-- barra superiore -->
	<div id="barraSuperiore" class="row">
    </div>
    <!-- /barra superiore -->
    
    <!-- area centrale  -->
    <div id="installazione" class="container">
        <div id="areaCentrale" class="col-lg-7 col-md-8 col-sm-10 col-centered">
            <div class="row">
                <img class="center-block" src="../template/img/geecom.png" width="208" height="100" />
            </div>
            <div class="intestazione row">
                Installazione di Geecom Admin
            </div>
           
           <?php
                //esegue in blocco le query che creano le tabelle del database
		$geecomDb->eseguiInsiemeDiQuery($queryCreazioniTabelle);
		echo"<p class=\"alert alert-success\">Creazione tabelle completata</p>";
		$data = date("Y-m-d");
		$queryCreazioneTabellaFooter = "INSERT INTO geecAd_footer VALUES (NULL,'italiano','Personalizza il footer dall\'area amministrativa','')";
		$geecomDb->eseguiQueryScrittura($queryCreazioneTabellaFooter);

                if($attivaContabilita=="si") {
                    $idGruppoClienti = $geecomDb->eseguiQueryCreazione("INSERT INTO geecAd_gruppi VALUES(NULL,'Clienti','','$dataCreazione')");
                    $idGruppoFornitori = $geecomDb->eseguiQueryCreazione("INSERT INTO geecAd_gruppi VALUES(NULL,'Fornitori','','$dataCreazione')");
                    $queryInizializzazioneImpostazioni = "INSERT INTO geecAd_impostazioni VALUES (NULL,'template/logo.svg','media','Area riservata','','no','','no',2,1,4,'$titoloPiattaforma','$urlPiattaforma','','','','',0,'','','accesso disattivato dall\'amministratore','no',0,'no',0,'no',0,'no','','','','','','','','','','','','$attivaContabilita','$tipoContabilita',0,'',$idGruppoClienti,$idGruppoFornitori)";
                }
                else {
                    $queryInizializzazioneImpostazioni = "INSERT INTO geecAd_impostazioni VALUES (NULL,'template/logo.svg','media','Area riservata','','no','','no',2,1,4,'$titoloPiattaforma','$urlPiattaforma','','','','',0,'','','accesso disattivato dall\'amministratore','no',0,'no',0,'no',0,'no','','','','','','','','','','','','$attivaContabilita','$tipoContabilita',0,'',0,0)";
                }
		$geecomDb->eseguiQueryScrittura($queryInizializzazioneImpostazioni);
		
		//crea le voci di menu
		$queryInserimentoVociMenu = "INSERT INTO geecAd_vociMenu (`id`,`nome`,`icona`,`tipo`,`tagSottomenu`,`link`,`posizione`,`gruppoSpecifico`) VALUES
		(NULL,'Home','','link','','pagina.php?id=1',1,0),
		(NULL,'Comunicazioni','','link','','comunicazioni.php?tipo=comunicazione',2,0),
		(NULL,'Segnalazioni','','link','','comunicazioni.php?tipo=segnalazione',3,0),
		(NULL,'Ticket','','link','','comunicazioni.php?tipo=ticket',4,0);";
		$geecomDb->eseguiQueryScrittura($queryInserimentoVociMenu);
		
		$queryCreazioneAdmin = "INSERT INTO geecAd_admin VALUES(NULL,'$email','$nome','$password','super admin','attivo')";
		$geecomDb->eseguiQueryScrittura($queryCreazioneAdmin);
		echo"<p class=\"alert alert-success\">Utente amministratore creato</p>";

		//se questo è il primo prodotto geecom installato sul db verrà creata anche la tabella geec_prodotti
		if(!isset($_SESSION["altriProdotti"])) { //se la sessione non è stata settata non ci sono altri prodotti Geecom
                    $queryCreazioneTabellaProdotti = "CREATE TABLE `geec_prodotti` (
                            `id` INT( 11 ) NOT NULL AUTO_INCREMENT ,
                            `nome` VARCHAR( 255 ) NOT NULL ,
                            `installato` VARCHAR( 255 ) NOT NULL ,
                            `versione` VARCHAR( 255 ) NOT NULL,
                            `percorso` VARCHAR( 255 ) NOT NULL,
                            PRIMARY KEY ( `id` )
                        )";

                    $geecomDb->eseguiQueryScrittura($queryCreazioneTabellaProdotti);
                    echo"<p class=\"alert alert-success\">Tabella base geecom creata</p>";

                    //vengono inseriti i prodotti geecom nella tabella geec_prodotti e verrà attivato il prodotto che si
                    //sta installando ora, in questo caso geecom blog
                    $queryInserimentoProdotti = "INSERT INTO geec_prodotti (`id`,`nome`,`installato`,`versione`,`percorso`) VALUES
                    (NULL,'Cms','no','',''),
                    (NULL,'Admin','si','{$infoGeecom["versione"]}','$nomeCartellaAmministrazione'),
                    (NULL,'Doc','no','',''),
                    (NULL,'Ask','no','','');";
                    $geecomDb->eseguiQueryScrittura($queryInserimentoProdotti);
                                        
                    $geecomDb->eseguiInsiemeDiQuery($queryTabelleComuni);
                    echo"<p class=\"alert alert-success\">Creazione tabelle comuni completata</p>";
		}
		else {
                    $arrayUrl = explode("/",$urlPiattaforma);
                    $cartella = $arrayUrl[count($arrayUrl)-1];
                    
                    //attiva geecom admin nella tabella dei prodotti
                    $queryModificaProdottoAdmin = "UPDATE geec_prodotti SET installato='si', versione='Geecom Admin 3.7.5', percorso = '$cartella/$nomeCartellaAmministrazione' WHERE nome LIKE 'Admin'";
                    $geecomDb->eseguiQueryScrittura($queryModificaProdottoAdmin);
                    
                    //modifica il percorso delle altri prodotti Geecom
                    $queryModificaProdotti = "UPDATE geec_prodotti SET percorso = CONCAT('../',percorso) WHERE nome NOT LIKE 'Admin' AND installato LIKE 'si'";
                    $geecomDb->eseguiQueryScrittura($queryModificaProdotti);
                    
                    $queryAggiornamentoConfigurazioneAspetto = "UPDATE geec_configurazioniAspetto SET selezionataAdmin='si' WHERE selezionataCms LIKE 'si'";
                    $geecomDb->eseguiQueryScrittura($queryAggiornamentoConfigurazioneAspetto);
                    echo"<p class=\"alert alert-success\">Tabella base geecom aggiornata con le informazioni di Geecom Admin</p>";
		}
		
		$geecomDb->eseguiInsiemeDiQuery($queryDiConfigurazione);
		echo"<p class=\"alert alert-success\">Configurazione tabelle completata</p>";
                
		echo"<p class=\"alert alert-success\">Installazione terminata!</p>";
   	?>
            <div class="row">
                <div class="text-center">
                    <button type="button" class="btn btn-success" onclick={location.href="../amministrazione"}>Vai all'area amministrativa<a></button>
                </div>          
            </div>
            
            <hr>
            <div class="intestazione row text-center">
                <b>Impara ad usare Geecom con le risorse gratuite a disposizione! </b>
            </div>
              
            <div class="row">
               <div class="col-xs-12 col-sm-6 text-center extraspace-bottom">
                    <a href="https://www.geecom.org/index.php?id=103&alias=guarda-il-videocorso-gratuito!" target="_blank"> <i class="fa fa-youtube-play fa-2x extraspace-top"></i><br>Guarda i video su <strong>Geecomuser</strong>.</a>
                </div>          
                <div class="col-xs-12 col-sm-6 text-center">
                    <a href="https://www.geecom.org/scaricaFile.php?id=2"> <i class="fa fa-file-text-o fa-2x extraspace-top"></i><br>Scarica il <strong>manuale</strong> di Geecom! </a>
                </div> 
            </div>

        </div>

    </div>
</div>
<!-- /area centrale  -->
    

</div>
    
    <!-- footer -->
    <div id="footer">
      <div class="container">
        <p class="text-muted text-center"><?php echo($infoGeecom["versione"]); ?></p>
      </div>
    </div>
    <!-- /footer -->

<!-- javascript -->
	<script src="http://code.jquery.com/jquery-latest.min.js"></script>
    <script src="template/js/bootstrap.min.js"></script>
    
  <!-- abilita popover -->
	<script type="text/javascript">  
		$(document).ready(function(){
			$("[rel=tooltip]").tooltip({ placement: 'bottom'});
		}); 
	</script> 
</body>
</html>
<?php
    session_destroy();
