<?php 
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "costanti.php";
    include "gUtil/DbManager.php";
    include "gUtil/Ricerca.php";
    include "gUtil/GeneratoreForm.php";
    include "classi/GestoreJavascript.php";
    include "template/include/includeClassiTemplate.php";
    include "template/stile.php";
    include "util.php";

    //i dati del database sono definiti nel file costanti.php
    $geecomDb = new DbManager($costantiDatabase);		
    $gestoreJavascript = new GestoreJavascript();
    
    $impostazioni = recuperaImpostazioni($geecomDb);
    $configurazioneAspetto = $geecomDb->leggiSingolaRiga("geec_configurazioniAspetto", "si","selezionataAdmin");
    
    if(isset($_GET["id"]) && is_numeric($_GET["id"])) { //se il campo passato in input è effettivamente un numero allora fa la query
        $idArticolo = $_GET["id"];

        //prende i dati dell'articolo
        $queryArticoli = "SELECT * FROM geecAd_pagine WHERE id=$idArticolo";
        $risArticoli = $geecomDb->eseguiQueryLettura($queryArticoli);
        $pagina = $risArticoli->fetch_assoc();
    }
    
    //controllo login, in questo file viene creata una sessione
    include "include/controlloLogin.php"; 
?>
<html>

<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta name="generator" content="Geecom Admin"/>
    <title><?php echo $impostazioni["titoloPiattaforma"]; ?></title>

    <!-- Favicon-->
    <link rel="icon" href="favicon.ico" type="image/x-icon">
	
    <?php
        include "include/includeCssBase.php";
    ?>
    <link rel="stylesheet" href="plugins/OwlCarousel2/assets/owl.carousel.min.css">
</head>

<body>
    <?php 
        include"template/include/leggeCookie.php"; 
        include "template/include/templatePagina/{$pagina["template"]}";

        if($impostazioni["accessoFacebook"]=="si") {
            include "include/facebookSdk.php";
        }

        include"include/includeJsBase.php"; 
        include"template/include/includeJsTemplate.php"; 
    ?>
</body>

</html>
