<?php
    /*
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom

    */  
?>
    <div class="wrapper">
        <?php
            include "template/include/menuPrincipale.php";
        ?>

        <!-- Contenuto principale  -->
        <div id="content" class="p-0 extramargin d-flex flex-column">
               <div class="page-wrapper">
		<?php
                    include "template/include/barraSuperiore.php";
		?>
		<main class="py-4">
                    <div class="container">
		    	<?php
                            $queryComponentiDaMostrare = "SELECT c.id, cm.nome, c.testo, c.posizione FROM geecAd_composizionePagine AS c JOIN geecAd_componenti AS cm ON c.idComponente=cm.id WHERE idPagina={$pagina["id"]} ORDER BY c.posizione ASC";
                            $risComponenti = $geecomDb->eseguiQueryLettura($queryComponentiDaMostrare);
                            while($componente = $risComponenti->fetch_assoc()) { 
                                if($componente["nome"]=="Intestazione") {
                                    stampaIntestazione($componente);
                                }
                                else if($componente["nome"]=="Testo") {
                                    stampaTesto($componente);
                                }
                                if($componente["nome"]=="Html") {
                                    stampaCodiceHtml($componente);
                                }
                                if($componente["nome"]=="Immagine") {
                                    stampaImmagine($componente);
                                }
                                if($componente["nome"]=="Includi codice") {
                                    includiCodice($componente);
                                }
                            }
	    		?>

                        <div class="container">	
                            <div class="row">
                                <div class="col-lg-8 col-xl-6 mx-auto">
                                    <h2 class="page-title">Notifiche </h2>
                                    <?php 
                                        $ricerca = new Ricerca($geecomDb, "geec_notifiche", 25, array("idUtente"=>$_SESSION["geecomUser_id"]), "", "");
                                        $ricerca->setOrdinamento(" ORDER BY id DESC");
                                        $ris     = $ricerca->eseguiRicerca(1);
                                        if($ris->num_rows==0) {
                                            echo"<div class=\"alert card\" role=\"alert\">
                                                Non sono presenti notifiche al momento
                                            </div>";
                                        }
                                        else {
                                            while($notifica = $ris->fetch_assoc()) {
                                                $dataCreazione = date("d/m/Y H:i:s",strtotime($notifica["dataCreazione"]));
                                                echo"<div class=\"alert card alert-dismissible fade show\" role=\"alert\">
                                                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\">
                                                        <span aria-hidden=\"true\">&times;</span>
                                                    </button>
                                                    <p>{$notifica["testo"]}</p>";
                                                    if($notifica["link"]!="") {
                                                        echo"<a class=\"btn btn-outline-primary btn-sm\" href=\"{$notifica["link"]}\">Vedi</a>";
                                                    }
                                                    echo"<hr>
                                                    <p class=\"small mb-0 text-right\"><i class=\"far fa-clock mr-2\"></i>$dataCreazione</p>
                                                </div>";
                                            }
                                        }
                                        
                                        // setto le notifiche di questo utente come lette, assumo che se una persona va nella pagina delle notifiche 
                                        $queryNotificheLette = "UPDATE geec_notifiche SET letta='si' WHERE idUtente = {$_SESSION["geecomUser_id"]}";
                                        $geecomDb->eseguiQueryLettura($queryNotificheLette);
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
		 </main>
	    </div>
	    <?php
                include "template/include/footer.php";
	    ?>
        </div>
    </div>