<?php
    /**
    *
    * copyright (c) 2013-2020 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    function creaMenuAdmin($prefisso,$db) {
        $impostazioni = recuperaImpostazioni($db);
        
        echo"<ul class=\"nav navbar-nav\">\n
            <li><a href=\"".$prefisso."home.php\"><span class=\"glyphicon glyphicon-home\"></span></a></li>\n
            <li><a href=\"".$prefisso."impostazioni.php\">Impostazioni</a></li>\n
            <li><a href=\"".$prefisso."statistiche.php\">Statistiche</a></li>\n
            <li><a href=\"".$prefisso."gestioneMenu.php\">Menu</a></li>\n
            <li><a href=\"".$prefisso."gestionePagine.php\">Pagine</a></li>\n
            <li class=\"dropdown\">
                <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">Utenti <b class=\"caret\"></b></a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"".$prefisso."gestioneAmministratori.php\">Amministratori</a></li>\n
                    <li><a href=\"".$prefisso."gestioneUtenti.php\">Utenti</a></li>\n
                    <li><a href=\"".$prefisso."gestioneGruppi.php\">Gruppi</a></li>\n
                </ul>
            </li>
            <li class=\"dropdown\">
                <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">Comunicazioni <b class=\"caret\"></b></a>
                    <ul class=\"dropdown-menu\">
                        <li><a href=\"".$prefisso."gestioneComunicazioni.php?tipo=comunicazione\">Comunicazioni</a></li>\n
                        <li><a href=\"".$prefisso."gestioneComunicazioni.php?tipo=segnalazione\">Segnalazioni</a></li>\n
                        <li><a href=\"".$prefisso."gestioneComunicazioni.php?tipo=ticket\">Ticket</a></li>\n
                    </ul>
            </li>";
        
        if($impostazioni["attivaContabilita"]=="si") {
            echo"<li class=\"dropdown\">
                <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">Contabilità <b class=\"caret\"></b></a>
                    <ul class=\"dropdown-menu\">
                        <li><a href=\"".$prefisso."riepilogoContabilita.php\">Riepilogo</a></li>\n
                        <li><a href=\"".$prefisso."primaNota.php\">Prima nota</a></li>\n
                        <li><a href=\"".$prefisso."ricevute.php\">Ricevute </a></li>\n
                        <li><a href=\"".$prefisso."fatture.php\">Fatture </a></li>\n
                        <li><a href=\"".$prefisso."preventivi.php\">Preventivi</a></li>\n
                    </ul>
            </li>";
        }
            echo"<li><a href=\"".$prefisso."gestioneRisorse.php\">Risorse</a></li>\n";
      
            $queryComponente = "SELECT * FROM geecAd_componenti WHERE nome LIKE 'Labor'";
            $risEcommerce    = $db->eseguiQueryLettura($queryComponente);
            if($risEcommerce->num_rows>0) {
                echo"<li><a href=\"".$impostazioni["urlPiattaforma"]."/componenti/labor\">Labor</a></li>\n";
            }
            
            $queryComponenti = "SELECT * FROM geecAd_componenti WHERE tipo LIKE 'interno' OR tipo LIKE 'esterno' OR tipo LIKE 'componenteDinamicoPagine' ORDER BY nome ASC";
            $risComponenti = $db->eseguiQueryLettura($queryComponenti);

            echo"<li class=\"dropdown\">
             <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">Componenti <b class=\"caret\"></b></a>
               <ul class=\"dropdown-menu\">";
               if($risComponenti->num_rows==0) {
                echo"<li><a href=\"#\">Nessun componente installato</a></li>";
               }
               else {
                    while($componente = $risComponenti->fetch_assoc()) {
                        echo"<li><a href=\"{$impostazioni["urlPiattaforma"]}/componenti/{$componente["paginaGestione"]}\">{$componente["nome"]}</a></li>";
                    }
               }
           echo"</ul>
           </li>
       </ul>";
    }

    //stampa il menu visibile agli utenti. Prende in input il database su cui fare la ricerca
    function creaMenu($db,$gruppiUtente) {
    	$stringaGruppiUtenti = " AND (gruppoSpecifico=0";
    	foreach($gruppiUtente as $gruppo) {
    		$stringaGruppiUtenti .= " OR gruppoSpecifico=$gruppo ";
    	}
	$stringaGruppiUtenti .= ") ";
        $queryMenu = "SELECT * FROM geecAd_vociMenu WHERE tipo NOT LIKE 'voce sottoMenu' $stringaGruppiUtenti ORDER BY posizione ASC";
        if(!$risVociMenu = $db->eseguiQueryLettura($queryMenu)) {
            echo"errore nella creazione del menu ".$db->error;
            exit();
        }
        
        echo"<ul class=\"list-unstyled\" >";
        while($voceMenu = $risVociMenu->fetch_assoc()) {
            if($voceMenu["tipo"]=="sottomenu") { //se si tratta di un menu a tendina va a cercare tutte le voci che deve contenere
                echo"<li class=\"dropdown\">
                <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">{$voceMenu["nome"]} <b class=\"caret\"></b></a>";
                $querySottoMenu = "SELECT * FROM geecP_vociMenu WHERE tipo LIKE 'voce sottoMenu' AND tagSottoMenu='{$voceMenu["tagSottoMenu"]}' ORDER BY posizione ASC";
                if(!$risSottoMenu = $db->query($querySottoMenu)) {
                    echo"errore nella creazione del menu ".$db->error;
                    exit();
                }
                else {
                    echo"<ul class=\"dropdown-menu\">";
                    while($sottoMenu = $risSottoMenu->fetch_assoc()) {
                        echo"<li><a href=\"{$sottoMenu["link"]}\">{$sottoMenu["nome"]}</a></li>";
                    }
                    echo"</ul>";
                }
                echo"</li>";
            }
            else {
                $stringaIcona = (isset($voceMenu["icona"]) && $voceMenu["icona"] !="") ? "<i class=\"{$voceMenu["icona"]}\"></i>" :"";
                echo"<li><a href=\"{$voceMenu["link"]}\">$stringaIcona <span>{$voceMenu["nome"]}</span></a></li>";
            }
        }
        echo"</ul>";
    }

    function creaPannelloLateraleAdmin() {
        $arr = array("crea utente","crea gruppo","Cambia password");
        $arrId = array("creaUtente","creaGruppo","cambiaPassword");

        echo"<ul>";
        $len = count($arr);
        for($i=0; $i<$len; $i++) {
                echo"<li><a href=# onClick=rendiVisibile(\"{$arrId[$i]}\") >".$arr[$i]."</a></li>";
        }
        echo"</ul>";
    }

    // questa funzione stampa i collegamenti agli altri prodotti geecom presenti nello spazio web
    // se il prodotto corrispondente non è installato stampa un 'immagine grigia
    //prende in input il nome del prodotto corrente, prelevato dal file costanti.php
    function stampaProdotti($geecomDb, $nomeProdotto,$prefisso) {
        $queryProdotti = "SELECT * FROM geec_prodotti";
        $risProdotti = $geecomDb->eseguiQueryLettura($queryProdotti);

        while($prodotto = $risProdotti->fetch_assoc()) {
            $nomeMinuscolo = strtolower($prodotto["nome"]);
            $componenteAttivo = ""; //questa variabile serve per assegnare una classe di rilievo al prodotto in uso

            //questo controllo serve per sapere se il prodotto è quello che si sta usando, in tal caso il link sarà un #
            if($prodotto["nome"]==$nomeProdotto) {
                $linkProdotto = "#";
                $title = "Geecom ".$prodotto["nome"]." (in uso)";
                $componenteAttivo = "class=\"attivo\""; //se il prodotto è quello in uso questa variabile assume il valore accanto, altrimenti resta vuota
            }
            else {
                $title = "passa a Geecom ".$prodotto["nome"];
            }
            if($prodotto["installato"]=="si") {
                
                if($prodotto["nome"]=="Cms") {
                    $impostazioni = $geecomDb->leggiSingolaRiga("geecB_impostazioniAspetto",1);
                }
                else if($prodotto["nome"]=="Admin") {
                    $impostazioni = $geecomDb->leggiSingolaRiga("geecAd_impostazioni",1);
                }
                else if($prodotto["nome"]=="Doc") {
                    $impostazioni = $geecomDb->leggiSingolaRiga("geecD_impostazioni",1);
                }
                
                $linkProdotto = ($prodotto["nome"]=="Cms") ? $impostazioni["urlSito"]."/".$prodotto["percorso"] : $impostazioni["urlPiattaforma"]."/".$prodotto["percorso"];
                echo"<a href=\"$linkProdotto\" rel=\"tooltip\" id=\"Geecom{$prodotto["nome"]}\" title=\"$title\"><img $componenteAttivo src=\"$prefisso"."../template/img/$nomeMinuscolo.png\" ></a>";
            }
         else {
                echo"<a href=\"#\" rel=\"tooltip\" id=\"Geecom{$prodotto["nome"]}\" title=\"Geecom {$prodotto["nome"]} non installato\"><img src=\"$prefisso"."../template/img/$nomeMinuscolo.png\" class=\"inattivo\"></a>";
            }
        }
    }

    function stampaUltimeRisorse($db,$num) {
            creaPannello("Ultime risorse inserite");
            $queryRisorse = "SELECT * FROM geecAd_risorse AS c JOIN geecAd_gruppiDestinatari AS gd ON c.id=gd.idRisorsa
                            WHERE (gd.idGruppoDestinatario IN (SELECT idGruppo FROM geecAd_gruppiUtenti WHERE idUtente ={$_SESSION["geecomUser_id"]})) 
                            ORDER BY c.id DESC LIMIT 5";
            if(!$result = $db->eseguiQueryLettura($queryRisorse)) {
                    echo"errore nell'esecuzione della query ".$db->error;
                    exit();
            }

            echo"<ul class=\"list-group\">\n";
            while($risorsa=$result->fetch_assoc()) {
                    echo"<li class=\"list-group-item\">{$risorsa["nome"]} <button class=\"btn btn-default btn-sm pull-right\" onclick=\"{location.href='risorse/scaricaFile.php?idRisorsa={$risorsa["idRisorsa"]}';}\"><span class=\"glyphicon glyphicon-download-alt\"></span>Scarica</button></li>";
            }
            echo"</ul>\n</div>";
            chiudiPannello();
    }

    function creaPannello($nome) {
            echo"<div class=\"contenutoLaterale panel panel-default\">\n
                 <div class=\"panel-heading\">
                   <h2 class=\"panel-title\">$nome</h2>
                 </div>";
    }

    function chiudiPannello() {
            echo"</div>";
    }

    /* questa funzione trova i destinatari delle comunicazioni/segnalazioni/risorse
       prende in input il db, il tipo di oggetto e il suo id
       restituisce una stringa con i dati
     */
    function trovaDestinatari($geecomDb,$id,$tipo) {
            $destinatario = "";
            if($tipo=="comunicazione") {
                    $queryGruppoDestinatario = "SELECT * FROM geecAd_gruppiDestinatari AS gd JOIN geecAd_gruppi AS g on gd.idGruppoDestinatario=g.id WHERE gd.idComunicazione=$id";
            }
            else { //risorsa
                    $queryGruppoDestinatario = "SELECT * FROM geecAd_gruppiDestinatari AS gd JOIN geecAd_gruppi AS g on gd.idGruppoDestinatario=g.id WHERE gd.idRisorsa=$id";
            }
            if($risGruppo = $geecomDb->eseguiQueryLettura($queryGruppoDestinatario)) {
                    while($gruppo=$risGruppo->fetch_assoc()) {
                            $destinatario .= $gruppo["nomeGruppo"]." ";
                    }			
            }

            return $destinatario;
    }

    //funzione cre restituisce le impostazioni aspetto
    //è chiamata da tutte le pagine di front end e da index.php di amministrazione
    function recuperaImpostazioni($geecomDb) {
            $queryimpostazioni = "SELECT * FROM geecAd_impostazioni WHERE id=1";
            $risimpostazioni = $geecomDb->eseguiQueryLettura($queryimpostazioni);
            $impostazioni = $risimpostazioni->fetch_assoc();
            return $impostazioni;
    }

    //funzione per creare il database di geecom, prende in input i dati presenti in costanti.php
    function creaDb($costantiDatabase) {
            $host= $costantiDatabase['host'];
            $user= $costantiDatabase['utenteDb'];
            $passwordDb = $costantiDatabase['passwordDb'];
            $nomeDb = $costantiDatabase['nomeDb'];

            $geecDb = new mysqli($host, $user, $passwordDb, $nomeDb);
            if (mysqli_connect_errno()) {
               echo "Errore durante la connessione al Database: ".mysqli_connect_error();
               exit();
            }
            else {
                    return $geecDb;
            }
    }

    function eseguiQueryLettura($geecomDb,$query) {
            if(!$risQuery = $geecomDb->query($query)) {
                    echo "Errore durante l'esecuzione della query: ".$geecomDb->error;
                    echo "<br>$query";
                    exit();
            }
            else {
                    return $risQuery;
            }
    }

    function eseguiQueryScrittura($geecomDb,$query) {
            if(!$geecomDb->query($query)) {
                    echo "Errore durante l'esecuzione della query: ".$geecomDb->error;
                    echo "<br>$query";
                    exit();
            }
    }

    /* stampa la versione corrente di geecom cms */
    function stampaVersioneProdotto($db) {
            $query = "SELECT * FROM geec_prodotti WHERE nome LIKE 'Admin'";
            $risQuery = eseguiQueryLettura($db,$query);
            $datiProdotto = $risQuery->fetch_assoc();
            echo($datiProdotto["versione"]);
    }

    /* stampa il footer nell'area utente */
    function stampaFooter($db) {
            $query = "SELECT * FROM geecAd_comunicazioni WHERE tipo LIKE 'footer'";
            $risQuery = eseguiQueryLettura($db,$query);
            $datiProdotto = $risQuery->fetch_assoc();
            echo($datiProdotto["testo"]);
    }

    // invia l'email al gruppo di utenti selezionato
    // $risUtenti contiene gli utenti a cui inviare il messaggio, è il prodotto di una query
    function inviaEmail($messaggio,$impostazioni,$risUtenti,$oggetto,$testo) {
        $messaggio->IsSMTP();

        $messaggio->Host = $impostazioni["hostSmtp"];
        $messaggio->Port = $impostazioni["portaSmtp"];
        $messaggio->SMTPAuth = true; 
        $messaggio->Username = $impostazioni["utenteSmtp"];
        $messaggio->Password = $impostazioni["passwordSmtp"];
        $messaggio->setFrom($impostazioni["emailMittente"],$impostazioni["nomeMittente"]);

        $messaggio->IsHTML(true);

        $messaggio->AddReplyTo($impostazioni["emailMittente"]);
        $messaggio->Subject="$oggetto";
        $messaggio->MsgHTML($test);

        //invia la mail agli utenti del gruppo selezionato
        while($utente=$risUtenti->fetch_assoc()) {
                // invio l'email al singolo utente
                $messaggio->addAddress($utente['email'], $utente['nome']);

                if (!$messaggio->send()) {
                        echo "Errore durante l'invio dell'email a (" . str_replace("@", "&#64;", $utente["email"]) . ') ' . $messaggio->ErrorInfo . '<br />';
                        break; //Abandon sending
                }

                $messaggio->clearAddresses();
                $messaggio->clearAttachments();
        }
    }
    
    function calcoloUtilizzoPiattaforma($numeroUtenti,$utentiAttivi) {
        $datiUtilizzo = array();
        if($utentiAttivi==0) { //se il numero di utenti attivi è 0 viene messo a 1 per evitare errori di tipo division by zero
            $utentiAttivi = 1;
        }
        if($numeroUtenti==0) {
            $datiUtilizzo["classeBoxUtilizzo"]   = "info";
            $datiUtilizzo["percentualeUtilizzo"] = 0;
            $datiUtilizzo["fraseUtilizzo"] = "Sei <strong>sotto la media </strong>";
        }
        else {
            $percentualeUtilizzo = ceil(($numeroUtenti * 100) / $utentiAttivi);
            $datiUtilizzo["percentualeUtilizzo"] = $percentualeUtilizzo;
            if($percentualeUtilizzo>70) {
                $datiUtilizzo["classeBoxUtilizzo"]   = "success";
                $datiUtilizzo["fraseUtilizzo"] = "Sei <strong>sopra la media </strong>";
            }
            else if($percentualeUtilizzo>40 && $percentualeUtilizzo<70) {
                $datiUtilizzo["classeBoxUtilizzo"]   = "warning";
                $datiUtilizzo["fraseUtilizzo"] = "Sei <strong>sopra la media </strong>";
            }
            else {
                $datiUtilizzo["classeBoxUtilizzo"]   = "danger";
                $datiUtilizzo["fraseUtilizzo"] = "Sei <strong>sotto la media </strong>";
            }
        }
        return $datiUtilizzo;
    }
    
    /*
     * questa funzione viene utilizzata per stampare un testo
     * motivazionale per l'utente
     */
    function stampaTestoMotivazionale($numero) {
        if($numero<10) {
            echo "<strong class=\"text-danger\"><br>Dobbiamo migliorare!</strong>";
        }
        else if($numero<10 && $numero<100) {
            echo "<strong class=\"text-warning\"><br>Possiamo fare di meglio!</strong>";
        }
        else if($numero<100) {
            echo "<strong class=\"text-success\"><br>Ottimo!</strong>";
        }
    }
    
    /*
     * questa funzione viene utilizzata per stampare un testo
     * motivazionale per l'utente
     */
    function stampaIconaMotivazionale($numero) {
        if(!is_numeric($numero)) {
            echo "fa fa-meh-o fa-2x text-muted";
        }
        else if($numero<10) {
            echo "fa fa-frown-o fa-2x text-danger";
        }
        else if($numero<10 && $numero<100) {
            echo "fa fa-meh-o fa-2x text-warning";
        }
        else if($numero<100) {
            echo "fa fa-smile-o fa-2x text-success";
        }
    }